/*	CAConfig.h		Configuration header that defines symbols you'll need in order
 *					to compile OpenDoc code. If you use a precompiled header these
 *					symbols are already defined for you, but if you don't, or if you
 *					are making up your own precompiled header, you'll need to include
 *					this header before any OpenDoc related headers.
 *
 *					For non-debug builds (e.g. when shipping your product) just
 *					define ODDebug as 0 before including this header.
 */

#define _PLATFORM_MACINTOSH_ 1		/* Enable Mac-specific OD stuff */
#define _PLATFORM_BIG_ENDIAN_ 1		/* Enable std writing (l.endian) on big endian platforms */

#ifndef ODDebug
#define ODDebug 0					/* 1 for debug build, 0 for non-debug build */
#endif

#ifndef SystemSevenOrLater
#define SystemSevenOrLater 1
#endif

#ifndef OLDROUTINENAMES
#define OLDROUTINENAMES 0			/* Disallow old trap names, e.g. GetItem for GetMenuItem */
#endif

#define ppcinterfaces			// GX headers want this, if using universal headers

#if !ODDebug
	#define SOMMethodDebug(c,m)	/**/	// Disable SOM trace macro in every method
#endif
