#
#	File:		Cappuccino.make
#
#	Contains:	Makefile for OpenDoc Cappuccino viewer
#
#	Written by:	Steve Smith
#
#	Copyright:	 1994-1995 by Apple Computer, Inc., all rights reserved.
#

#---------------------------------------------------------------------------	
# PROJECT VARIABLES
#---------------------------------------------------------------------------	

TargetName = Cappuccino
TargetNameILink = {TargetName} (68k)
TargetNamePPCLink = {TargetName} (PPC)
TargetNameFat = {TargetName} (fat)

TargetCreatorType = CUED

AdditionalIncludes = -i "{somSourceDir}" -i "{SourceDir}"
AdditionalIDLIncludes = -i "{SourceDir}"

#---------------------------------------------------------------------------	
# CFM/PEF Version Numbers
#---------------------------------------------------------------------------	
# For detailed instructions on proper CFM/PEF version numbering, see
# Code Fragment Chapter (pg 3-7), Inside Macintosh: PowerPC System Software
#---------------------------------------------------------------------------	

CurrentLibraryVersion =		0x01008000		# 1.0 Final
LibraryExportsVersion =		0x00000000		# 0.0
LibraryCodeVersion =		0x00000000		# 0.0

#---------------------------------------------------------------------------	
# DIRECTORY DEPENDENCIES
#---------------------------------------------------------------------------	

"{TargetDir}"   "{SourceDir}"
"{ObjectsDir}"  "{SourceDir}"
"{ObjectsDir}"  "{somSourceDir}"
"{ObjectsDir}"  "{ODUtilsImplDir}"

#---------------------------------------------------------------------------	
# ROOT TARGET
#---------------------------------------------------------------------------	

BUILDPPCLINK  
	"{CppPrecompiledHeaders}"				
	"{TargetDir}{TargetNamePPCLink}"		
	"{somSourceDir}som_Cappuccino.exp"

BUILDREZ  
	"{ObjectsDir}{TargetName}.PPC.rsrc"		
	"{ObjectsDir}{TargetName}.68k.rsrc"

BUILDILINK  
	"{CppPrecompiledHeaders}"				
	"{TargetDir}{TargetNameILink}"			
	"{somSourceDir}som_Cappuccino.exp"

BUILDIDL  
	"{somSourceDir}som_Cappuccino.xih"				
	"{somSourceDir}som_Cappuccino.xh"				
	"{somSourceDir}som_Cappuccino.cpp"				
	"{somSourceDir}som_Cappuccino.exp"				
	"{somSourceDir}som_CappuccinoSettingsExt.xih"	
	"{somSourceDir}som_CappuccinoSettingsExt.xh"	
	"{somSourceDir}som_CappuccinoSettingsExt.cpp"	
	"{somSourceDir}som_CappuccinoSettingsExt.exp"	
	"{somSourceDir}som_CappuccinoSI.xih"			
	"{somSourceDir}som_CappuccinoSI.xh"				
	"{somSourceDir}som_CappuccinoSI.cpp"			
	"{somSourceDir}som_CappuccinoSI.exp"
	
#---------------------------------------------------------------------------	
# FILE LIST VARIABLES
#---------------------------------------------------------------------------	

CappuccinoOBJECTS = 
	"{ObjectsDir}CappuccinoGlobals.cpp.o"		
	"{ObjectsDir}Cappuccino.cpp.o"				
	"{ObjectsDir}CappuccinoAction.cpp.o"		
	"{ObjectsDir}CappuccinoContent.cpp.o"		
	"{ObjectsDir}CappuccinoClipboard.cpp.o"		
	"{ObjectsDir}CappuccinoUndo.cpp.o"			
	"{ObjectsDir}CappuccinoDragDrop.cpp.o"		
	"{ObjectsDir}CappuccinoLinking.cpp.o"		
	"{ObjectsDir}CappuccinoEmbedding.cpp.o"		
	"{ObjectsDir}CappuccinoPromise.cpp.o"		
	"{ObjectsDir}CappuccinoSettingsExt.cpp.o"	
	"{ObjectsDir}CappuccinoUtils.cpp.o"			
	"{ObjectsDir}CappuccinoScripting.cpp.o"		
	"{ObjectsDir}RefCounted.cpp.o"				
	"{ObjectsDir}TempFocus.cpp.o"				
	"{ObjectsDir}Printer.cpp.o"					
	"{ObjectsDir}PrinterGX.cpp.o"				
	"{ObjectsDir}PrinterQD.cpp.o"				
	"{ObjectsDir}SampleCollections.cpp.o"		

somCappuccinoOBJECTS = 
	"{ObjectsDir}som_CappuccinoInit.cpp.o"			
	"{ObjectsDir}som_Cappuccino.cpp.o"				
	"{ObjectsDir}som_CappuccinoSettingsExt.cpp.o"	
	"{ObjectsDir}som_CappuccinoSI.cpp.o"			

OpenDocUtilityOBJECTS = 
	"{ObjectsDir}AltPoint.cpp.o" 			
	"{ObjectsDir}AltPoly.cpp.o" 			
	"{ObjectsDir}BArray.cpp.o" 				
	"{ObjectsDir}BndNSUtl.cpp.o" 			
	"{ObjectsDir}Crawl.cpp.o"	 			
	"{ObjectsDir}DlogUtil.cpp.o"	 		
	"{ObjectsDir}DocUtils.cpp.o"	 		
	"{ObjectsDir}Except.cpp.o" 				
	"{ObjectsDir}FocusLib.cpp.o" 			
	"{ObjectsDir}IText.cpp.o" 				
	"{ObjectsDir}FlipEnd.cpp.o" 			
	"{ObjectsDir}ISOStr.cpp.o" 				
	"{ObjectsDir}LinkList.cpp.o" 			
	"{ObjectsDir}NmSpcUtl.cpp.o" 			
	"{ObjectsDir}ODDebug.cpp.o" 			
	"{ObjectsDir}ODMemory.cpp.o"			
	"{ObjectsDir}ODNew.cpp.o"				
	"{ObjectsDir}ODUtils.cpp.o"				
	"{ObjectsDir}PasclStr.cpp.o"			
	"{ObjectsDir}PlfmFile.cpp.o" 			
	"{ObjectsDir}StorUtil.cpp.o"			
	"{ObjectsDir}StdTypIO.cpp.o"			
	"{ObjectsDir}TempIter.cpp.o"			
	"{ObjectsDir}TempObj.cpp.o"				
	"{ObjectsDir}UseRsrcM.cpp.o" 			
	"{ObjectsDir}WinUtils.cpp.o" 			
	"{ObjectsDir}SIHelper.cpp.o" 			
	"{ObjectsDir}SIHshTbl.cpp.o" 			
	"{ObjectsDir}HshTbl.c.o" 				
	"{ObjectsDir}ODDesUtl.cpp.o" 			
	"{ObjectsDir}SEUtils.cpp.o" 			
			
#---------------------------------------------------------------------------	
# DEPENDENCIES
#---------------------------------------------------------------------------	

# --- IDL ---

"{somSourceDir}"som_Cappuccino.cpp 	
	"{somSourceDir}"som_Cappuccino.idl	
	"{ODIDLIntfDir}"Part.idl
	
"{somSourceDir}"som_Cappuccino.xih 	
	"{somSourceDir}"som_Cappuccino.xh	
	"{somSourceDir}"som_Cappuccino.idl	
	"{SourceDir}CappuccinoVers.h"		
	"{ODIDLIntfDir}"Part.idl
	
"{somSourceDir}"som_Cappuccino.xh 		
	"{somSourceDir}"som_Cappuccino.idl	
	"{SourceDir}CappuccinoVers.h"		
	"{ODIDLIntfDir}"Part.idl

"{somSourceDir}"som_CappuccinoSettingsExt.cpp 		
	"{somSourceDir}"som_CappuccinoSettingsExt.idl	
	"{ODIDLIntfDir}"Settings.idl
	
"{somSourceDir}"som_CappuccinoSettingsExt.xih 		
	"{somSourceDir}"som_CappuccinoSettingsExt.xh	
	"{somSourceDir}"som_CappuccinoSettingsExt.idl	
	"{SourceDir}CappuccinoVers.h"					
	"{ODIDLIntfDir}"Settings.idl
	
"{somSourceDir}"som_CappuccinoSettingsExt.xh 		
	"{somSourceDir}"som_CappuccinoSettingsExt.idl	
	"{SourceDir}CappuccinoVers.h"					
	"{ODIDLIntfDir}"Settings.idl

"{somSourceDir}"som_CappuccinoSI.cpp 		
	"{somSourceDir}"som_CappuccinoSI.idl	
	"{ODIDLIntfDir}"SemtIntB.idl
	
"{somSourceDir}"som_CappuccinoSI.xih 		
	"{somSourceDir}"som_CappuccinoSI.xh		
	"{somSourceDir}"som_CappuccinoSI.idl	
	"{SourceDir}CappuccinoVers.h"			
	"{ODIDLIntfDir}"SemtIntB.idl
	
"{somSourceDir}"som_CappuccinoSI.xh 		
	"{somSourceDir}"som_CappuccinoSI.idl	
	"{SourceDir}CappuccinoVers.h"			
	"{ODIDLIntfDir}"SemtIntB.idl

# --- SOURCE ---

CappuccinoSourceDependencies = 				
	"{CppPrecompiledHeaders}"				
	"{SourceDir}Cappuccino.h" 				
	"{SourceDir}CappuccinoDef.h" 			
	"{SourceDir}CappuccinoUtils.h"


"{ObjectsDir}Cappuccino.cpp.o"				
	"{SourceDir}Cappuccino.cpp" 			
	{CappuccinoSourceDependencies}

#	"{CppPrecompiledHeaders}"				
#	"{SourceDir}Cappuccino.h" 				
#	"{SourceDir}CappuccinoDef.h" 			
#	"{SourceDir}CappuccinoUtils.h"
	
"{ObjectsDir}CappuccinoAction.cpp.o"		
	"{SourceDir}CappuccinoAction.cpp" 		
	"{SourceDir}CappuccinoAction.h" 		
	{CappuccinoSourceDependencies}
	
"{ObjectsDir}CappuccinoContent.cpp.o"		
	"{SourceDir}CappuccinoContent.cpp" 		
	{CappuccinoSourceDependencies}
	
"{ObjectsDir}CappuccinoClipboard.cpp.o"		
	"{SourceDir}CappuccinoClipboard.cpp" 	
	{CappuccinoSourceDependencies}
	
"{ObjectsDir}CappuccinoDragDrop.cpp.o"		
	"{SourceDir}CappuccinoDragDrop.cpp" 	
	{CappuccinoSourceDependencies}
	
"{ObjectsDir}CappuccinoEmbedding.cpp.o"		
	"{SourceDir}CappuccinoEmbedding.cpp" 	
	{CappuccinoSourceDependencies}
	
"{ObjectsDir}CappuccinoLinking.cpp.o"		
	"{SourceDir}CappuccinoLinking.cpp" 		
	{CappuccinoSourceDependencies}

"{ObjectsDir}CappuccinoScripting.cpp.o"		
	"{SourceDir}CappuccinoScripting.cpp" 	
	{CappuccinoSourceDependencies}
	
"{ObjectsDir}CappuccinoUndo.cpp.o"			
	"{SourceDir}CappuccinoUndo.cpp" 		
	{CappuccinoSourceDependencies}
	
"{ObjectsDir}CappuccinoPromise.cpp.o"		
	"{SourceDir}CappuccinoPromise.cpp" 		
	"{SourceDir}CappuccinoPromise.h" 		
	{CappuccinoSourceDependencies}
	
"{ObjectsDir}CappuccinoSettingsExt.cpp.o" 	
	"{SourceDir}CappuccinoSettingsExt.cpp" 	
	"{SourceDir}CappuccinoSettingsExt.h" 	
	{CappuccinoSourceDependencies}
	
"{ObjectsDir}CappuccinoUtils.cpp.o"			
	"{CppPrecompiledHeaders}"				
	"{SourceDir}CappuccinoUtils.cpp"		
	"{SourceDir}CappuccinoUtils.h"

"{ObjectsDir}SampleCollections.cpp.o"		
	"{CppPrecompiledHeaders}"				
	"{SourceDir}SampleCollections.cpp"		
	"{SourceDir}SampleCollections.h"
	
"{ObjectsDir}RefCounted.cpp.o"				
	"{SourceDir}RefCounted.cpp" 			
	"{SourceDir}RefCounted.h" 				
	"{CppPrecompiledHeaders}"
	
"{ObjectsDir}TempFocus.cpp.o"				
	"{SourceDir}TempFocus.cpp" 				
	"{SourceDir}TempFocus.h" 				
	"{CppPrecompiledHeaders}"
	
"{ObjectsDir}Printer.cpp.o"					
	"{SourceDir}Printer.cpp" 				
	"{SourceDir}Printer.h" 					
	"{CppPrecompiledHeaders}"
	
"{ObjectsDir}PrinterGX.cpp.o"				
	"{SourceDir}PrinterGX.cpp" 				
	"{SourceDir}Printer.h" 					
	"{CppPrecompiledHeaders}"
	
"{ObjectsDir}PrinterQD.cpp.o"				
	"{SourceDir}PrinterQD.cpp" 				
	"{SourceDir}Printer.h" 					
	"{CppPrecompiledHeaders}"

# --- SOM OBJECTS ---

"{ObjectsDir}som_Cappuccino.cpp.o"			
	"{CppPrecompiledHeaders}"				
	"{somSourceDir}som_Cappuccino.cpp"		
	"{somSourceDir}som_Cappuccino.xih"		
	"{SourceDir}Cappuccino.h"

"{ObjectsDir}som_CappuccinoSettingsExt.cpp.o"		
	"{CppPrecompiledHeaders}"						
	"{somSourceDir}som_CappuccinoSettingsExt.cpp"	
	"{somSourceDir}som_CappuccinoSettingsExt.xih"	
	"{SourceDir}CappuccinoSettingsExt.h"

"{ObjectsDir}som_CappuccinoSI.cpp.o"		
	"{CppPrecompiledHeaders}"				
	"{somSourceDir}som_CappuccinoSI.cpp"	
	"{somSourceDir}som_CappuccinoSI.xih"

"{ObjectsDir}som_CappuccinoInit.cpp.o"		
	"{CppPrecompiledHeaders}"				
	"{somSourceDir}som_CappuccinoInit.cpp"	
	"{somSourceDir}som_Cappuccino.xh"


#---------------------------------------------------------------------------	
# BUILD LIBRARIES
#---------------------------------------------------------------------------	

# --- Common Library variables ---

LinkDependencies = 
		{CappuccinoOBJECTS}						
		{somCappuccinoOBJECTS}					
		{OpenDocUtilityOBJECTS}					
		"{somSourceDir}som_Cappuccino.exp"

CommonExportOption = 
		-export `ConvertExportList "{somSourceDir}som_Cappuccino.exp"`

LibVersion = 
		-vercur {CurrentLibraryVersion}						
		-verdef {LibraryExportsVersion}						
		-verimp {LibraryCodeVersion}

RequiredODLibraries = 
		"{ODCFMLibrariesDir}OpenDoc Core.stub"				
		"{ODCFMLibrariesDir}OpenDoc User Interface.stub"	
		"{ODCFMLibrariesDir}OpenDoc Storage.stub"			
		"{ODCFMLibrariesDir}OpenDoc Imaging.stub"			
		"{ODCFMLibrariesDir}OpenDoc Layout.stub"			
		"{ODCFMLibrariesDir}OpenDoc Messaging.stub"			
		"{ODCFMLibrariesDir}Memory Manager.stub"

OtherLibs = 

OtherPPCLibs = 
		"{SharedLibraries}"SpeechLib						
		-weaklib SpeechLib

Other68KLibs = 

CommonObjects = 
		{CappuccinoOBJECTS}									
		{somCappuccinoOBJECTS}								
		{OpenDocUtilityOBJECTS}								
		{RequiredODLibraries}								
		{OtherLibs}


# --- 68k Link ---

"{TargetDir}{TargetNameILink}"  {LinkDependencies}
	Echo Linking: {TargetNameILink}
	{LinkTool}	
		{CommonExportOption}								
		{ILinkOptions}										
		{ILinkShLibOptions}									
		-init CappuccinoCFMInit								
		{LibVersion}										
		{ShLibPreLibraries}									
		{CommonObjects}										
		{Other68KLibs}										
		{ShLibPostLibraries}								
		-o "{ObjectsDir}{TargetNameILink}".seg
	If !{Status}
		Echo Building: {TargetNameILink}.SYM
		{SymTool} "{ObjectsDir}{TargetNameILink}".seg.NJ	
				-o "{TargetDir}{TargetNameILink}".SYM -sym 3.2
		Echo Building: {TargetNameILink}'s code/data fragment
		MakeFlat "{ObjectsDir}{TargetNameILink}".seg -o "{TargetDir}{TargetNameILink}"
		Echo Copying: {TargetNameILink}'s resources
		Echo "include "{RsrcObjectsDir}{TargetName}.68k.rsrc";" | Rez -a -o "{TargetDir}{TargetNameILink}"
		Echo "delete 'ckid';"  | Rez -a -o "{TargetDir}{TargetNameILink}"
		SetFile -a Bi -c "{TargetCreatorType}" {Targ}
	End

# --- PowerPC Link ---

"{TargetDir}{TargetNamePPCLink}"  {LinkDependencies}
	Echo Linking: {TargetNamePPCLink}
	{LinkTool}	
		{CommonExportOption}								
		{PPCLinkOptions}									
		{PPCLinkShLibOptions}								
		-init CappuccinoCFMInit								
		{LibVersion}										
		{PPCShLibPreLibraries}								
		{CommonObjects}										
		{OtherPPCLibs}										
		{PPCShLibPostLibraries}								
		-o "{ObjectsDir}{TargetNamePPCLink}"
	If !{Status}
		Move -y "{ObjectsDir}{TargetNamePPCLink}" "{TargetDir}"
		Echo Building: {TargetNamePPCLink}.xSYM
		{SymTool} "{ObjectsDir}{TargetNamePPCLink}".xcoff			
				{AdditionalIncludes} -i "{ODUtilsImplDir}"			
				-sym on,3.2 -o "{TargetDir}{TargetNamePPCLink}".xSYM
		Echo Copying: {TargetNamePPCLink}'s resources
		Echo "include "{RsrcObjectsDir}{TargetName}.PPC.rsrc";" | Rez -a -o "{TargetDir}{TargetNamePPCLink}"
		Echo "delete 'ckid';"  | Rez -a -o "{TargetDir}{TargetNamePPCLink}"
		SetFile -a Bi -c "{TargetCreatorType}" {Targ}
	End


#---------------------------------------------------------------------------	
# REZ STEPS
#---------------------------------------------------------------------------	

"{RsrcObjectsDir}{TargetName}.PPC.rsrc"									
										"{SourceDir}Cappuccino.r"		
										"{SourceDir}CappuccinoDef.h"	
										"{SourceDir}CappuccinoVers.h"	
										"{SourceDir}PrintManager.rsrc"	
										"{SourceDir}CappuccinoOtherResources.rsrc"
	Echo Rezzing: {TargetName}.r (for PPC)
	Rez {RezOptions} {ODRezIntf} "{SourceDir}{TargetName}.r" -o {targ}
	Echo "delete 'ckid';"  | Rez -a -o {Targ}
	SetFile -a i -c "{ResEditCreator}" -t "{ResEditFileType}" {Targ}
	if ( `exists "{TargetDir}{TargetNamePPCLink}" != ""` )
		Echo Copying: {TargetNamePPCLink}'s resources
		Echo "include ""{Targ}"";" | Rez -a -o "{TargetDir}{TargetNamePPCLink}"
	end	

"{RsrcObjectsDir}{TargetName}.68k.rsrc"									
										"{SourceDir}Cappuccino.r"		
										"{SourceDir}CappuccinoDef.h"	
										"{SourceDir}CappuccinoVers.h"	
										"{SourceDir}PrintManager.rsrc"	
										"{SourceDir}CappuccinoOtherResources.rsrc"
	Echo Rezzing: {TargetName}.r (for 68k)
	Rez -d _68KBUILD_ {RezOptions} {ODRezIntf} "{SourceDir}{TargetName}.r" -o {Targ} 
	Echo "delete 'ckid';"  | Rez -a -o {Targ}
	SetFile -a i -c "{ResEditCreator}" -t "{ResEditFileType}" {Targ}
	if ( `exists "{TargetDir}{TargetNameILink}" != ""` )
		Echo Copying: {TargetNameILink}'s resources
		Echo "include ""{Targ}"";" | Rez -a -o "{TargetDir}{TargetNameILink}"
	end


