/*
	File:		CappuccinoGlobals.h

	Contains:	Cappuccino globals

	Written by:	Steve Smith and Troy Gaul

	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.
*/

#ifndef _CAPPUCCINOGLOBALS_
#define _CAPPUCCINOGLOBALS_

// -- OpenDoc --

#ifndef _ODTYPES_
#include <ODTypes.h>
#endif

#ifndef SOM_Module_OpenDoc_StdDefs_defined
#include <StdDefs.h>
#endif

#ifndef _ITEXT_
#include <IText.h>
#endif

// -- MacToolbox --

#ifndef __TYPES__
#include <Types.h>
#endif

//==============================================================================
// Globals
//==============================================================================

//------------------------------------------------------------------------------
// Forward declarations
//------------------------------------------------------------------------------
struct CappuccinoGlobals;
class ODMenuBar;
class ODFocusSet;
class CPromiseSet;

//------------------------------------------------------------------------------
// Externs
//------------------------------------------------------------------------------
extern	ODUShort			gGlobalsUsageCount;
extern	CappuccinoGlobals*	gGlobals;

//------------------------------------------------------------------------------
// CappuccinoGlobals
//------------------------------------------------------------------------------
struct CappuccinoGlobals 
{
	CappuccinoGlobals();
	
	ODMenuBar*		fMenuBar;
	ODFocusSet*		fUIFocusSet;	
	Handle			fThumbnail;
				
	ODTypeToken		fSelectionFocus;
	ODTypeToken		fMenuFocus;
	ODTypeToken		fModalFocus;
	ODTypeToken		fFrameView;
	ODTypeToken		fLargeIconView;
	ODTypeToken		fSmallIconView;
	ODTypeToken		fThumbnailView;
	ODTypeToken		fMainPresentation;
	
	ODValueType		fTextDataValueType;
	ODValueType		fAppleHFSFlavorValueType;
			
	ODScriptCode	fEditorsScript;
	ODLangCode		fEditorsLanguage;
	
	CPromiseSet*	fClipboardPromises;
	CPromiseSet*	fDragPromises;
};

//------------------------------------------------------------------------------
// CappuccinoGlobals constructor
//------------------------------------------------------------------------------
inline CappuccinoGlobals::CappuccinoGlobals()
{
	fMenuBar			= kODNULL;
	fUIFocusSet			= kODNULL;	
	fThumbnail			= kODNULL;
				
	fSelectionFocus		= kODNullTypeToken;
	fMenuFocus			= kODNullTypeToken;
	fModalFocus			= kODNullTypeToken;
	fFrameView			= kODNullTypeToken;
	fLargeIconView		= kODNullTypeToken;
	fSmallIconView		= kODNullTypeToken;
	fThumbnailView		= kODNullTypeToken;
	fMainPresentation	= kODNullTypeToken;
	
	fTextDataValueType		 = kODNULL;
	fAppleHFSFlavorValueType = kODNULL;
			
	fEditorsScript		= 0;
	fEditorsLanguage	= 0;
	
	fClipboardPromises	= kODNULL;
	fDragPromises		= kODNULL;
}

#endif