/*
	File:		som_CappuccinoSI.cpp

	IDL File:	som_CappuccinoSI.idl

	Contains:	Implementation of Mac-specific som_CappuccinoSI class.

	Written by:	Troy Gaul (from SemtIntf.cpp by Nick Pilch)

	Copyright:	 1994 - 1995 by Apple Computer, Inc., all rights reserved.
*/


#ifndef _EXCEPT_
#include "Except.h"
#endif

#define VARIABLE_MACROS
#define som_CappuccinoSI_Class_Source
#include <som_CappuccinoSI.xih>

//------------------------------------------------------------------------------
// som_CappuccinoSI::somInit
//------------------------------------------------------------------------------

SOM_Scope void  SOMLINK som_CappuccinoSI__somInit(som_CappuccinoSI *somSelf)
{
    som_CappuccinoSIMethodDebug("som_CappuccinoSI","somInit");
}

//------------------------------------------------------------------------------
// som_CappuccinoSI::InitCPlusSemanticInterface
//------------------------------------------------------------------------------

SOM_Scope void  SOMLINK som_CappuccinoSI__InitCPlusSemanticInterface(som_CappuccinoSI *somSelf, Environment *ev,
		ODPart* base,
		SIHelperAbs* helper,
		ODSession* session)
{
    som_CappuccinoSIData *somThis = som_CappuccinoSIGetData(somSelf);
    som_CappuccinoSIMethodDebug("som_CappuccinoSI","InitCPlusSemanticInterface");
	
	SOM_TRY
		somSelf->InitSemanticInterface(ev, base, session);
	SOM_CATCH_ALL
	SOM_ENDTRY
	
	_fHelper = helper;
}

//------------------------------------------------------------------------------
// som_CappuccinoSI::somUninit
//------------------------------------------------------------------------------

SOM_Scope void  SOMLINK som_CappuccinoSI__somUninit(som_CappuccinoSI *somSelf)
{
    som_CappuccinoSIMethodDebug("som_CappuccinoSI","somUninit");
}

//------------------------------------------------------------------------------
// som_CappuccinoSI::GetSIHelper
//------------------------------------------------------------------------------

SOM_Scope SIHelperAbs*  SOMLINK som_CappuccinoSI__GetSIHelper(som_CappuccinoSI *somSelf, Environment *ev)
{
    som_CappuccinoSIData *somThis = som_CappuccinoSIGetData(somSelf);
    som_CappuccinoSIMethodDebug("som_CappuccinoSI","GetSIHelper");

    return _fHelper;
}

//------------------------------------------------------------------------------
// som_CappuccinoSI::CallEventHandler
//------------------------------------------------------------------------------

SOM_Scope void  SOMLINK som_CappuccinoSI__CallEventHandler(som_CappuccinoSI *somSelf, Environment *ev,
		ODPart* thePart,
		ODAppleEvent* theODAppleEvent,
		ODAppleEvent* reply)
{
    som_CappuccinoSIData *somThis = som_CappuccinoSIGetData(somSelf);
    som_CappuccinoSIMethodDebug("som_CappuccinoSI","CallEventHandler");

	SOM_TRY
		somSelf->CheckValid(ev);
		THROW_IF_ERROR(_fHelper->CallEventHandler((ODPart*) somSelf->GetBase(ev),
												  theODAppleEvent, reply));
	SOM_CATCH_ALL
	SOM_ENDTRY
}

//------------------------------------------------------------------------------
// som_CappuccinoSI::CallCoercionHandler
//------------------------------------------------------------------------------

SOM_Scope void  SOMLINK som_CappuccinoSI__CallCoercionHandler(som_CappuccinoSI *somSelf, Environment *ev,
		ODPart* thePart,
		ODDesc* theODDesc,
		ODDescType toType,
		ODDesc* result)
{
    som_CappuccinoSIData *somThis = som_CappuccinoSIGetData(somSelf);
    som_CappuccinoSIMethodDebug("som_CappuccinoSI","CallCoercionHandler");

	SOM_TRY
		somSelf->CheckValid(ev);
		THROW_IF_ERROR(_fHelper->CallCoercionHandler((ODPart*) somSelf->GetBase(ev),
													 theODDesc, toType, result));
	SOM_CATCH_ALL
	SOM_ENDTRY
}

//------------------------------------------------------------------------------
// som_CappuccinoSI::CallObjectAccessor
//------------------------------------------------------------------------------

SOM_Scope void  SOMLINK som_CappuccinoSI__CallObjectAccessor(som_CappuccinoSI *somSelf, Environment *ev,
		ODPart* thePart,
		ODDescType desiredClass,
		ODOSLToken* container,
		ODDescType containerClass,
		ODDescType form,
		ODDesc* selectionData,
		ODOSLToken* value)
{
    som_CappuccinoSIData *somThis = som_CappuccinoSIGetData(somSelf);
    som_CappuccinoSIMethodDebug("som_CappuccinoSI","CallObjectAccessor");

	SOM_TRY
		somSelf->CheckValid(ev);
		THROW_IF_ERROR(_fHelper->CallObjectAccessor((ODPart*)somSelf->GetBase(ev),
													desiredClass, container,
													containerClass, form,
													selectionData, value));
	SOM_CATCH_ALL
	SOM_ENDTRY
}

//------------------------------------------------------------------------------
// som_CappuccinoSI::CallPredispatchProc
//------------------------------------------------------------------------------

SOM_Scope void  SOMLINK som_CappuccinoSI__CallPredispatchProc(som_CappuccinoSI *somSelf, Environment *ev,
		ODPart* thePart,
		ODAppleEvent* theODAppleEvent,
		ODAppleEvent* reply)
{
    som_CappuccinoSIData *somThis = som_CappuccinoSIGetData(somSelf);
    som_CappuccinoSIMethodDebug("som_CappuccinoSI","CallPredispatchProc");

	SOM_TRY
		somSelf->CheckValid(ev);
		THROW_IF_ERROR(_fHelper->CallPredispatchProc((ODPart*)somSelf->GetBase(ev),
													 theODAppleEvent, reply));
	SOM_CATCH_ALL
	SOM_ENDTRY
}

//------------------------------------------------------------------------------
// som_CappuccinoSI::CallCompareProc
//------------------------------------------------------------------------------

SOM_Scope void  SOMLINK som_CappuccinoSI__CallCompareProc(som_CappuccinoSI *somSelf, Environment *ev,
		ODPart* thePart,
		ODDescType oper,
		ODOSLToken* obj1,
		ODOSLToken* obj2,
		ODBoolean* result)
{
    som_CappuccinoSIData *somThis = som_CappuccinoSIGetData(somSelf);
    som_CappuccinoSIMethodDebug("som_CappuccinoSI","CallCompareProc");

	SOM_TRY
		somSelf->CheckValid(ev);
		THROW_IF_ERROR(_fHelper->CallCompareProc((ODPart*)somSelf->GetBase(ev), oper,
												 obj1, obj2, result));
	SOM_CATCH_ALL
	SOM_ENDTRY
}

//------------------------------------------------------------------------------
// som_CappuccinoSI::CallCountProc
//------------------------------------------------------------------------------

SOM_Scope void  SOMLINK som_CappuccinoSI__CallCountProc(som_CappuccinoSI *somSelf, Environment *ev,
		ODPart* thePart,
		ODDescType desiredType,
		ODDescType containerClass,
		ODOSLToken* container,
		ODSLong* result)
{
    som_CappuccinoSIData *somThis = som_CappuccinoSIGetData(somSelf);
    som_CappuccinoSIMethodDebug("som_CappuccinoSI","CallCountProc");

	SOM_TRY
		somSelf->CheckValid(ev);
		THROW_IF_ERROR(_fHelper->CallCountProc((ODPart*)somSelf->GetBase(ev),
											   desiredType, containerClass,
											   container, result));
	SOM_CATCH_ALL
	SOM_ENDTRY
}

//------------------------------------------------------------------------------
// som_CappuccinoSI::CallDisposeTokenProc
//------------------------------------------------------------------------------

SOM_Scope void  SOMLINK som_CappuccinoSI__CallDisposeTokenProc(som_CappuccinoSI *somSelf, Environment *ev,
		ODPart* thePart,
		ODOSLToken* unneededToken)
{
    som_CappuccinoSIData *somThis = som_CappuccinoSIGetData(somSelf);
    som_CappuccinoSIMethodDebug("som_CappuccinoSI","CallDisposeTokenProc");

	SOM_TRY
		somSelf->CheckValid(ev);
		THROW_IF_ERROR(_fHelper->CallDisposeTokenProc((ODPart*)somSelf->GetBase(ev),
													  unneededToken));
	SOM_CATCH_ALL
	SOM_ENDTRY
}

//------------------------------------------------------------------------------
// som_CappuccinoSI::CallGetErrDescProc
//------------------------------------------------------------------------------

SOM_Scope void  SOMLINK som_CappuccinoSI__CallGetErrDescProc(som_CappuccinoSI *somSelf, Environment *ev,
		ODPart* thePart,
		ODDesc** errDesc)
{
    som_CappuccinoSIData *somThis = som_CappuccinoSIGetData(somSelf);
    som_CappuccinoSIMethodDebug("som_CappuccinoSI","CallGetErrDescProc");

	SOM_TRY
		somSelf->CheckValid(ev);
		THROW_IF_ERROR(_fHelper->CallGetErrDescProc((ODPart*)somSelf->GetBase(ev),
													errDesc));
	SOM_CATCH_ALL
	SOM_ENDTRY
}

//------------------------------------------------------------------------------
// som_CappuccinoSI::CallGetMarkTokenProc
//------------------------------------------------------------------------------

SOM_Scope void  SOMLINK som_CappuccinoSI__CallGetMarkTokenProc(som_CappuccinoSI *somSelf, Environment *ev,
		ODPart* thePart,
		ODOSLToken* dContainerToken,
		ODDescType containerClass,
		ODOSLToken* result)
{
    som_CappuccinoSIData *somThis = som_CappuccinoSIGetData(somSelf);
    som_CappuccinoSIMethodDebug("som_CappuccinoSI","CallGetMarkTokenProc");

	SOM_TRY
		somSelf->CheckValid(ev);
		THROW_IF_ERROR(_fHelper->CallGetMarkTokenProc((ODPart*)somSelf->GetBase(ev),
													  dContainerToken,
													  containerClass, result));
	SOM_CATCH_ALL
	SOM_ENDTRY
}

//------------------------------------------------------------------------------
// som_CappuccinoSI::CallMarkProc
//------------------------------------------------------------------------------

SOM_Scope void  SOMLINK som_CappuccinoSI__CallMarkProc(som_CappuccinoSI *somSelf, Environment *ev,
		ODPart* thePart,
		ODOSLToken* dToken,
		ODOSLToken* markToken,
		ODSLong index)
{
    som_CappuccinoSIData *somThis = som_CappuccinoSIGetData(somSelf);
    som_CappuccinoSIMethodDebug("som_CappuccinoSI","CallMarkProc");

	SOM_TRY
		somSelf->CheckValid(ev);
		THROW_IF_ERROR(_fHelper->CallMarkProc((ODPart*)somSelf->GetBase(ev), dToken,
											  markToken, index));
	SOM_CATCH_ALL
	SOM_ENDTRY
}

//------------------------------------------------------------------------------
// som_CappuccinoSI::CallAdjustMarksProc
//------------------------------------------------------------------------------

SOM_Scope void  SOMLINK som_CappuccinoSI__CallAdjustMarksProc(som_CappuccinoSI *somSelf, Environment *ev,
		ODPart* thePart,
		ODSLong newStart,
		ODSLong newStop,
		ODOSLToken* markToken)
{
    som_CappuccinoSIData *somThis = som_CappuccinoSIGetData(somSelf);
    som_CappuccinoSIMethodDebug("som_CappuccinoSI","CallAdjustMarksProc");

	SOM_TRY
		somSelf->CheckValid(ev);
		THROW_IF_ERROR(_fHelper->CallAdjustMarksProc((ODPart*)somSelf->GetBase(ev),
													 newStart, newStop, markToken));
	SOM_CATCH_ALL
	SOM_ENDTRY
}
