/*
	File:		som_CappuccinoSettingsExt.cpp

	IDL File:	som_CappuccinoSettingsExt.idl

	Contains:	Sound Editor's settings extension

	Written by:	Steve Smith
	
	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.
*/

// Notification that this is a SOM source file
#define som_CappuccinoSettingsExtension_Class_Source

// define underscore field names (ie. _fSelf)
#define VARIABLE_MACROS

// -- Compiler/Preprocessor Switches --

#ifndef _COMPILERDEFS_
#include "CompDefs.h"
#endif

// -- OpenDoc Utilities --

#ifndef _EXCEPT_
// Exceptions define several important macros (eg. CHECKENV)
// which are used in the SOM method dispatch glue. If Except.h
// is not included early enough, exceptions may not be thrown
// correctly when returning from a SOM method with the "ev" parameter set.
#include <Except.h>
#endif

// -- CappuccinoSettingsExtension Includes --

#ifndef SOM_som_CappuccinoSettingsExtension_xih
#include "som_CappuccinoSettingsExt.xih"
#endif

#ifndef _CappuccinoSettingsExtension_
#include "CappuccinoSettingsExt.h"
#endif

// -- OpenDoc Utility Includes --

#ifndef _ODUTILS_
#include <ODUtils.h>
#endif


#pragma segment somCappuccinoSettingsExtension

//====================================================================
// som_CappuccinoSettingsExtension
//====================================================================

SOM_Scope void  SOMLINK som_CappuccinoSettingsExtension__somInit(som_CappuccinoSettingsExtension *somSelf)
{
//	som_CappuccinoSettingsExtensionData *somThis = som_CappuccinoSettingsExtensionGetData(somSelf);
	som_CappuccinoSettingsExtensionMethodDebug("som_CappuccinoSettingsExtension","som_CappuccinoSettingsExtension__somInit");

	// somInit and somUninit methods behave like C++ constructors in that the
	// inherited methods are called automatically.
	// Thus, there is no need to call the parent class' somInit or somUninit.
	
	// There is also no need to set instance variables to zero/NULL
	// since SOM guarantees that a newly constructed object is zeroed.
}

SOM_Scope void  SOMLINK som_CappuccinoSettingsExtension__somUninit(som_CappuccinoSettingsExtension *somSelf)
{
	som_CappuccinoSettingsExtensionData *somThis = som_CappuccinoSettingsExtensionGetData(somSelf);
	som_CappuccinoSettingsExtensionMethodDebug("som_CappuccinoSettingsExtension","som_CappuccinoSettingsExtension__somUninit");
	
	ODDeleteObject(_fExtension);
}

SOM_Scope void  SOMLINK som_CappuccinoSettingsExtension__Release(som_CappuccinoSettingsExtension *somSelf, Environment *ev)
{
	som_CappuccinoSettingsExtensionData *somThis = som_CappuccinoSettingsExtensionGetData(somSelf);
	som_CappuccinoSettingsExtensionMethodDebug("som_CappuccinoSettingsExtension","som_CappuccinoSettingsExtension__Release");

	som_CappuccinoSettingsExtension_parent_ODSettingsExtension_Release(somSelf,ev);
}

SOM_Scope void  SOMLINK som_CappuccinoSettingsExtension__InitSettingsExtension(som_CappuccinoSettingsExtension *somSelf, Environment *ev,
		ODPart* owner)
{
	som_CappuccinoSettingsExtensionData *somThis = som_CappuccinoSettingsExtensionGetData(somSelf);
	som_CappuccinoSettingsExtensionMethodDebug("som_CappuccinoSettingsExtension","som_CappuccinoSettingsExtension__InitSettingsExtension");

	som_CappuccinoSettingsExtension_parent_ODSettingsExtension_InitSettingsExtension(somSelf,ev,owner);
	
	_fExtension = new CappuccinoSettingsExtension;
	_fExtension->InitSettingsExtension(ev, owner);
}

SOM_Scope void  SOMLINK som_CappuccinoSettingsExtension__ShowSettings(som_CappuccinoSettingsExtension *somSelf, Environment *ev,
		ODFacet* facet)
{
	som_CappuccinoSettingsExtensionData *somThis = som_CappuccinoSettingsExtensionGetData(somSelf);
	som_CappuccinoSettingsExtensionMethodDebug("som_CappuccinoSettingsExtension","som_CappuccinoSettingsExtension__ShowSettings");

	_fExtension->ShowSettings(ev, facet);
}
