#
#	File:		DrawEditor.make
#
#	Contains:	Makefile for OpenDoc DrawEditor test part
#
#	Written by:	Dave Stafford
#
#	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.
#

#---------------------------------------------------------------------------	
# PROJECT VARIABLES
#---------------------------------------------------------------------------	

TargetName = DrawEditor
TargetNameILink = {TargetName} (68k)
TargetNamePPCLink = {TargetName} (PPC)
TargetNameFat = {TargetName} (fat)

TargetCreatorType = DWED

AdditionalIncludes = -i "{somSourceDir}" -i "{SourceDir}"
AdditionalIDLIncludes = -i "{SourceDir}"

#---------------------------------------------------------------------------	
# CFM/PEF Version Numbers
#---------------------------------------------------------------------------	
# For detailed instructions on proper CFM/PEF version numbering, see
# Code Fragment Chapter (pg 3-7), Inside Macintosh: PowerPC System Software
#---------------------------------------------------------------------------	

CurrentLibraryVersion =		0x01008000		# 1.0 Final
LibraryExportsVersion =		0x00000000		# 0.0
LibraryCodeVersion =		0x00000000		# 0.0

#---------------------------------------------------------------------------	
# DIRECTORY DEPENDENCIES
#---------------------------------------------------------------------------	

"{TargetDir}"   "{SourceDir}"
"{ObjectsDir}"  "{SourceDir}"
"{ObjectsDir}"  "{somSourceDir}"
"{ObjectsDir}"  "{ODUtilsImplDir}"

#---------------------------------------------------------------------------	
# ROOT TARGET
#---------------------------------------------------------------------------	

BUILDPPCLINK  
	"{CppPrecompiledHeaders}"			
	"{TargetDir}{TargetNamePPCLink}"	
	"{somSourceDir}som_DrawEditor.exp"

BUILDREZ  
	"{ObjectsDir}DrawEditor.PPC.rsrc"	
	"{ObjectsDir}DrawEditor.68k.rsrc"

BUILDILINK  
	"{CppPrecompiledHeaders}"			
	"{TargetDir}{TargetNameILink}"		
	"{somSourceDir}som_DrawEditor.exp"

BUILDIDL  
	"{somSourceDir}som_FrameIterator.xih"	
	"{somSourceDir}som_FrameIterator.xh"	
#	"{somSourceDir}som_FrameIterator.cpp"	
	"{somSourceDir}som_DrawEditor.xih"	
	"{somSourceDir}som_DrawEditor.xh"	
#	"{somSourceDir}som_DrawEditor.cpp"	
	"{somSourceDir}som_DrawEditor.exp"

BUILDFATLIB  
	"{TargetDir}{TargetNameFat}"		
	"{TargetDir}{TargetNamePPCLink}"	
	"{TargetDir}{TargetNameILink}"

#---------------------------------------------------------------------------	
# FILE LIST VARIABLES
#---------------------------------------------------------------------------	

DrawEditorOBJECTS = 
	"{ObjectsDir}DrawEditor.cpp.o"			
	"{ObjectsDir}DrawEditorUtils.cpp.o"		
	"{ObjectsDir}DrawEditorGlobals.cpp.o"	
	"{ObjectsDir}FrameProxy.cpp.o"			
	"{ObjectsDir}Command.cpp.o"				
	"{ObjectsDir}DrawContent.cpp.o"			
	"{ObjectsDir}Link.cpp.o"				
	"{ObjectsDir}LinkCommands.cpp.o"		
	"{ObjectsDir}Palette.cpp.o"				
	"{ObjectsDir}Promise.cpp.o"				
	"{ObjectsDir}SampleCollections.cpp.o"	
	"{ObjectsDir}Selection.cpp.o"			
	"{ObjectsDir}Shapes.cpp.o"				
	"{ObjectsDir}ShapeCommands.cpp.o"		

somDrawEditorOBJECTS = 
	"{ObjectsDir}som_FrameIterator.cpp.o"	
	"{ObjectsDir}som_DrawEditorInit.cpp.o"	
	"{ObjectsDir}som_DrawEditor.cpp.o"		

OpenDocUtilityOBJECTS = 
	"{ObjectsDir}AltPoint.cpp.o" 			
	"{ObjectsDir}AltPoly.cpp.o" 			
	"{ObjectsDir}BArray.cpp.o" 			
	"{ObjectsDir}BndNSUtl.cpp.o" 			
	"{ObjectsDir}Crawl.cpp.o"	 			
	"{ObjectsDir}Except.cpp.o" 				
	"{ObjectsDir}FocusLib.cpp.o" 			
	"{ObjectsDir}IText.cpp.o" 				
	"{ObjectsDir}FlipEnd.cpp.o" 			
	"{ObjectsDir}ISOStr.cpp.o" 				
	"{ObjectsDir}LinkList.cpp.o" 			
	"{ObjectsDir}NmSpcUtl.cpp.o"			
	"{ObjectsDir}ODDebug.cpp.o" 			
	"{ObjectsDir}ODMemory.cpp.o"			
	"{ObjectsDir}ODNew.cpp.o"				
	"{ObjectsDir}OrdColl.cpp.o"				
	"{ObjectsDir}ODUtils.cpp.o"				
	"{ObjectsDir}PasclStr.cpp.o"			
	"{ObjectsDir}PlfmFile.cpp.o" 			
	"{ObjectsDir}StorUtil.cpp.o"			
	"{ObjectsDir}StdTypIO.cpp.o"			
	"{ObjectsDir}TempObj.cpp.o"				
	"{ObjectsDir}TempIter.cpp.o"			
	"{ObjectsDir}UseRsrcM.cpp.o" 			
	"{ObjectsDir}WinUtils.cpp.o" 			
			
#---------------------------------------------------------------------------	
# DEPENDENCIES
#---------------------------------------------------------------------------	

# --- IDL ---

"{somSourceDir}"som_FrameIterator.cpp 	
	"{somSourceDir}"som_FrameIterator.idl 
	"{ODIDLIntfDir}"EmbFrItr.idl
	
"{somSourceDir}"som_FrameIterator.xih 	
	"{somSourceDir}"som_FrameIterator.xh	
	"{somSourceDir}"som_FrameIterator.idl 
	"{ODIDLIntfDir}"EmbFrItr.idl
	
"{somSourceDir}"som_FrameIterator.xh 		
	"{somSourceDir}"som_FrameIterator.idl 
	"{ODIDLIntfDir}"EmbFrItr.idl

"{somSourceDir}"som_DrawEditor.cpp 	
	"{somSourceDir}"som_DrawEditor.idl 
	"{ODIDLIntfDir}"Part.idl
	
"{somSourceDir}"som_DrawEditor.xih 	
	"{somSourceDir}"som_DrawEditor.xh	
	"{somSourceDir}"som_DrawEditor.idl 
	"{ODIDLIntfDir}"Part.idl
	
"{somSourceDir}"som_DrawEditor.xh 		
	"{somSourceDir}"som_DrawEditor.idl 
	"{ODIDLIntfDir}"Part.idl

# --- SOURCE ---

"{ObjectsDir}DrawEditor.cpp.o"									
	"{SourceDir}DrawEditor.cpp" 								
	"{SourceDir}DrawEditor.h" 									
	"{SourceDir}DrawEditorDef.h" 								
	"{SourceDir}Palette.h"
	
"{ObjectsDir}DrawEditorGlobals.cpp.o"								
	"{SourceDir}DrawEditorGlobals.cpp"							
	"{SourceDir}DrawEditorGlobals.h"

"{ObjectsDir}DrawEditorUtils.cpp.o"								
	"{SourceDir}DrawEditorUtils.cpp"							
	"{SourceDir}DrawEditorUtils.h"

"{ObjectsDir}DrawEditorUtils.cpp.o"								
	"{SourceDir}DrawEditorUtils.cpp"							
	"{SourceDir}DrawEditorUtils.h"

"{ObjectsDir}FrameProxy.cpp.o"								
	"{SourceDir}FrameProxy.cpp"							
	"{SourceDir}FrameProxy.h"

"{ObjectsDir}Command.cpp.o"								
	"{SourceDir}Command.cpp"							
	"{SourceDir}Command.h"

"{ObjectsDir}DrawContent.cpp.o"							
	"{SourceDir}DrawContent.cpp"						
	"{SourceDir}DrawContent.h"

"{ObjectsDir}LinkCommands.cpp.o"								
	"{SourceDir}LinkCommands.cpp"								
	"{SourceDir}LinkCommands.h"

"{ObjectsDir}Link.cpp.o"								
	"{SourceDir}Link.cpp"								
	"{SourceDir}Link.h"

"{ObjectsDir}Palette.cpp.o"								
	"{SourceDir}Palette.cpp"							
	"{SourceDir}Palette.h"

"{ObjectsDir}Promise.cpp.o"								
	"{SourceDir}Promise.cpp"							
	"{SourceDir}Promise.h"

"{ObjectsDir}Palette.cpp.o"								
	"{SourceDir}Palette.cpp"							
	"{SourceDir}Palette.h"

"{ObjectsDir}SampleCollections.cpp.o"								
	"{SourceDir}SampleCollections.cpp"							
	"{SourceDir}SampleCollections.h"

"{ObjectsDir}Selection.cpp.o"								
	"{SourceDir}Selection.cpp"							
	"{SourceDir}Selection.h"

"{ObjectsDir}Shapes.cpp.o"							
	"{SourceDir}Shapes.cpp"							
	"{SourceDir}Shapes.h"

"{ObjectsDir}ShapeCommands.cpp.o"							
	"{SourceDir}ShapeCommands.cpp"							
	"{SourceDir}ShapeCommands.h"


# --- SOM OBJECTS ---



"{ObjectsDir}som_FrameIterator.cpp.o"							
	"{somSourceDir}som_FrameIterator.cpp"						
	"{somSourceDir}som_FrameIterator.xih"

"{ObjectsDir}som_DrawEditor.cpp.o"								
	"{somSourceDir}som_DrawEditor.cpp"							
	"{somSourceDir}som_DrawEditor.xih"

"{ObjectsDir}som_DrawEditorInit.cpp.o"							
	"{somSourceDir}som_DrawEditorInit.cpp"						
	"{somSourceDir}som_DrawEditor.xh"

# --- OPENDOC UTILITIES ---

"{ObjectsDir}AltPoint.cpp.o"									
	"{ODUtilsIntfDir}AltPoint.h" 								
	"{ODUtilsImplDir}AltPoint.cpp"

"{ObjectsDir}AltPoly.cpp.o"										
	"{ODUtilsIntfDir}AltPoly.h" 								
	"{ODUtilsImplDir}AltPoly.cpp"

"{ObjectsDir}BArray.cpp.o"									
	"{ODUtilsIntfDir}BArray.h" 									
	"{ODUtilsImplDir}BArray.cpp"

"{ObjectsDir}BndNSUtl.cpp.o"									
	"{ODUtilsIntfDir}BndNSUtl.h" 									
	"{ODUtilsImplDir}BndNSUtl.cpp"

"{ObjectsDir}Crawl.cpp.o"										
	"{ODUtilsIntfDir}Crawl.h" 									
	"{ODUtilsImplDir}Crawl.cpp"

"{ObjectsDir}Except.cpp.o"										
	"{ODUtilsIntfDir}Except.h" 									
	"{ODUtilsImplDir}Except.cpp"

"{ObjectsDir}FocusLib.cpp.o"									
	"{ODUtilsIntfDir}FocusLib.h" 								
	"{ODUtilsImplDir}FocusLib.cpp"

"{ObjectsDir}IText.cpp.o"										
	"{ODUtilsIntfDir}IText.h" 									
	"{ODUtilsImplDir}IText.cpp"

"{ObjectsDir}FlipEnd.cpp.o"										
	"{ODUtilsIntfDir}FlipEnd.h" 								
	"{ODUtilsImplDir}FlipEnd.cpp"

"{ObjectsDir}ISOStr.cpp.o"										
	"{ODUtilsIntfDir}ISOStr.h" 									
	"{ODUtilsImplDir}ISOStr.cpp"

"{ObjectsDir}NmSpcUtl.cpp.o"										
	"{ODUtilsIntfDir}NmSpcUtl.h" 								
	"{ODUtilsImplDir}NmSpcUtl.cpp"

"{ObjectsDir}ODDebug.cpp.o"										
	"{ODUtilsIntfDir}ODDebug.h" 								
	"{ODUtilsImplDir}ODDebug.cpp"

"{ObjectsDir}OrdColl.cpp.o"										
	"{ODUtilsIntfDir}OrdColl.h" 								
	"{ODUtilsImplDir}OrdColl.cpp"

"{ObjectsDir}LinkList.cpp.o"									
	"{ODUtilsIntfDir}LinkList.h" 								
	"{ODUtilsImplDir}LinkList.cpp"

"{ObjectsDir}ODMemory.cpp.o"									
	"{ODUtilsIntfDir}ODMemory.h" 								
	"{ODUtilsImplDir}ODMemory.cpp"

"{ObjectsDir}ODUtils.cpp.o"										
	"{ODUtilsIntfDir}ODUtils.h" 								
	"{ODUtilsImplDir}ODUtils.cpp"

"{ObjectsDir}PasclStr.cpp.o"									
	"{ODUtilsIntfDir}PasclStr.h" 								
	"{ODUtilsImplDir}PasclStr.cpp"

"{ObjectsDir}PlfmFile.cpp.o"									
	"{ODUtilsIntfDir}PlfmFile.h" 								
	"{ODUtilsImplDir}PlfmFile.cpp"

"{ObjectsDir}StorUtil.cpp.o"									
	"{ODUtilsIntfDir}StorUtil.h" 								
	"{ODUtilsImplDir}StorUtil.cpp"

"{ObjectsDir}StdTypIO.cpp.o"									
	"{ODUtilsIntfDir}StdTypIO.h" 								
	"{ODUtilsImplDir}StdTypIO.cpp"

"{ObjectsDir}TempIter.cpp.o"									
	"{ODUtilsIntfDir}TempIter.h" 								
	"{ODUtilsImplDir}TempIter.cpp"

"{ObjectsDir}TempObj.cpp.o"									
	"{ODUtilsIntfDir}TempObj.h" 								
	"{ODUtilsImplDir}TempObj.cpp"

"{ObjectsDir}UseRsrcM.cpp.o"									
	"{ODUtilsIntfDir}UseRsrcM.h" 								
	"{ODUtilsImplDir}UseRsrcM.cpp"

"{ObjectsDir}WinUtils.cpp.o"									
	"{ODUtilsIntfDir}WinUtils.h" 								
	"{ODUtilsImplDir}WinUtils.cpp"




#---------------------------------------------------------------------------	
# BUILD LIBRARIES
#---------------------------------------------------------------------------	

# --- 68k Link ---

"{TargetDir}{TargetNameILink}"  	 {DrawEditorOBJECTS}			
									 {somDrawEditorOBJECTS}			
									 {OpenDocUtilityOBJECTS}		
									 "{somSourceDir}som_DrawEditor.exp"
	Echo Linking: {TargetNameILink}
	{LinkTool}	
		-export `ConvertExportList "{somSourceDir}som_DrawEditor.exp"` 
		{ILinkOptions}										
		{ILinkShLibOptions}									
		-init DrawEditorCFMInit								
		-vercur {CurrentLibraryVersion}						
		-verdef {LibraryExportsVersion}						
		-verimp {LibraryCodeVersion}						
		{ShLibPreLibraries}									
		{DrawEditorOBJECTS}									
		{somDrawEditorOBJECTS}								
		{OpenDocUtilityOBJECTS}								
		"{ODCFMLibrariesDir}OpenDoc Core.stub"				
		"{ODCFMLibrariesDir}OpenDoc User Interface.stub"	
		"{ODCFMLibrariesDir}OpenDoc Storage.stub"			
		"{ODCFMLibrariesDir}OpenDoc Imaging.stub"			
		"{ODCFMLibrariesDir}OpenDoc Layout.stub"			
		"{ODCFMLibrariesDir}OpenDoc Binding.stub"			
		"{ODCFMLibrariesDir}Memory Manager.stub"			
		{ShLibPostLibraries}								
		-o "{ObjectsDir}{TargetNameILink}".seg
	If !{Status}
		Echo Building: {TargetNameILink}.SYM
		{SymTool} "{ObjectsDir}{TargetNameILink}".seg.NJ	
				-o "{TargetDir}{TargetNameILink}".SYM -sym 3.2
		Echo Building: {TargetNameILink}'s code/data fragment
		MakeFlat "{ObjectsDir}{TargetNameILink}".seg -o "{TargetDir}{TargetNameILink}"
		Echo Copying: {TargetNameILink}'s resources
		Echo "include "{RsrcObjectsDir}{TargetName}.68k.rsrc";" | Rez -a -o "{TargetDir}{TargetNameILink}"
		Echo "delete 'ckid';"  | Rez -a -o "{TargetDir}{TargetNameILink}"
		SetFile -a Bi -c "{TargetCreatorType}" {Targ}
	End

# --- PowerPC Link ---

"{TargetDir}{TargetNamePPCLink}" 		{DrawEditorOBJECTS}			
										{somDrawEditorOBJECTS}		
										{OpenDocUtilityOBJECTS}		
										"{somSourceDir}som_DrawEditor.exp"
	Echo Linking: {TargetNamePPCLink}
	{LinkTool}	
		-export `ConvertExportList "{somSourceDir}som_DrawEditor.exp"` 
		{PPCLinkOptions}									
		{PPCLinkShLibOptions}								
		-init DrawEditorCFMInit								
		-verCur {CurrentLibraryVersion}						
		-verDef {LibraryExportsVersion}						
		-verImp {LibraryCodeVersion}						
		{PPCShLibPreLibraries}								
		{DrawEditorOBJECTS}									
		{somDrawEditorOBJECTS}								
		{OpenDocUtilityOBJECTS}								
		"{ODCFMLibrariesDir}OpenDoc Core.stub"				
		"{ODCFMLibrariesDir}OpenDoc User Interface.stub"	
		"{ODCFMLibrariesDir}OpenDoc Storage.stub"			
		"{ODCFMLibrariesDir}OpenDoc Imaging.stub"			
		"{ODCFMLibrariesDir}OpenDoc Layout.stub"			
		"{ODCFMLibrariesDir}OpenDoc Binding.stub"			
		"{ODCFMLibrariesDir}Memory Manager.stub"			
		{PPCShLibPostLibraries}								
		-o "{ObjectsDir}{TargetNamePPCLink}"
	If !{Status}
		Move -y "{ObjectsDir}{TargetNamePPCLink}" "{TargetDir}"
		if ( `exists "{ObjectsDir}{TargetNamePPCLink}".xcoff != ""` )
			Echo Building: {TargetNamePPCLink}.xSYM
			{SymTool} "{ObjectsDir}{TargetNamePPCLink}".xcoff			
					{AdditionalIncludes} -i "{ODUtilsImplDir}"			
					-sym on,3.2 -o "{TargetDir}{TargetNamePPCLink}".xSYM
		end
		Echo Copying: {TargetNamePPCLink}'s resources
		Echo "include "{RsrcObjectsDir}{TargetName}.PPC.rsrc";" | Rez -a -o "{TargetDir}{TargetNamePPCLink}"
		Echo "delete 'ckid';"  | Rez -a -o "{TargetDir}{TargetNamePPCLink}"
		SetFile -a Bi -c "{TargetCreatorType}" {Targ}
	End


#---------------------------------------------------------------------------	
# REZ STEPS
#---------------------------------------------------------------------------	

"{RsrcObjectsDir}{TargetName}.PPC.rsrc"									
										"{SourceDir}DrawEditor.r"		
										"{SourceDir}DrawEditorDef.h"	
										"{SourceDir}DrawEditorVers.h"	
										"{SourceDir}DrawEditorOtherResources.rsrc"
	Echo Rezzing: {TargetName}.r (for PPC)
	Rez {RezOptions} {ODRezIntf} "{SourceDir}{TargetName}.r" -o {targ}
	Echo "delete 'ckid';"  | Rez -a -o {Targ}
	SetFile -a i -c "{ResEditCreator}" -t "{ResEditFileType}" {Targ}
	if ( `exists "{TargetDir}{TargetNamePPCLink}" != ""` )
		Echo Copying: {TargetNamePPCLink}'s resources
		Echo "include ""{Targ}"";" | Rez -a -o "{TargetDir}{TargetNamePPCLink}"
	end	

"{RsrcObjectsDir}{TargetName}.68k.rsrc"									
										"{SourceDir}DrawEditor.r"		
										"{SourceDir}DrawEditorDef.h"	
										"{SourceDir}DrawEditorVers.h"	
										"{SourceDir}DrawEditorOtherResources.rsrc"
	Echo Rezzing: {TargetName}.r (for 68k)
	Rez -d _68KBUILD_ {RezOptions} {ODRezIntf} "{SourceDir}{TargetName}.r" -o {Targ} 
	Echo "delete 'ckid';"  | Rez -a -o {Targ}
	SetFile -a i -c "{ResEditCreator}" -t "{ResEditFileType}" {Targ}
	if ( `exists "{TargetDir}{TargetNameILink}" != ""` )
		Echo Copying: {TargetNameILink}'s resources
		Echo "include ""{Targ}"";" | Rez -a -o "{TargetDir}{TargetNameILink}"
	end

