/*
	File:		DrawEditorGlobals.h

	Contains:	DrawEditorGlobals globals

	Written by:	Dave Stafford

	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.
*/


#ifndef _DRAWEDITORCONSTANTS_
#define _DRAWEDITORCONSTANTS_

// Menu Commands
// Command numbers for part editors must begin in the 20000's
const ODCommandID kMoveForwardCmd 			= 20000;
const ODCommandID kMoveFrontCmd				= 20001;
const ODCommandID kMoveBackwardCmd			= 20002;
const ODCommandID kMoveBackCmd				= 20003;
const ODCommandID kWrapToPartCmd			= 20004;
const ODCommandID kDrawingSizeCmd			= 20005;
const ODCommandID kShowHideToolPaletteCmd	= 20006;
const ODCommandID kShowHideColorPaletteCmd	= 20007;
const ODCommandID kNewShapeCommand			= 20008;
const ODCommandID kColorSelectionCommand	= 20009;
const ODCommandID kResizeSelectionCommand	= 20010;
const ODCommandID kDragShapeCommand			= 20011;
const ODCommandID kDropShapeCommand			= 20012;

// Resources
#define	kBaseResourceID				20000

// Icons
#define	kLargeIcons					1
#define	kSmallIcons					2

// Shapes
#define	kMinShapeWidth				15
#define	kMinShapeHeight				15


// Dialogs & Windows
#define	kMacWindowTitleBarHeight	20
#define	kALittleNudge				4
#define	kMaxDigitsForSizeItem		2

// DITL IDs
#define kErrStrFieldID				3
#define kDrawingSizeWidth			4
#define kDrawingSizeHeight			7

// PICT IDs
#define	kActiveTextToolPict			kBaseResourceID + 2
#define kInactiveTextToolPict		kBaseResourceID + 7

// Storage tag Constants
const ODSShort kDrawSelection	= 1;
const ODSShort kDrawDocument	= 2;

// Display Frames
#define kFrameRemoved					1
#define kFrameClosed					0

// Miscellaneous
const ODBoolean kDontCommit 			= kODFalse;
const ODBoolean kCommit 				= kODTrue;
const ODBoolean kAddSequenceNumber		= kODTrue;
const ODBoolean kRemoveSequenceNumber	= kODFalse;
const ODSShort	kBlackColor				= 256;

#endif