/*
	File:		DrawEditorDef.h

	Contains:	Common definitions used by DrawEditor.cpp & .r files

	Written by:	Adapted from SamplePartDef.h by Dave Stafford

	Note:		This file will need to be modified for any derivitive
				work based on DrawEditor. 
	
	Copyright:	 1994-95 by Apple Computer, Inc., all rights reserved.
*/

#ifndef _DRAWEDITORDEF_
#define _DRAWEDITORDEF_

// -- OpenDoc Includes --

#ifndef SOM_Module_OpenDoc_StdDefs_defined
#include <StdDefs.xh>
#endif

// Kind
#define kDrawEditorKind					kODISOPrefix "Apple:Kind:DrawEditor"

// Category
// #define kDrawEditorCategory				kODCategoryDrawing

// Class / Editor ID
#define kPartClassName					"som_DrawEditor"
#define kDrawEditorID					"SampleCode::som_DrawEditor"

// Editor User String
#define kDrawEditorEditorUserString 	"DrawEditor 1.0"

// Kind User String
#define kDrawEditorKindUserString		"DrawEditor"

// Category User String
#define kDrawEditorCategoryUserString 	"Draw"

// ISO Strings
#define kMainPresentation  			kODISOPrefix "DrawEditor:Presentation:Main"
#define kColorPalettePresentation	kODISOPrefix "DrawEditor:Presentation:ColorPalette"
#define kToolPalettePresentation	kODISOPrefix "DrawEditor:Presentation:ToolPalette"
#define kDrawEditorInfo				kODISOPrefix "DrawEditor:Display Frame Info"

#define kBaseResourceID					20000

// NMAP Resource IDs
#define kKindCategoryMapId				kBaseResourceID+1
#define kEditorKindMapId				kBaseResourceID+2
#define kEditorUserStringMapId			kBaseResourceID+3
#define kKindUserStringMapId			kBaseResourceID+4
#define kOldMacOSTypeMapId				kBaseResourceID+5

// Dialogs & Windows
#define	kAboutBoxID  				kBaseResourceID
#define	kErrorBoxID  				kBaseResourceID + 1
#define	kDrawingsizeDialogID		kBaseResourceID + 2

#define	kIconResID					kBaseResourceID
#define	kThumbnailPICT				kBaseResourceID + 8 // 1 thru 7 are tool picts

#define kMinVertVisPortion				10
#define kMinHorzVisPortion				16

// DrawEditor OSTypes
#define kDrawEditorEditorOSType		'DWED'
#define kDrawEditorViewerOSType		'DWVW'
#define kDrawEditorDocumentOSType	'DWDC'
#define kDrawEditorStationeryOSType	'sWDC'

// Bundles/FREFs
#define kDocumentBundle					kBaseResourceID
#define kEditorBundle					kBaseResourceID+1
#define kViewerBundle					kBaseResourceID+2
#define kDocumentFREF					kBaseResourceID
#define kStationeryFREF					kBaseResourceID+1
#define kEditorFREF						kBaseResourceID+2
#define kViewerFREF						kBaseResourceID+3

// Menus
#define kLayoutMenuID				kBaseResourceID
#define kMoveForwardItem			1
#define kMoveFrontItem				2
#define kMoveBackwardItem			3
#define kMoveBackItem				4
#define kDrawingSizeItem			6
#define kWrapToParItem				7

#define kPalettesMenuID				kLayoutMenuID + 1
#define kToolPaletteItem			1
#define kColorPaletteItem			2

// Float window def ID
#define kFloatWindowDefID			500	// Can't put this into the 20000+ range 
										// See NewWindow call
// Icons
#define	kDocumentIcons					kBaseResourceID
#define	kStationeryIcons				kBaseResourceID+1
#define	kEditorIcons					kBaseResourceID+2
#define	kViewerIcons					kBaseResourceID+3

// Menu text Items
#define	kMenuStringResID			kBaseResourceID
#define	kAboutTextID        		1
#define	kHideToolPaletteIndex		2
#define	kShowToolPaletteIndex		3
#define	kHideColorPaletteIndex		4
#define	kShowColorPaletteIndex		5
#define	kUndoCommandIndex			6
#define	kRedoCommandIndex			7
#define	kUndoNewShapeIndex			8
#define	kRedoNewShapeIndex			9
#define	kUndoResizeIndex			10
#define	kRedoResizeIndex			11
#define	kUndoDragIndex				12
#define	kRedoDragIndex				13
#define	kUndoDropIndex				14
#define	kRedoDropIndex				15
#define	kUndoColorChangeIndex		16
#define	kRedoColorChangeIndex		17
#define	kUndoMoveForwardIndex		18
#define	kRedoMoveForwardIndex		19
#define	kUndoMoveBackwardIndex		20
#define	kRedoMoveBackwardIndex		21
#define	kUndoMoveFrontIndex			22
#define	kRedoMoveFrontIndex			23
#define	kUndoMoveBackIndex			24
#define	kRedoMoveBackIndex			25
#define	kUndoCutIndex				26
#define	kRedoCutIndex				27
#define	kUndoCopyIndex				28
#define	kRedoCopyIndex				29
#define	kUndoPasteIndex				30
#define	kRedoPasteIndex				31
#define	kUndoClearIndex				32
#define	kRedoClearIndex				33
#define	kUndoSelectAllIndex			34
#define	kRedoSelectAllIndex			35
#define	kUndoPasteLinkIndex			36
#define	kRedoPasteLinkIndex			37
#define kLinkInfoIndex				38
#define kUndoBreakLinkIndex			39
#define kRedoBreakLinkIndex			40

// Error Messages
#define kErrorStringResID				kMenuStringResID+1
#define kErrStrFieldID					3
#define kErrCantInitializePart			1
#define kErrCantOpenDocWindow			2
#define kErrCantOpenPartWindow			3
#define kErrRemoveFrame					4
#define kErrWindowGone					5
#define kErrExternalizeFailed			6

#define kODErrInvalidParameter 		21000 

#endif

