/*
	File:		som_DrawEditorInit.cpp

	Contains:	CFM & SOM Library init routines for DrawEditor

	Written by:	Dave Stafford

	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.

*/


#ifndef _USERSRCM_
#include <UseRsrcM.h>
#endif

#ifndef __CODEFRAGMENTS__
#include <CodeFragments.h>
#endif

#ifndef _ODMEMORY_
#include <ODMemory.h>
#endif

#pragma segment somDrawEditorInit

//------------------------------------------------------------------------------
// Prototypes
//------------------------------------------------------------------------------

extern "C" pascal OSErr DrawEditorCFMInit(CFragInitBlockPtr initBlkPtr);


//------------------------------------------------------------------------------
// Functions
//------------------------------------------------------------------------------

extern "C" pascal OSErr DrawEditorCFMInit(CFragInitBlockPtr initBlkPtr)
{
	// If the mouse button is down while we are constructing
	// Then enter the debugger so that we can set breakpoints 
	#ifdef ODDebug
	if (Button())
		DebugStr("\pBreak at DrawEditor Constructor.");
	#endif
	
	// We are using OpenDoc's memory mgmt calls, so we must
	// initialize the interface to the memory manager.
	OSErr err1 = InitODMemory();
	// We must also capture the relevant information about
	// our library file so that we may access our resources.
	OSErr err2 = InitLibraryResources(initBlkPtr);
	
	return (OSErr) (err1 != noErr) ? err1 : err2;
}



