#
#	File:		PanelEditor.make
#
#	Contains:	Makefile for OpenDoc PanelEditor editor
#
#	Written by:	Steve Smith
#
#	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.
#

#---------------------------------------------------------------------------	
# PROJECT VARIABLES
#---------------------------------------------------------------------------	

TargetName = PanelEditor
TargetNameILink = {TargetName} (68k)
TargetNamePPCLink = {TargetName} (PPC)
TargetNameFat = {TargetName} (fat)

TargetCreatorType = PLED

AdditionalIncludes = -i "{somSourceDir}" -i "{SourceDir}"
AdditionalIDLIncludes = -i "{SourceDir}"

#---------------------------------------------------------------------------	
# CFM/PEF Version Numbers
#---------------------------------------------------------------------------	
# For detailed instructions on proper CFM/PEF version numbering, see
# Code Fragment Chapter (pg 3-7), Inside Macintosh: PowerPC System Software
#---------------------------------------------------------------------------	

CurrentLibraryVersion =		0x01006003		# 1.0 Beta
LibraryExportsVersion =		0x00000000		# 0.0
LibraryCodeVersion =		0x00000000		# 0.0

#---------------------------------------------------------------------------	
# DIRECTORY DEPENDENCIES
#---------------------------------------------------------------------------	

"{TargetDir}"   "{SourceDir}"
"{ObjectsDir}"  "{SourceDir}"
"{ObjectsDir}"  "{somSourceDir}"
"{ObjectsDir}"  "{ODUtilsImplDir}"

#---------------------------------------------------------------------------	
# ROOT TARGET
#---------------------------------------------------------------------------	

BUILDPPCLINK  
	"{CppPrecompiledHeaders}"			
	"{TargetDir}{TargetNamePPCLink}"	
	"{somSourceDir}som_PanelEditor.exp"

BUILDREZ  
	"{ObjectsDir}{TargetName}.PPC.rsrc"	
	"{ObjectsDir}{TargetName}.68k.rsrc"

BUILDILINK  
	"{CppPrecompiledHeaders}"			
	"{TargetDir}{TargetNameILink}"		
	"{somSourceDir}som_PanelEditor.exp"

BUILDIDL  
	"{somSourceDir}som_PanelEditor.xih"	
	"{somSourceDir}som_PanelEditor.xh"	
	"{somSourceDir}som_PanelEditor.cpp"	
	"{somSourceDir}som_PanelEditor.exp"
	

#---------------------------------------------------------------------------	
# FILE LIST VARIABLES
#---------------------------------------------------------------------------	

PanelEditorOBJECTS = 
	"{ObjectsDir}PanelEditor.cpp.o"			
	"{ObjectsDir}PanelEditorGlobals.cpp.o"	
	"{ObjectsDir}Selection.cpp.o"			
	"{ObjectsDir}UndoPE.cpp.o"				
	"{ObjectsDir}ListItem.cpp.o"			
	"{ObjectsDir}Scrollbar.cpp.o"			
	"{ObjectsDir}FrameInfo.cpp.o"			
	"{ObjectsDir}PanelEditorUtils.cpp.o"	
	"{ObjectsDir}SampleCollections.cpp.o"	
	"{ObjectsDir}Panel.cpp.o"				
	"{ObjectsDir}ScrollingList.cpp.o"		
	"{ObjectsDir}FramePE.cpp.o"				
	"{ObjectsDir}Printer.cpp.o"				
	"{ObjectsDir}PrinterGX.cpp.o"			
	"{ObjectsDir}PrinterQD.cpp.o"			

somPanelEditorOBJECTS = 
	"{ObjectsDir}som_PanelEditorInit.cpp.o"	
	"{ObjectsDir}som_PanelEditor.cpp.o"		

OpenDocUtilityOBJECTS = 
	"{ObjectsDir}AltPoint.cpp.o" 			
	"{ObjectsDir}AltPoly.cpp.o" 			
	"{ObjectsDir}BArray.cpp.o"	 			
	"{ObjectsDir}BndNSUtl.cpp.o" 			
	"{ObjectsDir}Crawl.cpp.o"	 			
	"{ObjectsDir}DlogUtil.cpp.o" 			
	"{ObjectsDir}DocUtils.cpp.o" 			
	"{ObjectsDir}Except.cpp.o" 				
	"{ObjectsDir}FocusLib.cpp.o" 			
	"{ObjectsDir}IText.cpp.o" 				
	"{ObjectsDir}FlipEnd.cpp.o" 			
	"{ObjectsDir}ISOStr.cpp.o" 				
	"{ObjectsDir}LinkList.cpp.o" 			
	"{ObjectsDir}NmSpcUtl.cpp.o" 			
	"{ObjectsDir}ODDebug.cpp.o" 			
	"{ObjectsDir}ODMemory.cpp.o"			
	"{ObjectsDir}ODNew.cpp.o"				
	"{ObjectsDir}ODUtils.cpp.o"				
	"{ObjectsDir}PasclStr.cpp.o"			
	"{ObjectsDir}PlfmFile.cpp.o"			
	"{ObjectsDir}StorUtil.cpp.o"			
	"{ObjectsDir}StdTypIO.cpp.o"			
	"{ObjectsDir}TempIter.cpp.o"			
	"{ObjectsDir}TempObj.cpp.o"				
	"{ObjectsDir}UseRsrcM.cpp.o" 			
	"{ObjectsDir}WinUtils.cpp.o" 			
			
#---------------------------------------------------------------------------	
# DEPENDENCIES
#---------------------------------------------------------------------------	

# --- IDL ---

"{somSourceDir}"som_PanelEditor.cpp 			
	"{somSourceDir}"som_PanelEditor.idl			
	"{ODIDLIntfDir}"Part.idl
	
"{somSourceDir}"som_PanelEditor.xih 			
	"{somSourceDir}"som_PanelEditor.xh			
	"{somSourceDir}"som_PanelEditor.idl			
	"{ODIDLIntfDir}"Part.idl
	
"{somSourceDir}"som_PanelEditor.xh 			
	"{somSourceDir}"som_PanelEditor.idl			
	"{ODIDLIntfDir}"Part.idl

# --- SOURCE ---

"{ObjectsDir}PanelEditor.cpp.o"					
	"{SourceDir}PanelEditor.cpp" 				
	"{SourceDir}PanelEditor.h" 					
	"{SourceDir}PanelEditorDef.h" 				
	"{SourceDir}PanelEditorUtils.h"
	
"{ObjectsDir}Scrollbar.cpp.o"					
	"{SourceDir}Scrollbar.cpp" 					
	"{SourceDir}Scrollbar.h" 					
	"{SourceDir}PanelEditorDef.h" 				
	"{SourceDir}PanelEditorUtils.h"
	
"{ObjectsDir}FrameInfo.cpp.o"					
	"{SourceDir}FrameInfo.cpp" 					
	"{SourceDir}FrameInfo.h" 					
	"{SourceDir}PanelEditorDef.h" 				
	"{SourceDir}PanelEditorUtils.h"
	
"{ObjectsDir}PanelEditorGlobals.cpp.o"			
	"{SourceDir}PanelEditorGlobals.cpp" 		
	"{SourceDir}PanelEditorGlobals.h" 			
	"{SourceDir}PanelEditorDef.h" 				
	"{SourceDir}PanelEditorUtils.h"
	
"{ObjectsDir}UndoPE.cpp.o"						
	"{SourceDir}UndoPE.cpp" 					
	"{SourceDir}UndoPE.h" 						
	"{SourceDir}PanelEditorDef.h" 				
	"{SourceDir}PanelEditorUtils.h"
	
"{ObjectsDir}ListItem.cpp.o"					
	"{SourceDir}ListItem.cpp" 					
	"{SourceDir}ListItem.h" 					
	"{SourceDir}PanelEditorDef.h" 				
	"{SourceDir}PanelEditorUtils.h"
	
"{ObjectsDir}Panel.cpp.o"						
	"{SourceDir}Panel.cpp" 						
	"{SourceDir}Panel.h" 						
	"{SourceDir}PanelEditorDef.h" 				
	"{SourceDir}PanelEditorUtils.h"
	
"{ObjectsDir}Selection.cpp.o"					
	"{SourceDir}Selection.cpp" 					
	"{SourceDir}Selection.h" 					
	"{SourceDir}PanelEditorDef.h" 				
	"{SourceDir}PanelEditorUtils.h"
	
"{ObjectsDir}PanelEditorUtils.cpp.o"			
	"{SourceDir}PanelEditorUtils.cpp"			
	"{SourceDir}PanelEditorUtils.h"

"{ObjectsDir}SampleCollections.cpp.o"			
	"{SourceDir}SampleCollections.cpp"			
	"{SourceDir}SampleCollections.h"

# --- SOM OBJECTS ---

"{ObjectsDir}som_PanelEditor.cpp.o"				
	"{somSourceDir}som_PanelEditor.cpp"			
	"{somSourceDir}som_PanelEditor.xih"

"{ObjectsDir}som_PanelEditorInit.cpp.o"			
	"{somSourceDir}som_PanelEditorInit.cpp"		
	"{somSourceDir}som_PanelEditor.xh"


#---------------------------------------------------------------------------	
# BUILD LIBRARIES
#---------------------------------------------------------------------------	

# --- 68k Link ---

"{TargetDir}{TargetNameILink}"									
								{PanelEditorOBJECTS}			
								{somPanelEditorOBJECTS}			
								{OpenDocUtilityOBJECTS}			
								"{somSourceDir}som_PanelEditor.exp"
	Echo Linking: {TargetNameILink}
	{LinkTool}	
		-export `ConvertExportList "{somSourceDir}som_PanelEditor.exp"` 
		{ILinkOptions}													
		{ILinkShLibOptions}												
		-init PanelEditorCFMInit										
		-vercur {CurrentLibraryVersion}									
		-verdef {LibraryExportsVersion}									
		-verimp {LibraryCodeVersion}									
		{ShLibPreLibraries}												
		{PanelEditorOBJECTS}											
		{somPanelEditorOBJECTS}											
		{OpenDocUtilityOBJECTS}											
		"{ODCFMLibrariesDir}OpenDoc Core.stub"							
		"{ODCFMLibrariesDir}OpenDoc User Interface.stub"				
		"{ODCFMLibrariesDir}OpenDoc Storage.stub"						
		"{ODCFMLibrariesDir}OpenDoc Imaging.stub"						
		"{ODCFMLibrariesDir}OpenDoc Layout.stub"						
		"{ODCFMLibrariesDir}Memory Manager.stub"						
		{ShLibPostLibraries}											
		-o "{ObjectsDir}{TargetNameILink}".seg
	If !{Status}
		Echo Building: {TargetNameILink}.SYM
		{SymTool} "{ObjectsDir}{TargetNameILink}".seg.NJ 
			-o "{TargetDir}{TargetNameILink}".SYM -sym 3.2
		Echo Building: {TargetNameILink}'s code/data fragment
		MakeFlat "{ObjectsDir}{TargetNameILink}".seg -o "{TargetDir}{TargetNameILink}"
		Echo Copying: {TargetNameILink}'s resources
		Echo "include "{RsrcObjectsDir}{TargetName}.68k.rsrc";" | Rez -a -o "{TargetDir}{TargetNameILink}"
		Echo "delete 'ckid';"  | Rez -a -o "{TargetDir}{TargetNameILink}"
		SetFile -a Bi -c "{TargetCreatorType}" {Targ}
	End

# --- PowerPC Link ---

"{TargetDir}{TargetNamePPCLink}"								
									{PanelEditorOBJECTS}		
									{somPanelEditorOBJECTS}		
									{OpenDocUtilityOBJECTS}		
									"{somSourceDir}som_PanelEditor.exp"
	Echo Linking: {TargetNamePPCLink}
	{LinkTool}	
		-export `ConvertExportList "{somSourceDir}som_PanelEditor.exp"` 
		{PPCLinkOptions}									
		{PPCLinkShLibOptions}								
		-init PanelEditorCFMInit							
		-verCur {CurrentLibraryVersion}						
		-verDef {LibraryExportsVersion}						
		-verImp {LibraryCodeVersion}						
		{PPCShLibPreLibraries}								
		{PanelEditorOBJECTS}								
		{somPanelEditorOBJECTS}								
		{OpenDocUtilityOBJECTS}								
		"{ODCFMLibrariesDir}OpenDoc Core.stub"				
		"{ODCFMLibrariesDir}OpenDoc User Interface.stub"	
		"{ODCFMLibrariesDir}OpenDoc Storage.stub"			
		"{ODCFMLibrariesDir}OpenDoc Imaging.stub"			
		"{ODCFMLibrariesDir}OpenDoc Layout.stub"			
		"{ODCFMLibrariesDir}Memory Manager.stub"			
		{PPCShLibPostLibraries}								
		-o "{ObjectsDir}{TargetNamePPCLink}"
	If !{Status}
		Move -y "{ObjectsDir}{TargetNamePPCLink}" "{TargetDir}"
		Echo Building: {TargetNamePPCLink}.xSYM
		{SymTool} "{ObjectsDir}{TargetNamePPCLink}".xcoff				
				{AdditionalIncludes} -i "{ODUtilsImplDir}"			
				-sym on,3.2 -o "{TargetDir}{TargetNamePPCLink}".xSYM
		Echo Copying: {TargetNamePPCLink}'s resources
		Echo "include "{RsrcObjectsDir}{TargetName}.PPC.rsrc";" | Rez -a -o "{TargetDir}{TargetNamePPCLink}"
		Echo "delete 'ckid';"  | Rez -a -o "{TargetDir}{TargetNamePPCLink}"
		SetFile -a Bi -c "{TargetCreatorType}" {Targ}
	End


#---------------------------------------------------------------------------	
# REZ STEPS
#---------------------------------------------------------------------------	

"{ObjectsDir}"PanelEditor.PPC.rsrc	 
									"{SourceDir}"PanelEditor.r		
									"{SourceDir}PanelEditorDef.h"	
									"{SourceDir}PanelEditorVers.h"	
									"{SourceDir}PanelEditorOtherResources.rsrc" 
									"{SourceDir}PrintManager.rsrc"
	Echo Rezzing: {TargetName}.r (for PPC)
	Rez {RezOptions} {ODRezIntf} "{SourceDir}"PanelEditor.r -o {targ}
	Rez -a "{SourceDir}PrintManager.rsrc" -o {Targ}
	Echo "delete 'ckid';"  | Rez -a -o {Targ}
	SetFile -a i -c "{ResEditCreator}" -t "{ResEditFileType}" {Targ}
	if ( `exists "{TargetDir}{TargetNamePPCLink}" != ""` )
		Echo Copying: {TargetNamePPCLink}'s resources
		Echo "include ""{Targ}"";" | Rez -a -o "{TargetDir}{TargetNamePPCLink}"
	end	

"{ObjectsDir}"PanelEditor.68k.rsrc	 
									"{SourceDir}"PanelEditor.r		
									"{SourceDir}PanelEditorDef.h"	
									"{SourceDir}PanelEditorVers.h"	
									"{SourceDir}PanelEditorOtherResources.rsrc" 
									"{SourceDir}PrintManager.rsrc"
	Echo Rezzing: {TargetName}.r (for 68k)
	Rez -d _68KBUILD_ {RezOptions} {ODRezIntf} "{SourceDir}"PanelEditor.r -o {targ}
	Rez -a "{SourceDir}PrintManager.rsrc" -o {Targ}
	Echo "delete 'ckid';"  | Rez -a -o {Targ}
	SetFile -a i -c "{ResEditCreator}" -t "{ResEditFileType}" {Targ}
	if ( `exists "{TargetDir}{TargetNameILink}" != ""` )
		Echo Copying: {TargetNameILink}'s resources
		Echo "include ""{Targ}"";" | Rez -a -o "{TargetDir}{TargetNameILink}"
	end

