/*
	File:		PanelEditorDef.h

	Contains:	Common definitions used by PanelEditor.cpp & .r files

	Written by:	Steve Smith

	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.
*/


#ifndef _PANELEDITORDEF_
#define _PANELEDITORDEF_

// -- OpenDoc Includes --

#ifndef SOM_Module_OpenDoc_StdDefs_defined
#include <StdDefs.xh>
#endif

//=====================================================================

// Class / Editor ID
#define kPartClassName					"som_PanelEditor"
#define kPanelEditorID					"SampleCode::som_PanelEditor"

// Editor User String
#define kPanelEditorEditorUserString 	"Panel Editor 1.0"

// Kind
#define kPanelEditorKind				kODISOPrefix "Apple:Kind:PanelEditor"
#define kPanelEditorKindUserString		"Panel Editor"

// PanelEditor OSTypes
#define kPanelEditorEditorOSType		'PLED'
#define kPanelEditorViewerOSType		'PLVW'
#define kPanelEditorDocumentOSType		'PLDC'
#define kPanelEditorStationeryOSType	'sLDC'

// ISO Strings
#define kMainPresentation  				kODISOPrefix "PanelEditor:Presentation:Main"
#define kListPresentation  				kODISOPrefix "PanelEditor:Presentation:List"
#define kPanelEditorInfo				kODISOPrefix "PanelEditor:Display Frame Info"

#define kPanelListFrame					kODISOPrefix "PanelEditor:List Frame"
#define kPanelStatusFrame				kODISOPrefix "PanelEditor:Status Frame"

// PanelEditor defines
#define	kBaseResourceID					20001

// NMAP Resource IDs
#define kKindCategoryMapId				kBaseResourceID+1
#define kEditorKindMapId				kBaseResourceID+2
#define kEditorUserStringMapId			kBaseResourceID+3
#define kKindUserStringMapId			kBaseResourceID+4
#define kCategoryUserStringMapId		kBaseResourceID+5
#define kOldMacOSTypeMapId				kBaseResourceID+6

// Menu Item Text
#define	kMenuStringResID				kBaseResourceID
#define kErrorStringResID				kBaseResourceID+1
#define kUndoStringResID				kBaseResourceID+2
#define kItemNameResID					kBaseResourceID+3
#define	kAboutTextID        			1
#define kUntitledItemNameID				1

// Menus
#define kPanelMenuID					kBaseResourceID
#define kPanelLayoutCmd					kBaseResourceID
#define kPanelRunCmd					kBaseResourceID+1

// Error Messages
#define kErrStrFieldID					3
#define kErrCantInitializePart			1
#define kErrCantOpenDocWindow			2
#define kErrCantOpenPartWindow			3
#define kErrRemoveFrame					4
#define kErrWindowGone					5
#define kErrExternalizeFailed			6

// Internal Error codes
#define kAssertionFailed				kBaseResourceID
#define kForgotToCleanup				kBaseResourceID+1

// Undo Messages
#define kUndoCut						1
#define kUndoPaste						3
#define kUndoClear						5
#define kUndoDrop						7
#define kUndoDrag						9

// Item Name
#define kUntitledNameResID				kBaseResourceID+3
#define kUntitledName					1

// Bundles/FREFs
#define kDocumentBundle					kBaseResourceID
#define kEditorBundle					kBaseResourceID+1
#define kViewerBundle					kBaseResourceID+2
#define kDocumentFREF					kBaseResourceID
#define kStationeryFREF					kBaseResourceID+1
#define kEditorFREF						kBaseResourceID+2
#define kViewerFREF						kBaseResourceID+3

// Icons
#define	kLargeIcons						1
#define	kSmallIcons						2
#define	kDocumentIcons					kBaseResourceID
#define	kStationeryIcons				kBaseResourceID+1
#define	kEditorIcons					kBaseResourceID+2
#define	kViewerIcons					kBaseResourceID+3

// Pictures
#define	kEditorIconPicture				kBaseResourceID
#define	kThumbnailPicture				kBaseResourceID+1

// Dialogs & Windows
#define	kAboutBoxID  					kBaseResourceID
#define	kErrorBoxID  					kBaseResourceID+1
#define	kMacWindowTitleBarHeight		20
#define	kALittleNudge					4
#define kMinVertVisPortion				10
#define kMinHorzVisPortion				16

#define kDefaultWinWidth				489
#define kDefaultWinHeight				304

#define kWindowOpening					1
#define kWindowClosing					0

// List & Panel
#define kListLeftMargin					22
#define kListTopMargin					5
#define kListItemHeight					55
#define kListTopEdge					6
#define kListLeftEdge					kListTopEdge
#define kListWidth						76+16
#define kPanelTopEdge					kListTopEdge
#define kPanelLeftEdge					111
#define kDividerLeftEdge				104
#define kMinPanelWidth					kODThumbnailSize

// List Item Names
#define kNameGapMargin					0
#define kNameBoxHeight					13
#define kNameHighlightPadding			3

// Display Frames
#define kFrameRemoved					1
#define kFrameClosed					0

// Frame Group/Sequence
#define kListItemGroupID				kBaseResourceID
#define kPanelGroupID					kBaseResourceID+100

// Geometry
#define kMinImagingResolution			72 // dpi

// Drawing Constants
#define kLtGrayColor					0xCCCC

#endif

