/*
	File:		PanelEditorGlobals.h

	Contains:	PanelEditor globals

	Written by:	Steve Smith

	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.
*/


#ifndef _PANELEDITORGLOBALS_
#define _PANELEDITORGLOBALS_

// -- OpenDoc --

#ifndef _ODTYPES_
#include <ODTypes.h>
#endif

#ifndef _ITEXT_
#include <IText.h>
#endif

// -- MacToolbox --

#ifndef __TYPES__
#include <Types.h>
#endif

class ODMenuBar;
class ODFocusSet;


//==============================================================================
// Globals
//==============================================================================

struct PanelEditorGlobals; // forward

extern	ODUShort			gGlobalsUsageCount;
extern	PanelEditorGlobals*	gGlobals;


typedef struct PanelEditorGlobals {
	public:
	PanelEditorGlobals();
	~PanelEditorGlobals() {}
	
	ODMenuBar*		fMenuBar;
	ODFocusSet*		fUIFocusSet;	
	Handle			fThumbnail;
				
	ODTypeToken		fSelectionFocus;
	ODTypeToken		fMenuFocus;
	ODTypeToken		fKeyboardFocus;
	ODTypeToken		fModalFocus;
	ODTypeToken		fClipboardFocus;
	ODTypeToken		fFrameView;
	ODTypeToken		fLargeIconView;
	ODTypeToken		fSmallIconView;
	ODTypeToken		fThumbnailView;
	ODTypeToken		fMainPresentation;
	ODTypeToken		fListPresentation;
	ODTypeToken		fUndefinedPresentation;
			
	ODScriptCode	fEditorsScript;
	ODLangCode		fEditorsLanguage;
	
	// Panel Editor Specific
	ODIText*		fUntitledName;
	ODSShort		fScriptFont;
	ODUShort		fScriptFontSize;
	
} PanelEditorGlobals;


inline PanelEditorGlobals::PanelEditorGlobals()
{
	fMenuBar		= kODNULL;
	fUIFocusSet		= kODNULL;	
	fThumbnail		= kODNULL;
				
	fSelectionFocus			= 0;
	fMenuFocus				= 0;
	fKeyboardFocus			= 0;
	fModalFocus				= 0;
	fClipboardFocus			= 0;
	fFrameView				= 0;
	fLargeIconView			= 0;
	fSmallIconView			= 0;
	fThumbnailView			= 0;
	fMainPresentation		= 0;
	fListPresentation		= 0;
	fUndefinedPresentation	= 0;
			
	fEditorsScript		= 0;
	fEditorsLanguage	= 0;
	fScriptFont			= 0;
	fScriptFontSize		= 0;
}

#endif