/*
	File:		som_PanelEditorInit.cpp

	Contains:	CFM Library init routines for PanelEditor

	Written by:	Steve Smith

	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.

*/


// -- Compiler/Preprocessor Switches --

#ifndef _COMPILERDEFS_
#include "CompDefs.h"
#endif

// -- OpenDoc Utilities --

#ifndef _EXCEPT_
// Exceptions define several important macros (ie. CHECKENV)
// which are used in the SOM method dispatch glue. If Except.h
// is not included early enough, exceptions may not be thrown
// correctly when returning from a SOM method with "ev" parameter set.
#include <Except.h>
#endif

// -- SOM Includes --

#ifndef som_xh
#include <som.xh>
#endif

#ifndef SOM_SOMObject_xh
#include <somobj.xh>
#endif

// -- Panel Includes --

#ifndef SOM_SampleCode_som_PanelEditor_xh
#include "som_PanelEditor.xh"
#endif

// -- OpenDoc Utilities --

#ifndef _USERSRCM_
#include <UseRsrcM.h>
#endif

#ifndef _ODMEMORY_
#include <ODMemory.h>
#endif

#ifndef _ODDEBUG_ // $$$$$ remove when done <see below>
#include <ODDebug.h> // also remove DlogUtil.cpp
#endif

// -- MacToolbox Includes --

#ifndef __CODEFRAGMENTS__
#include <CodeFragments.h>
#endif

#pragma segment somPanelEditorInit

//------------------------------------------------------------------------------
// Prototypes
//------------------------------------------------------------------------------

extern "C" pascal OSErr PanelEditorCFMInit(CFragInitBlockPtr initBlkPtr);


//------------------------------------------------------------------------------
// Functions
//------------------------------------------------------------------------------

extern "C" pascal OSErr PanelEditorCFMInit(CFragInitBlockPtr initBlkPtr)
{
	// We are using OpenDoc's memory mgmt calls, so we must
	// initialize the interface to the memory manager.
	OSErr err1 = InitODMemory();
	// We must also capture the relevant information about
	// our library file so that we may access our resources.
	OSErr err2 = InitLibraryResources(initBlkPtr);

#ifdef ODDebug
	// DEBUG - break into debugger if button down when lib loaded.
	if ( Button() ) DebugStr("\p");
	
	// $$$$$ Super Hack - Don't do this $$$$$
	//ODInitExceptions();
	//SetOutputMode(kWriteToFile);
#endif

	return (OSErr) (err1 != noErr) ? err1 : err2;
}



