#
#	File:		PictureViewer.make
#
#	Contains:	Makefile for OpenDoc PictureViewer part
#
#	Written by:	Sue Dumont
#

#---------------------------------------------------------------------------	
# PROJECT VARIABLES
#---------------------------------------------------------------------------	

TargetName = PictureViewer
TargetNameILink = {TargetName} (68k)
TargetNamePPCLink = {TargetName} (PPC)
TargetNameFat = {TargetName} (fat)

TargetCreatorType = PCVW

AdditionalIncludes = -i "{SourceDir}"

#---------------------------------------------------------------------------	
# CFM/PEF Version Numbers
#---------------------------------------------------------------------------	
# For detailed instructions on proper CFM/PEF version numbering, see
# Code Fragment Chapter (pg 3-7), Inside Macintosh: PowerPC System Software
#---------------------------------------------------------------------------	

CurrentLibraryVersion =		0x01008000		# 1.0 Final
LibraryExportsVersion =		0x00000000		# 0.0
LibraryCodeVersion =		0x00000000		# 0.0

#---------------------------------------------------------------------------	
# DIRECTORY DEPENDENCIES
#---------------------------------------------------------------------------	

"{TargetDir}"   "{SourceDir}"
"{ObjectsDir}"  "{SourceDir}"
"{ObjectsDir}"  "{ODUtilsImplDir}"


#---------------------------------------------------------------------------	
# ROOT TARGET
#---------------------------------------------------------------------------	

BUILDPPCLINK 	 
	"{CppPrecompiledHeaders}"				
	"{TargetDir}{TargetNamePPCLink}"		
	"{SourceDir}PictureViewer.exp"

BUILDREZ  
	"{ObjectsDir}{TargetName}.PPC.rsrc"	
	"{ObjectsDir}{TargetName}.68k.rsrc"

BUILDILINK  
	"{CppPrecompiledHeaders}"				
	"{TargetDir}{TargetNameILink}"			
	"{SourceDir}PictureViewer.exp"

BUILDIDL  
	"{SourceDir}PictureViewer.xih"	
	"{SourceDir}PictureViewer.xh"	
	"{SourceDir}PictureViewer.exp"

	
#---------------------------------------------------------------------------	
# FILE LIST VARIABLES
#---------------------------------------------------------------------------	

PictureViewerOBJECTS = 
	"{ObjectsDir}PictureViewer.cpp.o"			
	"{ObjectsDir}PictureViewerGlobals.cpp.o"	
	"{ObjectsDir}PictureViewerUtils.cpp.o"		
	"{ObjectsDir}PictureViewerInit.cpp.o"		
	"{ObjectsDir}SampleCollections.cpp.o"		
			
OpenDocUtilityOBJECTS = 
	"{ObjectsDir}AltPoint.cpp.o" 			
	"{ObjectsDir}AltPoly.cpp.o" 			
	"{ObjectsDir}BndNSUtl.cpp.o" 			
	"{ObjectsDir}Crawl.cpp.o"	 			
	"{ObjectsDir}DocUtils.cpp.o"	 		
	"{ObjectsDir}Except.cpp.o" 				
	"{ObjectsDir}FocusLib.cpp.o" 			
	"{ObjectsDir}IText.cpp.o" 				
	"{ObjectsDir}FlipEnd.cpp.o" 			
	"{ObjectsDir}ISOStr.cpp.o" 				
	"{ObjectsDir}LinkList.cpp.o" 			
	"{ObjectsDir}NmSpcUtl.cpp.o" 			
	"{ObjectsDir}ODDebug.cpp.o" 			
	"{ObjectsDir}ODMemory.cpp.o"			
	"{ObjectsDir}ODNew.cpp.o"				
	"{ObjectsDir}ODUtils.cpp.o"				
	"{ObjectsDir}PasclStr.cpp.o"			
	"{ObjectsDir}PlfmFile.cpp.o" 			
	"{ObjectsDir}StorUtil.cpp.o"			
	"{ObjectsDir}StdTypIO.cpp.o"			
	"{ObjectsDir}TempIter.cpp.o"			
	"{ObjectsDir}TempObj.cpp.o" 			
	"{ObjectsDir}UseRsrcM.cpp.o" 			
	"{ObjectsDir}WinUtils.cpp.o"

			
#---------------------------------------------------------------------------	
# DEPENDENCIES
#---------------------------------------------------------------------------	

# IDL

"{SourceDir}"PictureViewer.cpp  					
	"{SourceDir}"PictureViewer.idl 					
	"{ODIDLIntfDir}"Part.idl
	
"{SourceDir}"PictureViewer.xih 					
	"{SourceDir}"PictureViewer.xh					
	"{SourceDir}"PictureViewer.idl 					
	"{ODIDLIntfDir}"Part.idl
	
"{SourceDir}"PictureViewer.xh 						
	"{SourceDir}"PictureViewer.idl					
	"{ODIDLIntfDir}"Part.idl

# SOURCE/OBJECT CODE

"{ObjectsDir}PictureViewerInit.cpp.o"				
	"{CppPrecompiledHeaders}"						
	"{SourceDir}PictureViewerInit.cpp"				
	"{SourceDir}PictureViewer.xh"

"{ObjectsDir}PictureViewer.cpp.o"					
	"{CppPrecompiledHeaders}"						
	"{SourceDir}PictureViewer.cpp" 					
	"{SourceDir}PictureViewer.xih" 					
	"{SourceDir}PictureViewerDef.h" 				
	"{SourceDir}PictureViewerUtils.h"				

"{ObjectsDir}PictureViewerUtils.cpp.o"				
	"{CppPrecompiledHeaders}"						
	"{SourceDir}PictureViewerUtils.cpp"				
	"{SourceDir}PictureViewerUtils.h"				

"{ObjectsDir}SampleCollections.cpp.o"				
	"{CppPrecompiledHeaders}"						
	"{SourceDir}SampleCollections.cpp"				
	"{SourceDir}SampleCollections.h"

#---------------------------------------------------------------------------	
# BUILD LIBRARIES
#---------------------------------------------------------------------------	

# --- 68k Link ---

"{TargetDir}{TargetNameILink}"  	{PictureViewerOBJECTS}			
									{OpenDocUtilityOBJECTS}			
									"{SourceDir}PictureViewer.exp"
	Echo Linking: {TargetNameILink}
	{LinkTool}	
		-export `ConvertExportList "{SourceDir}PictureViewer.exp"` 
		{ILinkOptions}										
		{ILinkShLibOptions}									
		-init PictureViewerCFMInit							
		-vercur {CurrentLibraryVersion}						
		-verdef {LibraryExportsVersion}						
		-verimp {LibraryCodeVersion}						
		{ShLibPreLibraries}									
		{PictureViewerOBJECTS}								
		{OpenDocUtilityOBJECTS}								
		"{ODCFMLibrariesDir}OpenDoc Core.stub"				
		"{ODCFMLibrariesDir}OpenDoc User Interface.stub"	
		"{ODCFMLibrariesDir}OpenDoc Storage.stub"			
		"{ODCFMLibrariesDir}OpenDoc Imaging.stub"			
		"{ODCFMLibrariesDir}OpenDoc Layout.stub"			
		"{ODCFMLibrariesDir}Memory Manager.stub"			
#		"{SharedLibraries}DragLib"							
		{ShLibPostLibraries}								
		-o "{ObjectsDir}{TargetNameILink}".seg
	If !{Status}
		Echo Building: {TargetNameILink}.SYM
		{SymTool} "{ObjectsDir}{TargetNameILink}".seg.NJ	
			-o "{TargetDir}{TargetNameILink}".SYM -sym 3.2
		Echo Building: {TargetNameILink}'s code/data fragment
		MakeFlat "{ObjectsDir}{TargetNameILink}".seg -o "{TargetDir}{TargetNameILink}"
		Echo Copying: {TargetNameILink}'s resources
		Echo "include "{RsrcObjectsDir}{TargetName}.68k.rsrc";" | Rez -a -o "{TargetDir}{TargetNameILink}"
		Echo "delete 'ckid';"  | Rez -a -o "{TargetDir}{TargetNameILink}"
		SetFile -a Bi -c "{TargetCreatorType}" {Targ}
	End

# --- PowerPC Link ---

"{TargetDir}{TargetNamePPCLink}" 		{PictureViewerOBJECTS}			
										{OpenDocUtilityOBJECTS}			
										"{SourceDir}PictureViewer.exp"
	Echo Linking: {TargetNamePPCLink}
	{LinkTool}	
		-export `ConvertExportList "{SourceDir}PictureViewer.exp"` 
		{PPCLinkOptions}									
		{PPCLinkShLibOptions}								
		-init PictureViewerCFMInit							
		-verCur {CurrentLibraryVersion}						
		-verDef {LibraryExportsVersion}						
		-verImp {LibraryCodeVersion}						
		{PPCShLibPreLibraries}								
		{PictureViewerOBJECTS}								
		{OpenDocUtilityOBJECTS}								
		"{ODCFMLibrariesDir}OpenDoc Core.stub"				
		"{ODCFMLibrariesDir}OpenDoc User Interface.stub"	
		"{ODCFMLibrariesDir}OpenDoc Storage.stub"			
		"{ODCFMLibrariesDir}OpenDoc Imaging.stub"			
		"{ODCFMLibrariesDir}OpenDoc Layout.stub"			
		"{ODCFMLibrariesDir}Memory Manager.stub"			
		{PPCShLibPostLibraries}								
		-o "{ObjectsDir}{TargetNamePPCLink}"
	If !{Status}
		Move "{ObjectsDir}{TargetNamePPCLink}" "{TargetDir}"
		Echo Building: {TargetNamePPCLink}.xSYM
		{SymTool} "{ObjectsDir}{TargetNamePPCLink}".xcoff			
				{AdditionalIncludes} -i "{ODUtilsImplDir}"			
				-sym on,3.2 -o "{TargetDir}{TargetNamePPCLink}".xSYM
		Echo Copying: {TargetNamePPCLink}'s resources
		Echo "include "{RsrcObjectsDir}{TargetName}.PPC.rsrc";" | Rez -a -o "{TargetDir}{TargetNamePPCLink}"
		Echo "delete 'ckid';"  | Rez -a -o "{TargetDir}{TargetNamePPCLink}"
		SetFile -a Bi -c "{TargetCreatorType}" {Targ}
	End


#---------------------------------------------------------------------------	
# REZ STEPS
#---------------------------------------------------------------------------	
"{RsrcObjectsDir}{TargetName}.PPC.rsrc"										
										"{SourceDir}PictureViewer.r"		
										"{SourceDir}PictureViewerDef.h"		
										"{SourceDir}PictureViewerVers.h"	
										"{SourceDir}PictureViewerOther.rsrc"
	Echo Rezzing: {TargetName}.r (for PPC)
	Rez {RezOptions} {ODRezIntf} "{SourceDir}{TargetName}.r" -o {targ}
	Echo "delete 'ckid';"  | Rez -a -o {Targ}
	SetFile -a i -c "{ResEditCreator}" -t "{ResEditFileType}" {Targ}
	if ( `exists "{TargetDir}{TargetNamePPCLink}" != ""` )
		Echo Copying: {TargetNamePPCLink}'s resources
		Echo "include ""{Targ}"";" | Rez -a -o "{TargetDir}{TargetNamePPCLink}"
	end	

"{RsrcObjectsDir}{TargetName}.68k.rsrc"										
										"{SourceDir}PictureViewer.r"		
										"{SourceDir}PictureViewerDef.h"		
										"{SourceDir}PictureViewerVers.h"	
										"{SourceDir}PictureViewerOther.rsrc"
	Echo Rezzing: {TargetName}.r (for 68k)
	Rez -d _68KBUILD_ {RezOptions} {ODRezIntf} "{SourceDir}{TargetName}.r" -o {Targ} 
	Echo "delete 'ckid';"  | Rez -a -o {Targ}
	SetFile -a i -c "{ResEditCreator}" -t "{ResEditFileType}" {Targ}
	if ( `exists "{TargetDir}{TargetNameILink}" != ""` )
		Echo Copying: {TargetNameILink}'s resources
		Echo "include ""{Targ}"";" | Rez -a -o "{TargetDir}{TargetNameILink}"
	end


