/*------------------------------------------------------------------------------
	File:		PictureViewerDef.h

	Contains:	Common definitions used by PictureViewer.cpp/.r files

	Written by:	Sue Dumont

	Copyright:	 1994-95 by Apple Computer, Inc., all rights reserved.
------------------------------------------------------------------------------*/

#ifndef _PICTUREVIEWERDEF_
#define _PICTUREVIEWERDEF_


// -- OpenDoc Includes --

#ifndef SOM_Module_OpenDoc_StdDefs_defined
#include <StdDefs.xh>
#endif

//============================================================================//

// Class / Editor ID
#define	kPartClassName						"PictureViewer"
#define kPictureViewerID					"SampleCode::PictureViewer"

// Data type
#define kPictureDataType					'PICT'

// Editor User String
#define kPictureViewerEditorString 			"PictureViewer 1.0"

// Kind User String
#define kPictureDataKindUserString			"Picture data"
#define kPictureFileKindUserString			"Picture file"

// PictureViewer OSTypes
#define kPictureViewerViewerOSType			'PCVW'
#define kPictureViewerDocumentOSType		'PICT'
#define kPictureViewerStationeryOSType		'sICT'

// ISO Strings
#define	kMainPresentation					kODISOPrefix "PictureViewer:Presentation:Main"
#define kPictureViewerInfo					kODISOPrefix "PictureViewer:Display Frame Info"
#define	kPropDisplayMode					kODISOPrefix "Content:Property:Display Mode"

// PictureViewer defines
#define	kBaseResourceID						20001

// Text/Menu Items
#define	kMenuStringResID					kBaseResourceID
#define	kAboutTextID       					1
#define	kDisplayMenuID						kMenuStringResID
#define	kCommandCrop						kMenuStringResID+1
#define	kCommandScale						kMenuStringResID+2

// Error Messages
#define	kErrorStringResID					kMenuStringResID+1
#define	kErrStrFieldID						3
#define kErrCantInitializePart				1
#define kErrCantOpenDocWindow				2
#define kErrCantOpenPartWindow				3
#define kErrRemoveFrame						4
#define kErrWindowGone						5
#define kErrExternalizeFailed				6

// NMAP Resource IDs
#define kEditorUserStringMapId				kBaseResourceID+1
#define kPlatformEditorKindMapId			kBaseResourceID+2
#define kViewerMapId						kBaseResourceID+3

// Bundles/FREFs
#define kDocumentBundle						kBaseResourceID
#define kViewerBundle						kBaseResourceID+1
#define kDocumentFREF						kBaseResourceID
#define kViewerFREF							kBaseResourceID+1

// Icons
#define	kLargeIcons							1
#define	kSmallIcons							2
#define	kDocumentIcons						kBaseResourceID
#define	kViewerIcons						kBaseResourceID+1

// Dialogs
#define	kAboutBoxID  						kBaseResourceID
#define	kErrorBoxID  						kBaseResourceID+1

// Dialog and Window definitions
#define	kMacWindowTitleBarHeight			20
#define	kALittleNudge						4
#define kMinVertVisPortion					10
#define kMinHorzVisPortion					16
#define kScrollBarSize						16

// Display Frames
#define kFrameRemoved						1
#define kFrameClosed						0

// Geometry
#define kMinImagingResolution				72 // dpi

#endif
