/*------------------------------------------------------------------------------
	File:		PictureViewerGlobals.h

	Contains:	PictureViewer global definitions

	Written by:	Sue Dumont

	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.
------------------------------------------------------------------------------*/

#ifndef _PICTUREVIEWERGLOBALS_
#define _PICTUREVIEWERGLOBALS_

// -- OpenDoc --

#ifndef _ODTYPES_
#include <ODTypes.h>
#endif

#ifndef SOM_Module_OpenDoc_StdDefs_defined
#include <StdDefs.h>
#endif

#ifndef _ITEXT_
#include <IText.h>
#endif

// -- MacToolbox --

#ifndef __TYPES__
#include <Types.h>
#endif


class ODMenuBar;
class ODFocusSet;

//==============================================================================
// Globals
//==============================================================================

struct PictureViewerGlobals; 	// forward

extern	ODUShort				gGlobalsUsageCount;
extern	PictureViewerGlobals*	gGlobals;


struct PictureViewerGlobals {
	PictureViewerGlobals();
	~PictureViewerGlobals() {}
	
	ODMenuBar*		fMenuBar;
	ODFocusSet*		fUIFocusSet;	
				
	ODTypeToken		fSelectionFocus;
	ODTypeToken		fMenuFocus;
	ODTypeToken		fModalFocus;
	ODTypeToken		fClipboardFocus;
	ODTypeToken		fFrameView;
	ODTypeToken		fLargeIconView;
	ODTypeToken		fSmallIconView;
	ODTypeToken		fThumbnailView;
	ODTypeToken		fMainPresentation;

	ODValueType		fPictScrapKind;
	ODValueType		fPictFileKind;
	ODValueType		fAppleHFSFlavor;
			
	ODScriptCode	fEditorScript;
	ODLangCode		fEditorLanguage;
};


inline PictureViewerGlobals::PictureViewerGlobals()
{
	fMenuBar				= kODNULL;
	fUIFocusSet				= kODNULL;	
				
	fSelectionFocus			= kODNullTypeToken;
	fMenuFocus				= kODNullTypeToken;
	fModalFocus				= kODNullTypeToken;
	fClipboardFocus			= kODNullTypeToken;
	fFrameView				= kODNullTypeToken;
	fLargeIconView			= kODNullTypeToken;
	fSmallIconView			= kODNullTypeToken;
	fThumbnailView			= kODNullTypeToken;
	fMainPresentation		= kODNullTypeToken;

	fPictScrapKind			= kODNullTypeToken;
	fPictFileKind			= kODNullTypeToken;
	fAppleHFSFlavor			= kODNullTypeToken;
			
	fEditorScript			= 0;
	fEditorLanguage			= 0;
}

#endif