#
#	File:		SamplePart.make
#
#	Contains:	Makefile for OpenDoc SamplePartC viewer
#
#	Written by:	Steve Smith
#
#	Copyright:	 1994-1995 by Apple Computer, Inc., all rights reserved.
#

#---------------------------------------------------------------------------	
# PROJECT VARIABLES
#---------------------------------------------------------------------------	

TargetName = SamplePartC
TargetNameILink = {TargetName} (68k)
TargetNamePPCLink = {TargetName} (PPC)
TargetNameFat = {TargetName} (fat)

TargetCreatorType = SPVW

AdditionalIncludes = -i "{SourceDir}"

#---------------------------------------------------------------------------	
# CFM/PEF Version Numbers
#---------------------------------------------------------------------------	
# For detailed instructions on proper CFM/PEF version numbering, see
# Code Fragment Chapter (pg 3-7), Inside Macintosh: PowerPC System Software
#---------------------------------------------------------------------------	

CurrentLibraryVersion =		0x01018000		# 1.0 Final
LibraryExportsVersion =		0x00000000		# 0.0
LibraryCodeVersion =		0x00000000		# 0.0

#---------------------------------------------------------------------------	
# DIRECTORY DEPENDENCIES
#---------------------------------------------------------------------------	

"{TargetDir}"   "{SourceDir}"
"{ObjectsDir}"  "{SourceDir}"
"{ObjectsDir}"  "{ODUtilsImplDir}"
				
#---------------------------------------------------------------------------	
# ROOT TARGET
#---------------------------------------------------------------------------	

BUILDPPCLINK  
	"{CPrecompiledHeaders}"				
	"{CppPrecompiledHeaders}"			
	"{TargetDir}{TargetNamePPCLink}"	
	"{SourceDir}SamplePart.exp"

BUILDREZ  
	"{ObjectsDir}{TargetName}.PPC.rsrc"	
	"{ObjectsDir}{TargetName}.68k.rsrc"

BUILDILINK  
	"{CPrecompiledHeaders}"				
	"{CppPrecompiledHeaders}"			
	"{TargetDir}{TargetNameILink}"		
	"{SourceDir}SamplePart.exp"

BUILDIDL  
	"{SourceDir}"SamplePart.ih			
	"{SourceDir}"SamplePart.h			
	#"{SourceDir}"SamplePart.c			
	"{SourceDir}"SamplePart.exp

BUILDFATLIB  
	"{TargetDir}{TargetNameFat}"			
	"{TargetDir}{TargetNamePPCLink}.xSYM"	
	"{TargetDir}{TargetNameILink}.SYM"

#---------------------------------------------------------------------------	
# FILE LIST VARIABLES
#---------------------------------------------------------------------------	

SamplePartOBJECTS = 
		"{ObjectsDir}SamplePartInit.c.o"	
		"{ObjectsDir}SamplePart.c.o"		
		"{ObjectsDir}SamplePartUtils.c.o"	
		"{ObjectsDir}SamplePartGlobals.c.o"

OpenDocUtilityOBJECTS = 
	"{ObjectsDir}AltPoint.cpp.o" 			
	"{ObjectsDir}AltPoly.cpp.o" 			
	"{ObjectsDir}Crawl.cpp.o"				
	"{ObjectsDir}Except.cpp.o" 				
	"{ObjectsDir}FlipEnd.cpp.o" 			
	"{ObjectsDir}FocusLib.cpp.o" 			
	"{ObjectsDir}ISOStr.cpp.o" 				
	"{ObjectsDir}IText.cpp.o" 				
	"{ObjectsDir}LinkList.cpp.o" 			
	"{ObjectsDir}ODDebug.cpp.o" 			
	"{ObjectsDir}ODMemory.cpp.o"			
	"{ObjectsDir}ODNew.cpp.o"				
	"{ObjectsDir}ODUtils.cpp.o"				
	"{ObjectsDir}PasclStr.cpp.o"			
	"{ObjectsDir}PlfmFile.cpp.o"			
	"{ObjectsDir}StdTypIO.cpp.o"			
	"{ObjectsDir}StorUtil.cpp.o"			
	"{ObjectsDir}TempObj.cpp.o"				
	"{ObjectsDir}UseRsrcM.cpp.o" 			
	"{ObjectsDir}WinUtils.cpp.o" 			
			
#---------------------------------------------------------------------------	
# DEPENDENCIES
#---------------------------------------------------------------------------	

# --- IDL ---

"{SourceDir}"SamplePart.c 		
	"{SourceDir}"SamplePart.idl	
	"{ODIDLIntfDir}"Part.idl
	
"{SourceDir}"SamplePart.ih 	
	"{SourceDir}"SamplePart.h	
	"{SourceDir}"SamplePart.idl	
	"{ODIDLIntfDir}"Part.idl
	
"{SourceDir}"SamplePart.h 		
	"{SourceDir}"SamplePart.idl	
	"{ODIDLIntfDir}"Part.idl

# --- SOURCE ---

"{ObjectsDir}SamplePart.c.o" 		
	"{CPrecompiledHeaders}"			
	"{SourceDir}SamplePart.c"		
	"{SourceDir}SamplePart.ih"		
	"{SourceDir}SamplePartDef.h" 	
	"{SourceDir}SamplePartUtils.h"

"{ObjectsDir}SamplePartUtils.c.o"  
	"{CPrecompiledHeaders}"			
	"{SourceDir}SamplePartUtils.c"	
	"{SourceDir}SamplePartUtils.h"
								
"{ObjectsDir}SamplePartInit.c.o" 	
	"{CPrecompiledHeaders}"			
	"{SourceDir}SamplePartInit.c"	
	"{SourceDir}SamplePart.h"

"{ObjectsDir}SamplePartGlobals.c.o" 	
	"{CPrecompiledHeaders}"			
	"{SourceDir}SamplePartGlobals.c"	
	"{SourceDir}SamplePartGlobals.h"

#---------------------------------------------------------------------------	
# BUILD LIBRARIES
#---------------------------------------------------------------------------	

# --- 68k Link --- #

"{TargetDir}{TargetNameILink}" 	{SamplePartOBJECTS}			
									{OpenDocUtilityOBJECTS}		
									"{SourceDir}SamplePart.exp"
	Echo Linking: {TargetNameILink}
	{LinkTool} 
		-export `ConvertExportList "{SourceDir}SamplePart.exp"` 
		{ILinkOptions}				
		{ILinkShLibOptions}			
		-init SamplePartCFMInit		
		-vercur {CurrentLibraryVersion}						
		-verdef {LibraryExportsVersion}						
		-verimp {LibraryCodeVersion}						
		{ShLibPreLibraries}			
		{SamplePartOBJECTS}			
		{OpenDocUtilityOBJECTS}		
		"{ODCFMLibrariesDir}OpenDoc Core.stub"				
		"{ODCFMLibrariesDir}OpenDoc User Interface.stub"	
		"{ODCFMLibrariesDir}OpenDoc Storage.stub"			
		"{ODCFMLibrariesDir}OpenDoc Imaging.stub"			
		"{ODCFMLibrariesDir}OpenDoc Layout.stub"			
		"{ODCFMLibrariesDir}Memory Manager.stub"			
		{ShLibPostLibraries}		
		-o "{ObjectsDir}{TargetNameILink}".seg
	If !{Status}
		Echo Building: {TargetNameILink}.SYM
		{SymTool} "{ObjectsDir}{TargetNameILink}".seg.NJ	
				-o "{TargetDir}{TargetNameILink}".SYM -sym 3.2
		Echo Building: {TargetNameILink}'s code/data fragment
		MakeFlat "{ObjectsDir}{TargetNameILink}".seg -o "{TargetDir}{TargetNameILink}"
		Echo Copying: {TargetNameILink}'s resources
		Echo "include "{RsrcObjectsDir}{TargetName}.68k.rsrc";" | Rez -a -o "{TargetDir}{TargetNameILink}"
		Echo "delete 'ckid';"  | Rez -a -o "{TargetDir}{TargetNameILink}"
		SetFile -a Bi -c "{TargetCreatorType}" {Targ}
	End


# --- PowerPC Link ---

"{TargetDir}{TargetNamePPCLink}" 	{SamplePartOBJECTS}		
									{OpenDocUtilityOBJECTS}	
									"{SourceDir}SamplePart.exp"
	Echo "Linking: {TargetNamePPCLink}"
	{LinkTool}	
		-export `ConvertExportList "{SourceDir}SamplePart.exp"` 
		{PPCLinkOptions}			
		{PPCLinkShLibOptions}		
		-init SamplePartCFMInit		
		-verCur {CurrentLibraryVersion}						
		-verDef {LibraryExportsVersion}						
		-verImp {LibraryCodeVersion}						
		{PPCShLibPreLibraries}		
		{SamplePartOBJECTS}			
		{OpenDocUtilityOBJECTS}		
		"{ODCFMLibrariesDir}OpenDoc Core.stub"				
		"{ODCFMLibrariesDir}OpenDoc User Interface.stub"	
		"{ODCFMLibrariesDir}OpenDoc Storage.stub"			
		"{ODCFMLibrariesDir}OpenDoc Imaging.stub"			
		"{ODCFMLibrariesDir}OpenDoc Layout.stub"			
		"{ODCFMLibrariesDir}Memory Manager.stub"			
		{PPCShLibPostLibraries}								
		-o "{ObjectsDir}{TargetNamePPCLink}"
	If !{Status}
		Move "{ObjectsDir}{TargetNamePPCLink}" "{TargetDir}"
		if ( `exists "{ObjectsDir}{TargetNamePPCLink}".xcoff != ""` )
			Echo Building: {TargetNamePPCLink}.xSYM
			{SymTool} "{ObjectsDir}{TargetNamePPCLink}".xcoff			
					{AdditionalIncludes} -i "{ODUtilsImplDir}"			
					-sym on,3.2 -o "{TargetDir}{TargetNamePPCLink}".xSYM
		end
		Echo Copying: {TargetNamePPCLink}'s resources
		Echo "include "{RsrcObjectsDir}{TargetName}.PPC.rsrc";" | Rez -a -o "{TargetDir}{TargetNamePPCLink}"
		Echo "delete 'ckid';"  | Rez -a -o "{TargetDir}{TargetNamePPCLink}"
		SetFile -a Bi -c "{TargetCreatorType}" {Targ}
	End

#---------------------------------------------------------------------------	
# REZ STEPS
#---------------------------------------------------------------------------	

"{RsrcObjectsDir}{TargetName}.PPC.rsrc"									
										"{SourceDir}SamplePart.r"		
										"{SourceDir}SamplePartDef.h"	
										"{SourceDir}SamplePartVers.h"	
										"{SourceDir}SamplePartOtherResources.rsrc"
	Echo Rezzing: {TargetName}.r (for PPC)
	Rez {RezOptions} {ODRezIntf} "{SourceDir}"SamplePart.r -o {targ}
	Echo "delete 'ckid';"  | Rez -a -o {Targ}
	SetFile -a i -c "{ResEditCreator}" -t "{ResEditFileType}" {Targ}
	if ( `exists "{TargetDir}{TargetNamePPCLink}" != ""` )
		Echo Copying: {TargetNamePPCLink}'s resources
		Echo "include ""{Targ}"";" | Rez -a -o "{TargetDir}{TargetNamePPCLink}"
	end	

"{RsrcObjectsDir}{TargetName}.68k.rsrc"									
										"{SourceDir}SamplePart.r"		
										"{SourceDir}SamplePartDef.h"	
										"{SourceDir}SamplePartVers.h"	
										"{SourceDir}SamplePartOtherResources.rsrc"
	Echo Rezzing: {TargetName}.r (for 68k)
	Rez -d _68KBUILD_ {RezOptions} {ODRezIntf} "{SourceDir}"SamplePart.r -o {Targ} 
	Echo "delete 'ckid';"  | Rez -a -o {Targ}
	SetFile -a i -c "{ResEditCreator}" -t "{ResEditFileType}" {Targ}
	if ( `exists "{TargetDir}{TargetNameILink}" != ""` )
		Echo Copying: {TargetNameILink}'s resources
		Echo "include ""{Targ}"";" | Rez -a -o "{TargetDir}{TargetNameILink}"
	end
