/*
	File:		SamplePartGlobals.h

	Contains:	SamplePart globals

	Written by:	Steve Smith

	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.
*/


#ifndef _SAMPLEPARTGLOBALS_
#define _SAMPLEPARTGLOBALS_

// -- OpenDoc --

#ifndef _ODTYPES_
#include <ODTypes.h>
#endif

#ifndef SOM_Module_OpenDoc_StdDefs_defined
#include <StdDefs.h>
#endif

#ifndef SOM_ODFocusSet_h
#include <FocusSet.h>
#endif

#ifndef SOM_ODMenuBar_h
#include <MenuBar.h>
#endif

#ifndef _ITEXT_
#include <IText.h>
#endif

// -- MacToolbox --

#ifndef __TYPES__
#include <Types.h>
#endif

//==============================================================================
// Globals
//==============================================================================

typedef struct SamplePartGlobals {
	
	ODMenuBar*		fMenuBar;
	ODFocusSet*		fUIFocusSet;	
	Handle			fThumbnail;
				
	ODTypeToken		fSelectionFocus;
	ODTypeToken		fMenuFocus;
	ODTypeToken		fModalFocus;
	ODTypeToken		fFrameView;
	ODTypeToken		fLargeIconView;
	ODTypeToken		fSmallIconView;
	ODTypeToken		fThumbnailView;
	ODTypeToken		fMainPresentation;
			
	ODScriptCode	fEditorsScript;
	ODLangCode		fEditorsLanguage;
	
} SamplePartGlobals;

extern	ODUShort			gGlobalsUsageCount;
extern	SamplePartGlobals*	gGlobals;

//==============================================================================
// Prototypes
//==============================================================================

SamplePartGlobals*	newGlobals();
void				deleteGlobals(SamplePartGlobals** globals);


#endif