/*------------------------------------------------------------------------------

	File:			SamplePartStubs.c
	
	Written by:		Steve Smith and Andrey Dolgachev
	
	Copyright:		 1995 by Apple Computer, Inc., all rights reserved.
	
------------------------------------------------------------------------------*/
/*
// Notification that this is a SOM source file
#define SampleCode_SamplePart_Class_Source
// define underscore (_) field names
#define VARIABLE_MACROS

#ifndef _COMPILERDEFS_
#include "CompDefs.h"
#endif

// -- SamplePart Includes -- 

#ifndef SOM_SampleCode_SamplePart_ih
#include <SamplePart.ih>
#endif
*/

//--------------------------------------------------------------------
// SamplePart__ContainingPartPropertiesUpdated
//--------------------------------------------------------------------

SOM_Scope void  SOMLINK SamplePart__ContainingPartPropertiesUpdated(SampleCode_SamplePart *somSelf, Environment *ev,
		ODFrame* frame,
		ODStorageUnit* propertyUnit)
{
    SampleCode_SamplePartMethodDebug("SamplePart","ContainingPartPropertiesUpdated");
}

//--------------------------------------------------------------------
// SamplePart__PresentationChanged
//--------------------------------------------------------------------

SOM_Scope	void
SOMLINK		SamplePart__PresentationChanged(SampleCode_SamplePart *somSelf,
		Environment *ev,
		ODFrame* frame)
{
    SampleCode_SamplePartMethodDebug("SamplePart","PresentationChanged");
}

//--------------------------------------------------------------------
// SamplePart__RedoAction
//--------------------------------------------------------------------

SOM_Scope void  SOMLINK SamplePart__RedoAction(SampleCode_SamplePart *somSelf, Environment *ev,
		ODActionData* actionState)
{
    SampleCode_SamplePartMethodDebug("SamplePart","RedoAction");
}

//--------------------------------------------------------------------
// SamplePart__RemoveEmbeddedFrame
//--------------------------------------------------------------------

SOM_Scope void  SOMLINK SamplePart__RemoveEmbeddedFrame(SampleCode_SamplePart *somSelf, Environment *ev,
		ODFrame* embeddedFrame)
{
     SampleCode_SamplePartMethodDebug("SamplePart","RemoveEmbeddedFrame");
}

//--------------------------------------------------------------------
// SamplePart__RequestEmbeddedFrame
//--------------------------------------------------------------------

SOM_Scope ODFrame*  SOMLINK SamplePart__RequestEmbeddedFrame(SampleCode_SamplePart *somSelf, Environment *ev,
		ODFrame* containingFrame,
		ODFrame* baseFrame,
		ODShape* frameShape,
		ODPart* embedPart,
		ODTypeToken viewType,
		ODTypeToken presentation,
		ODBoolean isOverlaid)
{
    SampleCode_SamplePartMethodDebug("SamplePart","RequestEmbeddedFrame");

	return kODNULL;
}

//--------------------------------------------------------------------
// SamplePart__RequestFrameShape
//--------------------------------------------------------------------

SOM_Scope ODShape*  SOMLINK SamplePart__RequestFrameShape(SampleCode_SamplePart *somSelf, Environment *ev,
		ODFrame* embeddedFrame,
		ODShape* frameShape)
{
     SampleCode_SamplePartMethodDebug("SamplePart","RequestFrameShape");

	return kODNULL;
}

//--------------------------------------------------------------------
// SamplePart__RevealFrame
//--------------------------------------------------------------------

SOM_Scope ODBoolean  SOMLINK SamplePart__RevealFrame(SampleCode_SamplePart *somSelf, Environment *ev,
		ODFrame* embeddedFrame,
		ODShape* revealShape)
{
    SampleCode_SamplePartMethodDebug("SamplePart","RevealFrame");

	return kODFalse;
}

//--------------------------------------------------------------------
// SamplePart__RevealLink
//--------------------------------------------------------------------

SOM_Scope void  SOMLINK SamplePart__RevealLink(SampleCode_SamplePart *somSelf, Environment *ev,
		ODLinkSource* linkSource)
{
    SampleCode_SamplePartMethodDebug("SamplePart","RevealLink");
}

//--------------------------------------------------------------------
// SamplePart__SequenceChanged
//--------------------------------------------------------------------

SOM_Scope	void
SOMLINK		SamplePart__SequenceChanged(SampleCode_SamplePart *somSelf,
		Environment *ev,
		ODFrame* frame)
{
    SampleCode_SamplePartMethodDebug("SamplePart","SequenceChanged");
}

//--------------------------------------------------------------------
// SamplePart__CanvasChanged
//--------------------------------------------------------------------

SOM_Scope	void
SOMLINK		SamplePart__CanvasChanged(SampleCode_SamplePart* somSelf,
		Environment* ev,
		ODFacet* facet)
{
    SampleCode_SamplePartMethodDebug("SamplePart","CanvasChanged");
}

//--------------------------------------------------------------------
// SamplePart__CanvasUpdated
//--------------------------------------------------------------------

SOM_Scope	void
SOMLINK		SamplePart__CanvasUpdated(SampleCode_SamplePart *somSelf,	
		Environment *ev,
		ODCanvas* canvas)
{
    SampleCode_SamplePartMethodDebug("SamplePart","CanvasUpdated");
}

//--------------------------------------------------------------------
// SamplePart__GetPrintResolution
//--------------------------------------------------------------------

SOM_Scope	ODULong
SOMLINK		SamplePart__GetPrintResolution(SampleCode_SamplePart *somSelf,
		Environment *ev,
		ODFrame* frame)
{
    SampleCode_SamplePartMethodDebug("SamplePart","GetPrintResolution");

    return 72;
}

//--------------------------------------------------------------------
// SamplePart__LinkStatusChanged
//--------------------------------------------------------------------

SOM_Scope	void
SOMLINK		SamplePart__LinkStatusChanged(SampleCode_SamplePart *somSelf,
		Environment *ev,
		ODFrame* frame)
{
    SampleCode_SamplePartMethodDebug("SamplePart","LinkStatusChanged");
}

//--------------------------------------------------------------------
// SamplePart__LinkUpdated
//--------------------------------------------------------------------

SOM_Scope void  SOMLINK SamplePart__LinkUpdated(SampleCode_SamplePart *somSelf, Environment *ev,
		ODLink* updatedLink,
		ODUpdateID change)
{
    SampleCode_SamplePartData *somThis = SampleCode_SamplePartGetData(somSelf);
    SampleCode_SamplePartMethodDebug("SamplePart","LinkUpdated");

    SampleCode_SamplePart_parent_ODPart_LinkUpdated(somSelf,ev,updatedLink,change);
}

//--------------------------------------------------------------------
// SamplePart__Drop
//--------------------------------------------------------------------

SOM_Scope ODDropResult  SOMLINK SamplePart__Drop(SampleCode_SamplePart *somSelf, Environment *ev,
		ODDragItemIterator* dropInfo,
		ODFacet* facet,
		ODPoint* where)
{
    SampleCode_SamplePartMethodDebug("SamplePart","Drop");

	return kODDropFail;
}

//--------------------------------------------------------------------
// SamplePart__DropCompleted
//--------------------------------------------------------------------

SOM_Scope void  SOMLINK SamplePart__DropCompleted(SampleCode_SamplePart *somSelf, Environment *ev,
		ODPart* destPart,
		ODDropResult dropResult)
{
    SampleCode_SamplePartMethodDebug("SamplePart","DropCompleted");
}

//--------------------------------------------------------------------
// SamplePart__EditInLinkAttempted
//--------------------------------------------------------------------

SOM_Scope ODBoolean  SOMLINK SamplePart__EditInLinkAttempted(SampleCode_SamplePart *somSelf, Environment *ev,
		ODFrame* frame)
{
    SampleCode_SamplePartMethodDebug("SamplePart","EditInLinkAttempted");

    return kODFalse;
}

//--------------------------------------------------------------------
// SamplePart__EmbeddedFrameUpdated
//--------------------------------------------------------------------

SOM_Scope void  SOMLINK SamplePart__EmbeddedFrameUpdated(SampleCode_SamplePart *somSelf, Environment *ev,
		ODFrame* frame,
		ODUpdateID change)
{
    SampleCode_SamplePartMethodDebug("SamplePart","EmbeddedFrameUpdated");
}

//--------------------------------------------------------------------
// SamplePart__EmbeddedFrameSpec
//--------------------------------------------------------------------

SOM_Scope void  SOMLINK SamplePart__EmbeddedFrameSpec(SampleCode_SamplePart *somSelf, Environment *ev,
		ODFrame* embeddedFrame,
		ODObjectSpec* spec)
{
    SampleCode_SamplePartMethodDebug("SamplePart","EmbeddedFrameSpec");
}

//--------------------------------------------------------------------
// SamplePart__CreateEmbeddedFramesIterator
//--------------------------------------------------------------------

SOM_Scope ODEmbeddedFramesIterator*  SOMLINK SamplePart__CreateEmbeddedFramesIterator(SampleCode_SamplePart *somSelf, Environment *ev,
		ODFrame* frame)
{
    SampleCode_SamplePartMethodDebug("SamplePart","CreateEmbeddedFramesIterator");

	return kODNULL;
}

//--------------------------------------------------------------------
// SamplePart__CreateLink
//--------------------------------------------------------------------

SOM_Scope ODLinkSource*  SOMLINK SamplePart__CreateLink(SampleCode_SamplePart *somSelf, Environment *ev,
		ODByteArray* data)
{
    SampleCode_SamplePartMethodDebug("SamplePart","CreateLink");

	return kODNULL;
}


//--------------------------------------------------------------------
// SamplePart__UndoAction
//--------------------------------------------------------------------

SOM_Scope void  SOMLINK SamplePart__UndoAction(SampleCode_SamplePart *somSelf, Environment *ev,
		ODActionData* actionState)
{
    SampleCode_SamplePartMethodDebug("SamplePart","UndoAction");

}

//--------------------------------------------------------------------
// SamplePart__UsedShapeChanged
//--------------------------------------------------------------------

SOM_Scope void  SOMLINK SamplePart__UsedShapeChanged(SampleCode_SamplePart *somSelf, Environment *ev,
		ODFrame* embeddedFrame)
{
    SampleCode_SamplePartMethodDebug("SamplePart","UsedShapeChanged");
}

//--------------------------------------------------------------------
// SamplePart__DisposeActionState
//--------------------------------------------------------------------

SOM_Scope void  SOMLINK SamplePart__DisposeActionState(SampleCode_SamplePart *somSelf, Environment *ev,
		ODActionData* actionState,
		ODDoneState doneState)
{
    SampleCode_SamplePartMethodDebug("SamplePart","DisposeActionState");
}

//--------------------------------------------------------------------
// SamplePart__DragEnter
//--------------------------------------------------------------------

SOM_Scope ODDragResult  SOMLINK SamplePart__DragEnter(SampleCode_SamplePart *somSelf, Environment *ev,
		ODDragItemIterator* dragInfo,
		ODFacet* facet,
		ODPoint* where)
{
    SampleCode_SamplePartMethodDebug("SamplePart","DragEnter");

	return kODFalse;
}

//--------------------------------------------------------------------
// SamplePart__DragLeave
//--------------------------------------------------------------------

SOM_Scope void  SOMLINK SamplePart__DragLeave(SampleCode_SamplePart *somSelf, Environment *ev,
		ODFacet* facet,
		ODPoint* where)
{
    SampleCode_SamplePartMethodDebug("SamplePart","DragLeave");
}

//--------------------------------------------------------------------
// SamplePart__DragWithin
//--------------------------------------------------------------------

SOM_Scope ODDragResult  SOMLINK SamplePart__DragWithin(SampleCode_SamplePart *somSelf, Environment *ev,
		ODDragItemIterator* dragInfo,
		ODFacet* facet,
		ODPoint* where)
{
    SampleCode_SamplePartMethodDebug("SamplePart","DragWithin");

	return kODFalse;
}

//--------------------------------------------------------------------
// SamplePart__FulfillPromise
//--------------------------------------------------------------------

SOM_Scope void  SOMLINK SamplePart__FulfillPromise(SampleCode_SamplePart *somSelf, Environment *ev,
		ODStorageUnitView* promiseSUView)
{
    SampleCode_SamplePartMethodDebug("SamplePart","FulfillPromise");
}

//--------------------------------------------------------------------
// SamplePart__AcquireContainingPartProperties
//--------------------------------------------------------------------

SOM_Scope ODStorageUnit*  SOMLINK SamplePart__AcquireContainingPartProperties(SampleCode_SamplePart *somSelf, Environment *ev,
		ODFrame* frame)
{
    SampleCode_SamplePartMethodDebug("SamplePart","AcquireContainingPartProperties");

	return kODNULL;
}

//--------------------------------------------------------------------
// SamplePart__AdjustBorderShape
//--------------------------------------------------------------------

SOM_Scope ODShape*  SOMLINK SamplePart__AdjustBorderShape(SampleCode_SamplePart *somSelf, Environment *ev,
		ODFacet* embeddedFacet,
		ODShape* shape)
{
    SampleCode_SamplePartMethodDebug("SamplePart","AdjustBorderShape");

    //return (SampleCode_SamplePart_parent_ODPart_AdjustBorderShape(somSelf,ev,embeddedFacet,shape));
	return kODNULL;
}

//--------------------------------------------------------------------
// SamplePart__ReleaseExtension
//--------------------------------------------------------------------

SOM_Scope void  SOMLINK SamplePart__ReleaseExtension(SampleCode_SamplePart *somSelf, Environment *ev,
		ODExtension* extension)
{
    SampleCode_SamplePartMethodDebug("SamplePart","ReleaseExtension");

	SOM_TRY
			// We don't support any extensions, but one of our parent classes might;
	    SampleCode_SamplePart_parent_ODPart_ReleaseExtension(somSelf,ev,extension);
	SOM_CATCH_ALL
	SOM_ENDTRY
}

//--------------------------------------------------------------------
// SamplePart__AcquireExtension
//--------------------------------------------------------------------

SOM_Scope ODExtension*  SOMLINK SamplePart__AcquireExtension(SampleCode_SamplePart *somSelf, Environment *ev,
		ODType extensionName)
{
	ODExtension* extension = kODNULL;

     SampleCode_SamplePartMethodDebug("SamplePart","AcquireExtension");

	SOM_TRY
		ODVolatile( extension );
		// We don't support any extensions, but one of our parent classes might;
		extension = SampleCode_SamplePart_parent_ODPart_AcquireExtension(somSelf,ev,extensionName);
	SOM_CATCH_ALL
		extension = kODNULL;
	SOM_ENDTRY

	return extension;
}

//--------------------------------------------------------------------
// SamplePart__HasExtension
//--------------------------------------------------------------------

SOM_Scope ODBoolean  SOMLINK SamplePart__HasExtension(SampleCode_SamplePart *somSelf, Environment *ev,
		ODType extensionName)
{
	ODBoolean result;

    SampleCode_SamplePartMethodDebug("SamplePart","HasExtension");

	SOM_TRY
		ODVolatile( result );
		// We don't support any extensions, but one of our parent classes might;
		result = SampleCode_SamplePart_parent_ODPart_HasExtension(somSelf,ev,extensionName);
	SOM_CATCH_ALL
		result = kODFalse;
	SOM_ENDTRY

	return result;
}
