/*------------------------------------------------------------------------------
	File:		ScriptRunnerDef.h

	Contains:	Common definitions used by ScriptRunner.cpp/.r files

	Written by:	Sue Dumont

	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.
------------------------------------------------------------------------------*/

#ifndef _SCRIPTRUNNERDEF_
#define _SCRIPTRUNNERDEF_


//==============================================================================
// Constants
//==============================================================================

// Class / Editor ID
#define	kPartClassName						"ScriptRunner"
#define kScriptRunnerID						"SampleCode::ScriptRunner"

// Kinds
#define kScriptRunnerKind					kODISOPrefix "Apple:Kind:ScriptRunner"

// Category
#define kScriptRunnerCategory				kODISOPrefix "Apple:Category:ScriptRunner"

// ISO Strings
#define	kPalettePresentation				kODISOPrefix "ScriptRunner:Presentation:Palette"
#define	kResultPresentation					kODISOPrefix "ScriptRunner:Presentation:Result"

// Editor User String
#define kScriptRunnerEditorString 			"ScriptRunner 1.0"

// Kind User String
#define kScriptRunnerKindString				"AppleScript Script"
#define kScriptDataKindUserString			"ScriptRunner data"
#define kScriptFileKindUserString			"ScriptRunner file"

// Category User String
#define kScriptRunnerCategoryString 		"Script"

// ScriptRunner OSTypes
#define kScriptRunnerEditorOSType			'RUNR'
#define kScriptRunnerDocumentOSType			'SUNR'
#define kScriptRunnerStationeryOSType		'sUNR'

// ScriptRunner resource ids
#define	kBaseResourceID						20001

// String Items
#define kStringResID						kBaseResourceID
#define kScriptRunnerIndex					1
#define kResultsIndex						2
#define kNoResultIndex						3


// NMAP Resource IDs
#define kEditorUserStringMapId				kBaseResourceID+1
#define kViewerMapId						kBaseResourceID+2
#define kEditorKindMapId					kBaseResourceID+3

// Bundles/FREFs
#define kDocumentBundle						kBaseResourceID
#define kViewerBundle						kBaseResourceID+1
#define kDocumentFREF						kBaseResourceID
#define kStationeryFREF						kBaseResourceID+1
#define kViewerFREF							kBaseResourceID+2

// Icons
#define	kLargeIcons							1
#define	kSmallIcons							2
#define	kDocumentIcons						kBaseResourceID
#define	kStationeryIcons					kBaseResourceID+1
#define	kViewerIcons						kBaseResourceID+2

// PICT's
#define	kControlsID							kBaseResourceID
#define	kRecordPressedID					kControlsID+1
#define	kStopPressedID						kControlsID+2
#define	kRunPressedID						kControlsID+3
#define	kCompilePressedID					kControlsID+4
#define	kRecordOnID							kControlsID+5
#define	kStopOnID							kControlsID+6
#define	kRunOnID							kControlsID+7
#define	kCompileOnID						kControlsID+8
#define	kRecordDisabledID					kControlsID+9
#define	kStopDisabledID						kControlsID+10
#define	kRunDisabledID						kControlsID+11
#define	kCompileDisabledID					kControlsID+12
#define	kEditorIconPicture					kControlsID+13

// Dialog resource id's
#define kErrorBoxID							kBaseResourceID
#define kErrStrFieldID						2

// Floating window id
#define kFloatWindowDefID					kBaseResourceID

// ScriptRunner palette and window definitions
#define kPaletteOrigin						 80
#define	kPaletteWidth						196
#define	kPaletteHeight						 52
#define kResultOrigin						300
#define kResultWidth						150
#define kResultHeight						 40

// Palette commands
#define	kRecordCommand						1
#define	kStopCommand						2
#define	kRunCommand							3
#define	kCompileCommand						4

#endif

