/*------------------------------------------------------------------------------
	File:		ScriptRunnerGlobals.idl

	Contains:	ScriptRunner globals

	Written by:	Sue Dumont

	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.
------------------------------------------------------------------------------*/

#ifndef _SCRIPTRUNNERGLOBALS_
#define _SCRIPTRUNNERGLOBALS_

#ifndef SOM_Module_OpenDoc_Global_TypesB_defined
#include <ODTypesB.xh>
#endif

#ifndef SOM_ODExtension_xh
#include <Extensn.xh>
#endif

#ifndef SOM_ODWindow_xh
#include <Window.xh>
#endif

#ifndef SOM_Samples_PaletteExt_xh
#include "PaletteExt.xh"
#endif

#ifndef SOM_TextTransferExt_xh
#include "TextTransferExt.xh"
#endif

#ifndef _CSCRIPTER_
#include "CScripter.h"
#endif

//==============================================================================
// Globals
//==============================================================================

struct ScriptRunnerGlobals; 	// forward

extern	ODUShort				gGlobalsUsageCount;
extern	ScriptRunnerGlobals*	gGlobals;


struct ScriptRunnerGlobals {
	public:
	ScriptRunnerGlobals();
	~ScriptRunnerGlobals() {}
				
	ODTypeToken				fModalFocus;
	ODTypeToken				fFrameView;
	ODTypeToken				fPalettePresentation;
	ODTypeToken				fResultPresentation;
	ODValueType				fTextKind;

	ODPart*					fClient;
	CScripter*				fOSAScripter;
	ODExtension*			fPaletteExtension;
	TextTransferExt*		fTextTransferExt;
	
	ODID					fPaletteID;
	ODID					fResultID;
	ODISOStr				fResultValue;
	ODHandle				fPalette;
	ODHandle				fFloatWindowProc;
	ODHandle				fDisabledRecButton;
	
	ODBoolean				fPaletteVisible;
	ODBoolean				fResultWindowVisible;
	ODBoolean				fResultHidden;
	
	Rect					fPaletteBounds;
	Rect					fResultBounds;
};



inline ScriptRunnerGlobals::ScriptRunnerGlobals()
{
	fModalFocus				= kODNullTypeToken;
	fFrameView				= kODNullTypeToken;
	fPalettePresentation	= kODNullTypeToken;
	fResultPresentation		= kODNullTypeToken;
	fTextKind				= kODNullTypeToken;
	
	fClient					= kODNULL;
	fOSAScripter			= kODNULL;
	fPaletteExtension		= kODNULL;
	fTextTransferExt		= kODNULL;
	fPaletteID				= kODNULLID;
	fResultID				= kODNULLID;
	
	fResultValue			= kODNULL;
	
	fPalette				= kODNULL;	
	fFloatWindowProc		= kODNULL;
	fDisabledRecButton		= kODNULL;
	
	fPaletteVisible			= kODFalse;
	fResultWindowVisible	= kODFalse;
	
	// This flag is used by the palette to hide
	// the result window when it is being hidden,
	// and then show it again when it is shown. 
	fResultHidden			= kODFalse;
};

#endif