#
#	File:		SoundEditor.make
#
#	Contains:	Makefile for OpenDoc SoundEditor sample part
#
#	Written by:	Steve Smith
#
#	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.
#

#---------------------------------------------------------------------------	
# PROJECT VARIABLES
#---------------------------------------------------------------------------	

TargetName = SoundEditor
TargetNameILink = {TargetName} (68k)
TargetNamePPCLink = {TargetName} (PPC)
TargetNameFat = {TargetName} (fat)

TargetCreatorType = SNED

AdditionalIncludes = -i "{somSourceDir}" -i "{SourceDir}"
AdditionalIDLIncludes = -i "{SourceDir}"

#---------------------------------------------------------------------------	
# CFM/PEF Version Numbers
#---------------------------------------------------------------------------	
# For detailed instructions on proper CFM/PEF version numbering, see
# Code Fragment Chapter (pg 3-7), Inside Macintosh: PowerPC System Software
#---------------------------------------------------------------------------	

CurrentLibraryVersion =		0x01018000		# 1.0.1 Final
LibraryExportsVersion =		0x00000000		# 0.0
LibraryCodeVersion =		0x00000000		# 0.0

#---------------------------------------------------------------------------	
# DIRECTORY DEPENDENCIES
#---------------------------------------------------------------------------	

"{TargetDir}"   "{SourceDir}"
"{ObjectsDir}"  "{SourceDir}"
"{ObjectsDir}"  "{somSourceDir}"
"{ObjectsDir}"  "{ODUtilsImplDir}"

#---------------------------------------------------------------------------	
# ROOT TARGET
#---------------------------------------------------------------------------	

BUILDPPCLINK  
	"{CppPrecompiledHeaders}"			
	"{TargetDir}{TargetNamePPCLink}"	
	"{somSourceDir}som_SoundEditor.exp"

BUILDILINK  
	"{CppPrecompiledHeaders}"			
	"{TargetDir}{TargetNameILink}"		
	"{somSourceDir}som_SoundEditor.exp"

BUILDREZ  
	"{ObjectsDir}{TargetName}.PPC.rsrc"	
	"{ObjectsDir}{TargetName}.68k.rsrc"

BUILDIDL  
	"{somSourceDir}som_SoundEditor.xih"				
	"{somSourceDir}som_SoundEditor.xh"				
	"{somSourceDir}som_SoundEditor.cpp"				
	"{somSourceDir}som_SoundEditor.exp"				
	"{somSourceDir}som_SoundEditorSI.xih"			
	"{somSourceDir}som_SoundEditorSI.xh"			
	"{somSourceDir}som_SoundEditorSI.cpp"			
	"{somSourceDir}som_SoundEditorSI.exp"			
	"{somSourceDir}som_SESettingsExtension.xih"		
	"{somSourceDir}som_SESettingsExtension.xh"		
	"{somSourceDir}som_SESettingsExtension.cpp"		
	"{somSourceDir}som_SESettingsExtension.exp"
				
#---------------------------------------------------------------------------	
# FILE LIST VARIABLES
#---------------------------------------------------------------------------	

SoundEditorOBJECTS = 
	"{ObjectsDir}SoundEditor.cpp.o"			
	"{ObjectsDir}SoundEditorGlobals.cpp.o"	
	"{ObjectsDir}SoundHandling.cpp.o"		
	"{ObjectsDir}SoundEditorObj.cpp.o"		
	"{ObjectsDir}SoundEditorUtils.cpp.o"	
	"{ObjectsDir}SampleCollections.cpp.o"	
	"{ObjectsDir}SESettingsExtension.cpp.o"	

somSoundEditorOBJECTS = 
	"{ObjectsDir}som_SoundEditorInit.cpp.o"		
	"{ObjectsDir}som_SoundEditor.cpp.o"			
	"{ObjectsDir}som_SoundEditorSI.cpp.o"		
	"{ObjectsDir}som_SESettingsExtension.cpp.o"	

OpenDocUtilityOBJECTS = 
	"{ObjectsDir}AltPoint.cpp.o" 			
	"{ObjectsDir}AltPoly.cpp.o" 			
	"{ObjectsDir}BndNSUtl.cpp.o" 			
	"{ObjectsDir}Crawl.cpp.o"	 			
	"{ObjectsDir}DocUtils.cpp.o"	 		
	"{ObjectsDir}Except.cpp.o" 				
	"{ObjectsDir}FocusLib.cpp.o" 			
	"{ObjectsDir}IText.cpp.o" 				
	"{ObjectsDir}FlipEnd.cpp.o" 			
	"{ObjectsDir}InfoUtil.cpp.o" 			
	"{ObjectsDir}ISOStr.cpp.o" 				
	"{ObjectsDir}LinkList.cpp.o" 			
	"{ObjectsDir}NmSpcUtl.cpp.o" 			
	"{ObjectsDir}ODDebug.cpp.o" 			
	"{ObjectsDir}ODDesUtl.cpp.o" 			
	"{ObjectsDir}ODMemory.cpp.o"			
	"{ObjectsDir}ODNew.cpp.o"				
	"{ObjectsDir}ODUtils.cpp.o"				
	"{ObjectsDir}PasclStr.cpp.o"			
	"{ObjectsDir}PlfmFile.cpp.o" 			
	"{ObjectsDir}StorUtil.cpp.o"			
	"{ObjectsDir}StdTypIO.cpp.o"			
	"{ObjectsDir}TempIter.cpp.o"			
	"{ObjectsDir}TempObj.cpp.o"				
	"{ObjectsDir}UseRsrcM.cpp.o" 			
	"{ObjectsDir}WinUtils.cpp.o" 			
						
#---------------------------------------------------------------------------	
# DEPENDENCIES
#---------------------------------------------------------------------------	

# --- IDL ---

"{somSourceDir}"som_SoundEditor.cpp 	
	"{somSourceDir}"som_SoundEditor.idl	
	"{ODIDLIntfDir}"Part.idl
	
"{somSourceDir}"som_SoundEditor.xih 	
	"{somSourceDir}"som_SoundEditor.xh	
	"{somSourceDir}"som_SoundEditor.idl	
	"{ODIDLIntfDir}"Part.idl
	
"{somSourceDir}"som_SoundEditor.xh 	
	"{somSourceDir}"som_SoundEditor.idl	
	"{SourceDir}"SoundEditorVers.h		
	"{ODIDLIntfDir}"Part.idl

"{somSourceDir}"som_SoundEditorSI.cpp 	
	"{somSourceDir}"som_SoundEditorSI.idl	
	"{ODIDLIntfDir}"Extensn.idl
	
"{somSourceDir}"som_SoundEditorSI.xih 	
	"{somSourceDir}"som_SoundEditorSI.xh	
	"{somSourceDir}"som_SoundEditorSI.idl	
	"{ODIDLIntfDir}"Extensn.idl
	
"{somSourceDir}"som_SoundEditorSI.xh 	
	"{somSourceDir}"som_SoundEditorSI.idl	
	"{ODIDLIntfDir}"Extensn.idl

"{somSourceDir}"som_SESettingsExtension.cpp 	
	"{somSourceDir}"som_SESettingsExtension.idl	
	"{ODIDLIntfDir}"Settings.idl
	
"{somSourceDir}"som_SESettingsExtension.xih 	
	"{somSourceDir}"som_SESettingsExtension.xh	
	"{somSourceDir}"som_SESettingsExtension.idl	
	"{ODIDLIntfDir}"Settings.idl
	
"{somSourceDir}"som_SESettingsExtension.xh 	
	"{somSourceDir}"som_SESettingsExtension.idl	
	"{ODIDLIntfDir}"Settings.idl

# --- SOURCE ---

"{ObjectsDir}SoundEditor.cpp.o" 								
	"{CppPrecompiledHeaders}"									
	"{SourceDir}SoundEditor.cpp"								
	"{SourceDir}SoundEditor.h"									
	"{SourceDir}SoundEditorDef.h"								
	"{SourceDir}SoundEditorUtils.h"								
	"{SourceDir}SoundHandling.h"								
	"{SourceDir}SESettingsExtension.h"							
	
"{ObjectsDir}SoundEditorUtils.cpp.o" 							
	"{CppPrecompiledHeaders}"									
	"{SourceDir}SoundEditorUtils.cpp"							
	"{SourceDir}SoundEditorUtils.h"								
	
"{ObjectsDir}SoundEditorObj.cpp.o" 							
	"{CppPrecompiledHeaders}"									
	"{SourceDir}SoundEditorObj.cpp"								
	"{SourceDir}SoundEditorObj.h"								

"{ObjectsDir}SoundHandling.cpp.o" 								
	"{CppPrecompiledHeaders}"									
	"{SourceDir}SoundHandling.cpp"								
	"{SourceDir}SoundHandling.h"								
	
"{ObjectsDir}SESettingsExtension.cpp.o" 						
	"{CppPrecompiledHeaders}"									
	"{SourceDir}SESettingsExtension.cpp"						
	"{SourceDir}SESettingsExtension.h"

"{ObjectsDir}SampleCollections.cpp.o" 							
	"{CppPrecompiledHeaders}"									
	"{SourceDir}SampleCollections.cpp"							
	"{SourceDir}SampleCollections.h"							

# --- SOM OBJECTS ---

"{ObjectsDir}som_SoundEditor.cpp.o"								
	"{CppPrecompiledHeaders}"									
	"{somSourceDir}som_SoundEditor.cpp"							
	"{somSourceDir}som_SoundEditor.xih"

"{ObjectsDir}som_SoundEditorInit.cpp.o" 						
	"{CppPrecompiledHeaders}"									
	"{somSourceDir}som_SoundEditorInit.cpp"						
	"{somSourceDir}som_SoundEditor.xh"	

"{ObjectsDir}som_SoundEditorSI.cpp.o" 							
	"{CppPrecompiledHeaders}"									
	"{somSourceDir}som_SoundEditorSI.cpp"						
	"{somSourceDir}som_SoundEditorSI.xh"	

"{ObjectsDir}som_SESettingsExtension.cpp.o" 					
	"{CppPrecompiledHeaders}"									
	"{somSourceDir}som_SESettingsExtension.cpp"					
	"{somSourceDir}som_SESettingsExtension.xih"					

#---------------------------------------------------------------------------	
# BUILD LIBRARIES
#---------------------------------------------------------------------------	

# --- 68k Link ---

"{TargetDir}{TargetNameILink}" 	{SoundEditorOBJECTS}		
									{somSoundEditorOBJECTS}		
									{OpenDocUtilityOBJECTS}		
									"{somSourceDir}som_SoundEditor.exp"
	Echo Linking:	{TargetNameILink}
	{LinkTool}	
		-export `ConvertExportList "{somSourceDir}som_SoundEditor.exp"` 
		{ILinkOptions}										
		{ILinkShLibOptions}									
		-init SoundEditorCFMInit							
		-vercur {CurrentLibraryVersion}						
		-verdef {LibraryExportsVersion}						
		-verimp {LibraryCodeVersion}						
		{ShLibPreLibraries}									
		{SoundEditorOBJECTS}								
		{somSoundEditorOBJECTS}								
		{OpenDocUtilityOBJECTS}								
		"{ODCFMLibrariesDir}OpenDoc Core.stub"				
		"{ODCFMLibrariesDir}OpenDoc User Interface.stub"	
		"{ODCFMLibrariesDir}OpenDoc Storage.stub"			
		"{ODCFMLibrariesDir}OpenDoc Imaging.stub"			
		"{ODCFMLibrariesDir}OpenDoc Layout.stub"			
		"{ODCFMLibrariesDir}OpenDoc Messaging.stub"			
		"{ODCFMLibrariesDir}Memory Manager.stub"			
		{ShLibPostLibraries}								
		-o "{ObjectsDir}{TargetNameILink}".seg
	If !{Status}
		Echo Building: {TargetNameILink}.SYM
		{SymTool} "{ObjectsDir}{TargetNameILink}".seg.NJ	
				-o "{TargetDir}{TargetNameILink}".SYM -sym 3.2
		Echo Building: {TargetNameILink}'s code/data fragment
		MakeFlat "{ObjectsDir}{TargetNameILink}".seg -o "{TargetDir}{TargetNameILink}"
		Echo Copying: {TargetNameILink}'s resources
		Echo "include "{RsrcObjectsDir}{TargetName}.68k.rsrc";" | Rez -a -o "{TargetDir}{TargetNameILink}"
		Echo "delete 'ckid';"  | Rez -a -o "{TargetDir}{TargetNameILink}"
		SetFile -a Bi -c "{TargetCreatorType}" {Targ}
	End

# --- PowerPC Link ---

"{TargetDir}{TargetNamePPCLink}" 		{SoundEditorOBJECTS}			
										{somSoundEditorOBJECTS}		
										{OpenDocUtilityOBJECTS}		
										"{somSourceDir}som_SoundEditor.exp"
	Echo Linking: {TargetNamePPCLink}
	{LinkTool}	
		-export `ConvertExportList "{somSourceDir}som_SoundEditor.exp"` 
		{PPCLinkOptions}									
		{PPCLinkShLibOptions}								
		-init SoundEditorCFMInit							
		-verCur {CurrentLibraryVersion}						
		-verDef {LibraryExportsVersion}						
		-verImp {LibraryCodeVersion}						
		{PPCShLibPreLibraries}								
		{SoundEditorOBJECTS}								
		{somSoundEditorOBJECTS}								
		{OpenDocUtilityOBJECTS}								
		"{ODCFMLibrariesDir}OpenDoc Core.stub"				
		"{ODCFMLibrariesDir}OpenDoc User Interface.stub"	
		"{ODCFMLibrariesDir}OpenDoc Storage.stub"			
		"{ODCFMLibrariesDir}OpenDoc Imaging.stub"			
		"{ODCFMLibrariesDir}OpenDoc Layout.stub"			
		"{ODCFMLibrariesDir}OpenDoc Messaging.stub"			
		"{ODCFMLibrariesDir}Memory Manager.stub"			
		{PPCShLibPostLibraries}								
		-o "{ObjectsDir}{TargetNamePPCLink}"
	If !{Status}
		Move -y "{ObjectsDir}{TargetNamePPCLink}" "{TargetDir}"
		if ( `exists "{ObjectsDir}{TargetNamePPCLink}".xcoff != ""` )
			Echo Building: {TargetNamePPCLink}.xSYM
			{SymTool} "{ObjectsDir}{TargetNamePPCLink}".xcoff			
					{AdditionalIncludes} -i "{ODUtilsImplDir}"			
					-sym on,3.2 -o "{TargetDir}{TargetNamePPCLink}".xSYM
		end
		Echo Copying: {TargetNamePPCLink}'s resources
		Echo "include "{RsrcObjectsDir}{TargetName}.PPC.rsrc";" | Rez -a -o "{TargetDir}{TargetNamePPCLink}"
		Echo "delete 'ckid';"  | Rez -a -o "{TargetDir}{TargetNamePPCLink}"
		SetFile -a Bi -c "{TargetCreatorType}" {Targ}
	End

#---------------------------------------------------------------------------	
# REZ STEPS
#---------------------------------------------------------------------------	

"{RsrcObjectsDir}{TargetName}.PPC.rsrc"									
										"{SourceDir}SoundEditor.r"		
										"{SourceDir}SoundEditorDef.h"	
										"{SourceDir}SoundEditorVers.h"	
										"{SourceDir}SoundEditorOtherResources.rsrc"
	Echo Rezzing: {TargetName}.r (for PPC)
	Rez {RezOptions} {ODRezIntf} "{SourceDir}{TargetName}.r" -o {Targ}
	Echo "delete 'ckid';"  | Rez -a -o {Targ}
	SetFile -a i -c "{ResEditCreator}" -t "{ResEditFileType}" {Targ}
	if ( `exists "{TargetDir}{TargetNamePPCLink}" != ""` )
		Echo Copying: {TargetNamePPCLink}'s resources
		Echo "include ""{Targ}"";" | Rez -a -o "{TargetDir}{TargetNamePPCLink}"
	end	

"{RsrcObjectsDir}{TargetName}.68k.rsrc"									
										"{SourceDir}SoundEditor.r"		
										"{SourceDir}SoundEditorDef.h"	
										"{SourceDir}SoundEditorVers.h"	
										"{SourceDir}SoundEditorOtherResources.rsrc"
	Echo Rezzing: {TargetName}.r (for 68k)
	Rez -d _68KBUILD_ {RezOptions} {ODRezIntf} "{SourceDir}{TargetName}.r" -o {Targ}
	Echo "delete 'ckid';"  | Rez -a -o {Targ}
	SetFile -a i -c "{ResEditCreator}" -t "{ResEditFileType}" {Targ}
	if ( `exists "{TargetDir}{TargetNameILink}" != ""` )
		Echo Copying: {TargetNameILink}'s resources
		Echo "include ""{Targ}"";" | Rez -a -o "{TargetDir}{TargetNameILink}"
	end
