/*------------------------------------------------------------------------------
	File:			SoundEditorAETE.r
	
	Written by:		Sue Dumont
	
	Copyright:		 1995 by Apple Computer, Inc., all rights reserved.
------------------------------------------------------------------------------*/


#ifndef _SOUNDEDITORDEF_
#include "SoundEditorDef.h"
#endif

#ifndef __AEUSERTERMTYPES__
#include "AEUserTermTypes.r"
#endif

#ifndef __APPLEEVENTS_R__
#include "AppleEvents.r"
#endif

#ifndef __ASREGISTRY__
#include "ASRegistry.r"
#endif

#define english 0

resource 'aete' (english, "Sound Editor Terminology") {
	0x01,
	0x00,
	english,
	roman,
	{	/* array Suites: 1 element  */
		/* [1] */
		"Sound Suite",
		"Suite pertaining to the Sound Editor part.",
		kSoundEditorAEID,
		1,
		1,
		{	/* array Events: 5 elements */
			/* [1] */
			"record",
			"Record a new sound",
			kSoundEditorAEClass,
			kRecordSound,
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			noParams,
			"no direct parameter required",
			directParamOptional,
			singleItem,
			notEnumerated,
			changesState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 0 elements */
			},
			/* [2] */
			"stop",
			"Stop playing or recording the sound.",
			kSoundEditorAEClass,
			kStopSound,
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			noParams,
			"no direct parameter required",
			directParamOptional,
			singleItem,
			notEnumerated,
			changesState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 0 elements */
			},
			/* [3] */
			"play",
			"Play the sound",
			kSoundEditorAEClass,
			kPlaySound,
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			noParams,
			"no direct parameter required",
			directParamOptional,
			singleItem,
			notEnumerated,
			changesState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 0 elements */
			},
			/* [4] */
			"pause",
			"Pause the sound being played or recorded.",
			kSoundEditorAEClass,
			kPauseSound,
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			noParams,
			"no direct parameter required",
			directParamOptional,
			singleItem,
			notEnumerated,
			changesState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 0 elements */
			},
			/* [5] */
			"resume",
			"Resume playing or recording the sound.",
			kSoundEditorAEClass,
			kResumeSound,
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			noParams,
			"no direct parameter required",
			directParamOptional,
			singleItem,
			notEnumerated,
			changesState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 0 elements */
			},
		},
		{	/* array Classes: 1 elements */
			/* [1] */
			"Sound Editor",
			cEditorClass,
			"The SoundEditor part.",
			{	/* array Properties: 6 elements */
				/* [1] */
				"state",
				pState,
				enumState,
				"current state of the part",
				reserved,
				listOfItems,
				enumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"recording quality",
				pQuality,
				enumQuality,
				"recording quality",
				reserved,
				listOfItems,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [3] */
				"current time",
				pCurrentTime,
				cSeconds,
				"seconds played or recorded",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [4] */
				"max recording time",
				pMaxTime,
				cSeconds,
				"maximum recording time in seconds",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [5] */
				"sound length",
				pLength,
				cSeconds,
				"length of sound in seconds",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [6] */
				"sound quality",
				pSndQuality,
				enumQuality,
				"quality of recorded sound",
				reserved,
				listOfItems,
				enumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 0 elements */
			},
		},
		{	/* array ComparisonOps: 0 elements */
		},
		{	/* array Enumerations: 2 elements */
			/* [1] */
			enumQuality,
			{	/* array Enumerators: 4 elements */
				/* [2] */
				"unknown",
				kUnknownQuality,
				"unknown sound quality",
				/* [2] */
				"good",
				kGoodQuality,
				"good sound quality",
				/* [3] */
				"better",
				kBetterQuality,
				"better sound quality",
				/* [4] */
				"best",
				kBestQuality,
				"best sound quality",
			},
			/* [2] */
			enumState,
			{	/* array Enumerators: 5 elements */
				/* [1] */
				"stopped",
				kStopState,
				"stop state",
				/* [2] */
				"recording",
				kRecordState,
				"record state",
				/* [3] */
				"playing",
				kPlayState,
				"play state",
				/* [4] */
				"paused while recording",
				kPauseRecordState,
				"pause during record state",
				/* [5] */
				"paused while playing",
				kPausePlayState,
				"pause during play state",
			},
		},
	},
};
