/*	Rez file for balloon document "SoundEditor Balloons" */
/*	Created Sat, Nov 11, 1995 at 10:15 PM */

#include "Types.r"
#include "BalloonTypes.r"

#include "SoundEditorDef.h"

//------------------------------------------------------------------------------
// Constants
//------------------------------------------------------------------------------

#define kBalloonStringsResID 30000

//------------------------------------------------------------------------------
// Menu help resources
//------------------------------------------------------------------------------

resource 'hmnu' (kSoundMenuID, purgeable) 
{
	HelpMgrVersion,
	hmDefaultOptions,
	0,
	0,

		HMSTRResItem { 0,0,0,0 },			/* item -1:Default balloon for Sound */
	{

		HMSTRResItem { 0,0,0,0 },			/* item 0:Menu Title */
		HMStringResItem {		/* item 1:Play */
			kBalloonStringsResID,1,
			kBalloonStringsResID,2,
			kBalloonStringsResID,3,
			0,0
		},
		HMStringResItem {		/* item 2:Pause */
			kBalloonStringsResID,4,
			kBalloonStringsResID,5,
			kBalloonStringsResID,6,
			0,0
		},
		HMStringResItem {		/* item 3:Stop */
			kBalloonStringsResID,7,
			kBalloonStringsResID,8,
			0,0,
			0,0
		},
		HMStringResItem {		/* item 4:Record */
			kBalloonStringsResID,9,
			kBalloonStringsResID,10,
			kBalloonStringsResID,11,
			0,0
		},
					HMSkipItem { },
		HMStringResItem {		/* item 6:Settings */
			kBalloonStringsResID,12,
			kBalloonStringsResID,13,
			0,0,
			0,0
		}
	}
};

//------------------------------------------------------------------------------
// Dialog help resources
//------------------------------------------------------------------------------

resource 'hdlg' (kAboutBoxID, purgeable) 
{
	HelpMgrVersion,
	0,
	hmDefaultOptions,
	0,
	0,

		HMStringResItem {		/* Default balloon */
			{0,0},
			{0,0,0,0},
			kBalloonStringsResID,14,
			0,0,
			0,0,
			0,0
		},
	{

		HMStringResItem {		/* item 1:OK */
			{0,0},
			{0,0,0,0},
			kBalloonStringsResID,15,
			0,0,
			0,0,
			0,0
		},
		HMSTRResItem { {0,0}, {0,0,0,0}, 0,0,0,0 },			/* item 2:DITL Item 2 */
		HMSTRResItem { {0,0}, {0,0,0,0}, 0,0,0,0 },			/* item 3:DITL Item 3 */
		HMSTRResItem { {0,0}, {0,0,0,0}, 0,0,0,0 },			/* item 4:DITL Item 4 */
		HMStringResItem {		/* item 5:SoundEditor */
			{0,0},
			{0,0,0,0},
			kBalloonStringsResID,16,
			0,0,
			0,0,
			0,0
		},
		HMStringResItem {		/* item 6:SoundEditor is a simple Macintosh sound editor sample. It illu */
			{0,0},
			{0,0,0,0},
			kBalloonStringsResID,17,
			0,0,
			0,0,
			0,0
		},
		HMStringResItem {		/* item 7:Written by Steve Smith and Andrey Dolgachev with support from t */
			{0,0},
			{0,0,0,0},
			kBalloonStringsResID,18,
			0,0,
			0,0,
			0,0
		},
		HMStringResItem {		/* item 8:Copyright 1994,1995 by Apple Computer, Inc. All Rights Reserve */
			{0,0},
			{0,0,0,0},
			kBalloonStringsResID,19,
			0,0,
			0,0,
			0,0
		}
	}
};

resource 'hdlg' (kErrorBoxID, purgeable) 
{
	HelpMgrVersion,
	0,
	hmDefaultOptions,
	0,
	0,

		HMSTRResItem { {0,0}, {0,0,0,0}, 0,0,0,0 },			/* item -1:Default balloon */
	{

		HMStringResItem {		/* item 1:OK */
			{0,0},
			{0,0,0,0},
			kBalloonStringsResID,20,
			0,0,
			0,0,
			0,0
		},
		HMStringResItem {		/* item 2:Cancel */
			{0,0},
			{0,0,0,0},
			kBalloonStringsResID,21,
			0,0,
			0,0,
			0,0
		},
		HMStringResItem {		/* item 3:<< Use this for errors in the Editor, such as out of memory, un */
			{0,0},
			{0,0,0,0},
			kBalloonStringsResID,22,
			0,0,
			0,0,
			0,0
		},
		HMStringResItem {		/* item 4:DITL Item 4 */
			{0,0},
			{0,0,0,0},
			kBalloonStringsResID,23,
			0,0,
			0,0,
			0,0
		},
		HMSTRResItem { {0,0}, {0,0,0,0}, 0,0,0,0 }			/* item 5:DITL Item 5 */
	}
};

resource 'hdlg' (kSettingsDialogID, purgeable) 
{
	HelpMgrVersion,
	0,
	hmDefaultOptions,
	0,
	0,

		HMSTRResItem { {0,0}, {0,0,0,0}, 0,0,0,0 },			/* item -1:Default balloon */
	{

		HMStringResItem {		/* item 1:OK */
			{0,0},
			{0,0,0,0},
			kBalloonStringsResID,24,
			0,0,
			0,0,
			0,0
		},
		HMStringResItem {		/* item 2:Cancel */
			{0,0},
			{0,0,0,0},
			kBalloonStringsResID,25,
			0,0,
			0,0,
			0,0
		},
		HMSTRResItem { {0,0}, {0,0,0,0}, 0,0,0,0 },			/* item 3:DITL Item 3 */
		HMSTRResItem { {0,0}, {0,0,0,0}, 0,0,0,0 },			/* item 4:Recording Quality: */
		HMStringResItem {		/* item 5:Good */
			{6,6},					// place tip in checkbox.
			{0,0,0,0},
			kBalloonStringsResID,26,
			0,0,
			kBalloonStringsResID,27,
			0,0
		},
		HMStringResItem {		/* item 6:Better */
			{6,6},					// place tip in checkbox.
			{0,0,0,0},
			kBalloonStringsResID,28,
			0,0,
			kBalloonStringsResID,29,
			0,0
		},
		HMStringResItem {		/* item 7:Best */
			{6,6},					// place tip in checkbox.
			{0,0,0,0},
			kBalloonStringsResID,30,
			0,0,
			kBalloonStringsResID,31,
			0,0
		},
		HMSTRResItem { {0,0}, {0,0,0,0}, 0,0,0,0 }			/* item 8:DITL Item 8 */
	}
};

//------------------------------------------------------------------------------
// Help strings
//------------------------------------------------------------------------------

resource 'STR#' (kBalloonStringsResID, "Balloon Help Strings") 
{
	{
		/* [1] Play, Normal */
			"Plays the sound contained in the active sound editor part.",
		
		/* [2] Play, Grayed */
			"Plays the sound contained in the active sound editor part.\n"
			"\n"
			"Not available now because there is no sound to be played "
			"or there is a sound being recorded.",
		
		/* [3] Play, Checked */
			"Plays the sound contained in the active sound editor part.\n"
			"\n"
			"Checked now because the sound is currently in a playing state.",
		
		/* [4] Pause, Normal */
			"Pauses the sound being played or recorded in the active "
			"sound editor part.",
		
		/* [5] Pause, Grayed */
			"Pauses the sound being played or recorded in the active "
			"sound editor part.\n\nNot available now because there is no "
			"sound being played or recorded in the active part.",
		
		/* [6] Pause, Checked */
			"Resumes the sound being played or recorded in the active "
			"sound editor part.",
		
		/* [7] Stop, Normal */
			"Stops the sound being played or recorded in the active "
			"sound editor part.",
		
		/* [8] Stop, Grayed */
			"Stops the sound being played or recorded in the active "
			"sound editor part.\n"
			"\n"
			"Not available now because there is no sound being played "
			"or recorded in the active part.",
		
		/* [9] Record, Normal */
			"Records a sound into the active sound editor part.",
		
		/* [10] Record, Grayed */
			"Records a sound into the active sound editor part.\n"
			"\n"
			"Not available now because there is a sound being played or the "
			"part cannot be modified.",
		
		/* [11] Record, Checked */
			"Records a sound into the active sound editor part.\n"
			"\n"
			"Checked now because a sound is currently being recorded.",
		
		/* [12] Settings, Normal */
			"Sets the compression level used when recording with the "
			"active part.",
		
		/* [13] Settings, Grayed */
			"Sets the compression level used when recording with the "
			"active part.\n"
			"\n"
			"Not available now because a sound is already being recorded "
			"or this part cannot be modified.",
		
		/* [14] Default balloon for DITL 20001, Normal */
			"This dialog shows information about this part editor.",
		
		/* [15] OK, Normal */
			"To dismiss this dialog box, click this button.",
		
		/* [16] SoundEditor, Normal */
			"This is the name of the part editor for the active part.",
		
		/* [17] SoundEditor is a simple Macintosh sound editor sample. It illu, Normal */
			"This is a description of the purpose of this piece of sample "
			"code.",
		
		/* [18] Written by Steve Smith and Andrey Dolgachev with support from t, Normal */
			"This is credit information for this part editor.",
		
		/* [19] Copyright 1994,1995 by Apple Computer, Inc. All Rights Reserve, Normal */
			"This is copyright information for this part editor.",
		
		/* [20] OK, Normal */
			"To accept this operation and close the dialog box, "
			"click this button.",
		
		/* [21] Cancel, Normal */
			"To cancel this operation and close the dialog box, "
			"click this button.",
		
		/* [22] << Use this for errors in the Editor, such as out of memory, un, Normal */
			"This area describes why this dialog box was displayed.",
		
		/* [23] DITL Item 4, Normal */
			"This icon represents the part editor that is displaying "
			"this icon.",
		
		/* [24] OK, Normal */
			"To accept the settings change and close the dialog box, "
			"click this button.",
		
		/* [25] Cancel, Normal */
			"To cancel the settings change and close the dialog box, "
			"click this button.",
		
		/* [26] Good, Normal */
			"Sets the recording quality to Good.\n"
			"\n"
			"This quality uses MACE 6:1 compression when recording a sound.",
		
		/* [27] Good, Checked */
			"Sets the recording quality to Good.\n"
			"\n"
			"This quality uses MACE 6:1 compression when recording a sound.\n"
			"\n"
			"Marked because this is the quality that will be used.",
		
		/* [28] Better, Normal */
			"Sets the recording quality to Better.\n"
			"\n"
			"This quality uses MACE 3:1 compression when recording a sound.",
		
		/* [29] Better, Checked */
			"Sets the recording quality to Better.\n"
			"\n"
			"This quality uses MACE 3:1 compression when recording a sound.\n"
			"\n"
			"Marked because this is the quality that will be used.",
		
		/* [30] Best, Normal */
			"Sets the recording quality to Best.\n"
			"\n"
			"This quality does not use compression when recording a sound.",
		
		/* [31] Best, Checked */
			"Sets the recording quality to Best.\n"
			"\n"
			"This quality does not use compression when recording a sound.\n"
			"\n"
			"Marked because this is the quality that will be used."
	}
};
