/*
	File:		SoundEditorGlobals.h

	Contains:	SoundEditor globals

	Written by:	Steve Smith

	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.
*/


#ifndef _SOUNDEDITORGLOBALS_
#define _SOUNDEDITORGLOBALS_

// -- OpenDoc --

#ifndef _ODTYPES_
#include <ODTypes.h>
#endif

#ifndef _ITEXT_
#include <IText.h>
#endif

//------------------------------------------------------------------------------
// Forward declarations
//------------------------------------------------------------------------------

class ODMenuBar;
class ODFocusSet;

struct SoundEditorGlobals;

//------------------------------------------------------------------------------
// Globals
//------------------------------------------------------------------------------

extern	ODUShort			gGlobalsUsageCount;
extern	SoundEditorGlobals*	gGlobals;

//------------------------------------------------------------------------------
// SoundEditorGlobals struct
//------------------------------------------------------------------------------

struct SoundEditorGlobals 
{
	SoundEditorGlobals();

	ODMenuBar*		fMenuBar;
	ODFocusSet*		fUIFocusSet;

	Handle			fThumbnail;
	Handle			fControlsPict;
	
	ODTypeToken		fSelectionFocus;
	ODTypeToken		fMenuFocus;
	ODTypeToken		fKeyFocus;
	ODTypeToken		fModalFocus;
	ODTypeToken		fClipboardFocus;
	ODTypeToken		fSoundInFocus;
	ODTypeToken		fSoundOutFocus;

	ODTypeToken		fFrameView;
	ODTypeToken		fLargeIconView;
	ODTypeToken		fSmallIconView;
	ODTypeToken		fThumbnailView;
	ODTypeToken		fControlsPresentation;

	ODValueType		fSndDataKind;
	ODValueType		fSndFileKind;
	ODValueType		fAppleHFSFlavor;

	ODTypeToken		fNativeData;
	ODTypeToken		fMacSndData;
	ODTypeToken		fMacSndFile;
		
	ODScriptCode	fEditorsScript;
	ODLangCode		fEditorsLanguage;

	Rect			fButtonRect[4];
	Rect			fSpeakerIconRect;
	Rect			fMaxTimeRect;
	Rect			fCurrentTimeRect;
	Rect			fProgressBarRect;
};


inline SoundEditorGlobals::SoundEditorGlobals()
{
	fMenuBar				= kODNULL;
	fUIFocusSet				= kODNULL;

	fThumbnail				= kODNULL;
	fControlsPict			= kODNULL;
			
	fSelectionFocus			= kODNullTypeToken;
	fMenuFocus				= kODNullTypeToken;
	fKeyFocus				= kODNullTypeToken;
	fModalFocus				= kODNullTypeToken;
	fClipboardFocus			= kODNullTypeToken;
	fSoundInFocus			= kODNullTypeToken;
	fSoundOutFocus			= kODNullTypeToken;

	fFrameView				= kODNullTypeToken;
	fLargeIconView			= kODNullTypeToken;
	fSmallIconView			= kODNullTypeToken;
	fThumbnailView			= kODNullTypeToken;
	fControlsPresentation	= kODNullTypeToken;

	fSndDataKind			= kODNULL;
	fSndFileKind			= kODNULL;
	fAppleHFSFlavor			= kODNULL;

	fNativeData				= kODNullTypeToken;
	fMacSndData				= kODNullTypeToken;
	fMacSndFile				= kODNullTypeToken;
	
	fEditorsScript			= 0;
	fEditorsLanguage		= 0;
	
	SetRect(&fButtonRect[0],   7, 8,  42, 33);
	SetRect(&fButtonRect[1],  51, 8,  86, 33);
	SetRect(&fButtonRect[2],  95, 8, 130, 33);
	SetRect(&fButtonRect[3], 139, 8, 174, 33);

	SetRect(&fSpeakerIconRect, 190,  5, 228, 41);
	SetRect(&fMaxTimeRect,     153, 70, 183, 80);
	SetRect(&fCurrentTimeRect, 194, 56, 228, 69);
	SetRect(&fProgressBarRect,   8, 60, 173, 69);
}

#endif