/*
	File:		som_SESettingsExtension.cpp

	Contains:	Sound Editor's settings extension

	Written by:	Steve Smith
	
	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.
*/

// Notification that this is a SOM source file
#define som_SESettingsExtension_Class_Source

// define underscore field names (ie. _fSelf)
#define VARIABLE_MACROS

// -- Compiler/Preprocessor Switches --

#ifndef _COMPILERDEFS_
#include "CompDefs.h"
#endif

// -- OpenDoc Utilities --

#ifndef _EXCEPT_
// Exceptions define several important macros (eg. CHECKENV)
// which are used in the SOM method dispatch glue. If Except.h
// is not included early enough, exceptions may not be thrown
// correctly when returning from a SOM method with the "ev" parameter set.
#include <Except.h>
#endif

// -- SESettingsExtension Includes --

#ifndef SOM_som_SESettingsExtension_xih
#include "som_SESettingsExtension.xih"
#endif

#ifndef _SESETTINGSEXTENSION_
#include "SESettingsExtension.h"
#endif

// -- OpenDoc Utility Includes --

#ifndef _ODUTILS_
#include <ODUtils.h>
#endif


#pragma segment somSESettingsExtension

//====================================================================
// som_SESettingsExtension
//====================================================================

SOM_Scope void  SOMLINK som_SESettingsExtension__somInit(som_SESettingsExtension *somSelf)
{
//	som_SESettingsExtensionData *somThis = som_SESettingsExtensionGetData(somSelf);
	som_SESettingsExtensionMethodDebug("som_SESettingsExtension","som_SESettingsExtension__somInit");

	// somInit and somUninit methods behave like C++ constructors in that the
	// inherited methods are called automatically.
	// Thus, there is no need to call the parent class' somInit or somUninit.
	
	// There is also no need to set instance variables to zero/NULL
	// since SOM guarantees that a newly constructed object is zeroed.
}

SOM_Scope void  SOMLINK som_SESettingsExtension__somUninit(som_SESettingsExtension *somSelf)
{
	som_SESettingsExtensionData *somThis = som_SESettingsExtensionGetData(somSelf);
	som_SESettingsExtensionMethodDebug("som_SESettingsExtension","som_SESettingsExtension__somUninit");
	
	ODDeleteObject(_fExtension);
}

SOM_Scope void  SOMLINK som_SESettingsExtension__Release(som_SESettingsExtension *somSelf, Environment *ev)
{
	som_SESettingsExtensionData *somThis = som_SESettingsExtensionGetData(somSelf);
	som_SESettingsExtensionMethodDebug("som_SESettingsExtension","som_SESettingsExtension__Release");

	som_SESettingsExtension_parent_ODSettingsExtension_Release(somSelf,ev);
}

SOM_Scope void  SOMLINK som_SESettingsExtension__InitSettingsExtension(som_SESettingsExtension *somSelf, Environment *ev,
		ODPart* owner)
{
	som_SESettingsExtensionData *somThis = som_SESettingsExtensionGetData(somSelf);
	som_SESettingsExtensionMethodDebug("som_SESettingsExtension","som_SESettingsExtension__InitSettingsExtension");

	som_SESettingsExtension_parent_ODSettingsExtension_InitSettingsExtension(somSelf,ev,owner);
	
	_fExtension = new SESettingsExtension;
	_fExtension->InitSettingsExtension(ev, owner);
}

SOM_Scope void  SOMLINK som_SESettingsExtension__ShowSettings(som_SESettingsExtension *somSelf, Environment *ev,
		ODFacet* facet)
{
	som_SESettingsExtensionData *somThis = som_SESettingsExtensionGetData(somSelf);
	som_SESettingsExtensionMethodDebug("som_SESettingsExtension","som_SESettingsExtension__ShowSettings");

	_fExtension->ShowSettings(ev, facet);
}
