/*
	File:		ScriptRunnerSupport.h

	Contains:	ScriptRunner support functions

	Written by:	Troy Gaul

	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.
*/

#ifndef _SCRIPTRUNNERSUPPORT_
#define _SCRIPTRUNNERSUPPORT_

// --- OpenDoc Includes ---

#ifndef _ODTYPES_
#include <ODTypes.h>		// MUST BE BEFORE TOOLBOX INCLUDES
#endif

//------------------------------------------------------------------------------
// Forward Declarations
//------------------------------------------------------------------------------

class Environment;
class ODDraft;
class ODSession;

class Sample_ScriptRunnerAgent;
class Samples_PaletteExt;


//------------------------------------------------------------------------------
// Function Prototypes
//------------------------------------------------------------------------------

ODBoolean IsScriptRunnerLibAvailable(Environment* ev);

ODBoolean IsScriptRunnerPlugInLibAvailable(Environment* ev);

ODBoolean IsTextTransferExtAvailable(Environment* ev);

ODBoolean IsScriptRunnerInstalled(Environment* ev, ODSession* session);

Sample_ScriptRunnerAgent* GetScriptRunnerAgent(Environment* ev, ODSession* session);

Samples_PaletteExt* AcquireScriptRunner(Environment* ev, ODDraft* draft);



#endif