/*
	File:		StdTextProps.h

	Contains:	

	Written by:	Steve Smith
	
	Copyright:	 1994-1995 by Apple Computer, Inc., all rights reserved.
*/

#ifndef _STDTEXTPROPERTIES_
#define _STDTEXTPROPERTIES_
	
// These properties are defined for use with all parts which
// can edit text content and support styling of that content.

#define kStdProp_Font				"Content:Property:Font"
#define kStdProp_DefaultFont		"Editor:Property:Default Font"
	// use kODIntlText to describe font name & kODUShort to describ font number
	
#define kStdProp_FontStyle			"Content:Property:Font Style Actions"
#define kStdValu_StyleActions		"Content:Value:List of ODUShort"
	// <see below for action values>
	
#define kStdProp_FontSize			"Content:Property:Font Size"
#define kStdProp_DefaultFontSize	"Editor:Property:Default Font Size"
	// use kODUShort to describe font size

#define kStdProp_TextAlignment		"Content:Property:Text Alignment"
	// use kODUShort to describe alignment <see below for alignment values>
	
#define kStdProp_TextColor			"Content:Property:Text Color"
#define kStdValu_6Byte_RGBColor		"Content:Value:6Byte RGB Color"




// style actions

typedef enum {
	removeAllStyle = 1,
	
	addBoldStyle = 10,		/* Add style to selection regardless of current state */
	addItalicStyle,
	addUnderlineStyle,
	addOutlineStyle,
	addShadowStyle,
	addSmallcapsStyle,
	addStrikethruStyle,
	addCondenseStyle,
	addExtendStyle,
	addSuperscriptStyle,
	addSubscriptStyle,
	
	removeBoldStyle = 30,	/* Remove style from selection regardless of current state */
	removeItalicStyle,
	removeUnderlineStyle,
	removeOutlineStyle,
	removeShadowStyle,
	removeSmallcapsStyle,
	removeStrikethruStyle,
	removeCondenseStyle,
	removeExtendStyle,
	removeSuperscriptStyle,
	removeSubscriptStyle
	
} StdStyleActions;

// text alignment

typedef enum {
	left = 1,
	center,
	right,
	fulljustification
	
} StdTextAlignment;


#endif