/*------------------------------------------------------------------------------

	File:			TextEditorLinking.cpp
	
	Description:	TextEditor's linking protocol methods.
	
	Written by:		Steve Smith
	
	Copyright:		 1994 - 1995 by Apple Computer, Inc., all rights reserved.
	
------------------------------------------------------------------------------*/

// Notification that this is a SOM source file
#define SampleCode_TextEditor_Class_Prototypes
// define underscore (_) field names
#define VARIABLE_MACROS

#ifndef _COMPILERDEFS_
#include "CompDefs.h"
#endif

// -- OpenDoc Utilities --

#ifndef _EXCEPT_
// Exceptions define several important macros (e.g. CHECKENV)
// which are used in the SOM method dispatch glue. If Except.h
// is not included early enough, exceptions may not be thrown
// correctly when returning from a SOM method with "ev" parameter set.
#include <Except.h>
#endif

// -- TextEditor Includes

#ifndef SOM_SampleCode_TextEditor_xih
#include "TextEditor.xih"
#endif

#ifndef _TEXTEDITORDEF_
#include "TextEditorDef.h"
#endif

#ifndef _TEXTEDITORUTILS_
#include "TextEditorUtils.h"
#endif

#ifndef _TEXTEDITORGLOBALS_
#include "TextEditorGlobals.h"
#endif

// -- OpenDoc Includes --

#ifndef _ODTYPES_
#include <ODTypes.h>
#endif

#ifndef SOM_ODPart_xh
#include <Part.xh>
#endif


//------------------------------------------------------------------------------
// Method:		CreateLink
// Origin:		ODPart
//
// Description:	This method is called by
//------------------------------------------------------------------------------
#pragma segment TextEditorLinking

SOM_Scope	ODLinkSource*  
SOMLINK		TextEditor__CreateLink
			(
				SampleCode_TextEditor*		somSelf, 
				Environment*				ev,
				ODByteArray*				data
			)
{
    //SampleCode_TextEditorData *somThis = SampleCode_TextEditorGetData(somSelf);
    SOMMethodDebug("TextEditor","CreateLink");

	SOM_TRY
		THROW(kODErrNotImplemented);
	SOM_CATCH_ALL
	SOM_ENDTRY

    return kODNULL;
}

//------------------------------------------------------------------------------
// Method:		LinkUpdated
// Origin:		ODPart
//
// Description:	This method is called by
//------------------------------------------------------------------------------
#pragma segment TextEditorLinking

SOM_Scope	void
SOMLINK		TextEditor__LinkUpdated
			(
				SampleCode_TextEditor*		somSelf, 
				Environment*				ev,
				ODLink*						updatedLink,
				ODUpdateID					id
			)
{
    //SampleCode_TextEditorData *somThis = SampleCode_TextEditorGetData(somSelf);
    SOMMethodDebug("TextEditor","LinkUpdated");

	SOM_TRY
		THROW(kODErrNotImplemented);
	SOM_CATCH_ALL
	SOM_ENDTRY
}

//------------------------------------------------------------------------------
// Method:		RevealLink
// Origin:		ODPart
//
// Description:	This method is called by
//------------------------------------------------------------------------------
#pragma segment TextEditorLinking

SOM_Scope	void
SOMLINK		TextEditor__RevealLink
			(
				SampleCode_TextEditor*		somSelf, 
				Environment*				ev,
				ODLinkSource*				linkSource
			)
{
   // SampleCode_TextEditorData *somThis = SampleCode_TextEditorGetData(somSelf);
    SOMMethodDebug("TextEditor","RevealLink");

	SOM_TRY
		THROW(kODErrNotImplemented);
	SOM_CATCH_ALL
	SOM_ENDTRY
}

//------------------------------------------------------------------------------
// Method:		LinkStatusChanged
// Origin:		ODPart
//
// Description:	This method is called by
//------------------------------------------------------------------------------
#pragma segment TextEditorLinking

SOM_Scope	void
SOMLINK		TextEditor__LinkStatusChanged
			(
				SampleCode_TextEditor*		somSelf, 
				Environment*				ev,
				ODFrame*					frame
			)
{
    SampleCode_TextEditorData *somThis = SampleCode_TextEditorGetData(somSelf);
    SOMMethodDebug("TextEditor","LinkStatusChanged");
}



