#
#	File:		TextEditor.make
#
#	Contains:	Makefile for OpenDoc TextEditor sample part
#
#	Written by:	Steve Smith
#
#	Copyright:	 1994-1995 by Apple Computer, Inc., all rights reserved.
#

#---------------------------------------------------------------------------	
# SCRIPT RUNNER SUPPORT
#---------------------------------------------------------------------------	

ScriptRunnerDir = {TargetDir}:ScriptRunner:

ScriptRunnerLibsDir = {ScriptRunnerDir}

DataTransferIDLDir = {ScriptRunnerDir}DataTransferExt:		# .idl files

AdditionalIDLIncludes = -I "{DataTransferIDLDir}"

ScriptRunnerIncludes = 	-i "{ScriptRunnerDir}DataTransferExt:"	
						-i "{ScriptRunnerDir}PaletteExt:"		
						-i "{ScriptRunnerDir}Source:"

ScriptRunnerLibraries = 
		"{ScriptRunnerLibsDir}ScriptRunner.stub"		
		"{ScriptRunnerLibsDir}ScriptRunner PlugIn.stub"

#---------------------------------------------------------------------------	
# CFM/PEF Version Numbers
#---------------------------------------------------------------------------	
# For detailed instructions on proper CFM/PEF version numbering, see
# Code Fragment Chapter (pg 3-7), Inside Macintosh: PowerPC System Software
#---------------------------------------------------------------------------	

CurrentLibraryVersion =		0x01018000		# 1.0.1 Final
LibraryExportsVersion =		0x00000000		# 0.0
LibraryCodeVersion =		0x00000000		# 0.0

#---------------------------------------------------------------------------	
# PROJECT VARIABLES
#---------------------------------------------------------------------------	

TargetName = TextEditor
TargetNameILink = {TargetName} (68k)
TargetNamePPCLink = {TargetName} (PPC)
TargetNameFat = {TargetName} (fat)

TargetCreatorType = TXED

AdditionalIncludes = -i "{TargetDir}Textension:Interfaces:" 
					 {ScriptRunnerIncludes}
					 
TextensionShLib	= {TargetDir}Textension:Textension

#---------------------------------------------------------------------------	
# DIRECTORY DEPENDENCIES
#---------------------------------------------------------------------------	

"{ObjectsDir}"  "{SourceDir}"
"{ObjectsDir}"  "{ODUtilsImplDir}"

#---------------------------------------------------------------------------	
# ROOT TARGET
#---------------------------------------------------------------------------	

BUILDPPCLINK  
	"{CppPrecompiledHeaders}"			
	"{TargetDir}{TargetNamePPCLink}"	
	"{SourceDir}TextEditor.exp"

BUILDREZ  
	"{ObjectsDir}"TextEditor.PPC.rsrc	
	"{ObjectsDir}"TextEditor.68k.rsrc

BUILDILINK  
	"{CppPrecompiledHeaders}"			
	"{TargetDir}{TargetNameILink}"		
	"{SourceDir}TextEditor.exp"

BUILDIDL  
	"{SourceDir}"TextEditor.xih				
	"{SourceDir}"TextEditor.xh				
	"{SourceDir}"TextEditor.exp				
	"{SourceDir}"TextEditorSemIntf.xih		
	"{SourceDir}"TextEditorSemIntf.xh		
	#"{SourceDir}"TextEditorSemIntf.cpp		
	"{SourceDir}"TextEditorSemIntf.exp		
	"{SourceDir}"TextEditorSettingsExt.xih	
	"{SourceDir}"TextEditorSettingsExt.xh	
	#"{SourceDir}"TextEditorSettingsExt.cpp	
	"{SourceDir}"TextEditorSettingsExt.exp	
	"{SourceDir}"TextEditorTransferExt.xih	
	"{SourceDir}"TextEditorTransferExt.xh	
	#"{SourceDir}"TextEditorTransferExt.cpp	
	"{SourceDir}"TextEditorTransferExt.exp


#---------------------------------------------------------------------------	
# FILE LIST VARIABLES
#---------------------------------------------------------------------------	

TextEditorOBJECTS = 
	"{ObjectsDir}TextEditorGlobals.cpp.o"		
	"{ObjectsDir}TextEditorInit.cpp.o"			
	"{ObjectsDir}TextEditorMain.cpp.o"			
	"{ObjectsDir}TextEditorEvents.cpp.o"		
	"{ObjectsDir}TextEditorActivation.cpp.o"	
	"{ObjectsDir}TextEditorImaging.cpp.o"		
	"{ObjectsDir}TextEditorLayout.cpp.o"		
	"{ObjectsDir}TextEditorStorage.cpp.o"		
	"{ObjectsDir}TextEditorLinking.cpp.o"		
	"{ObjectsDir}SampleCollections.cpp.o"		
	"{ObjectsDir}TextEditorPrefs.cpp.o"			
	"{ObjectsDir}TextEditorSemIntf.cpp.o"		
	"{ObjectsDir}TextEditorSettings.cpp.o"		
	"{ObjectsDir}TextEditorSettingsExt.cpp.o"	
	"{ObjectsDir}TextEditorTransferExt.cpp.o"	
	"{ObjectsDir}TextEditorUtils.cpp.o"			
	"{ObjectsDir}ScriptRunnerSupport.cpp.o"		
	"{ObjectsDir}ValueStream.cpp.o"				
			
OpenDocUtilityOBJECTS = 
	"{ObjectsDir}AltPoint.cpp.o" 		
	"{ObjectsDir}AltPoly.cpp.o"			
	"{ObjectsDir}BArray.cpp.o" 			
	"{ObjectsDir}Crawl.cpp.o" 			
	"{ObjectsDir}DlogUtil.cpp.o" 		
	"{ObjectsDir}Except.cpp.o" 			
	"{ObjectsDir}FocusLib.cpp.o" 		
	"{ObjectsDir}FlipEnd.cpp.o" 		
	"{ObjectsDir}InfoUtil.cpp.o" 		
	"{ObjectsDir}IText.cpp.o" 			
	"{ObjectsDir}ISOStr.cpp.o" 			
	"{ObjectsDir}LinkList.cpp.o" 		
	"{ObjectsDir}ODDebug.cpp.o" 		
	"{ObjectsDir}ODMemory.cpp.o"		
	"{ObjectsDir}ODNew.cpp.o"			
	"{ObjectsDir}ODUtils.cpp.o"			
	"{ObjectsDir}PasclStr.cpp.o"		
	"{ObjectsDir}PlfmFile.cpp.o"		
	"{ObjectsDir}StorUtil.cpp.o"		
	"{ObjectsDir}StdTypIO.cpp.o"		
	"{ObjectsDir}TempObj.cpp.o"			
	"{ObjectsDir}TempIter.cpp.o"		
	"{ObjectsDir}UseRsrcM.cpp.o" 		
	"{ObjectsDir}WinUtils.cpp.o" 		
			
#---------------------------------------------------------------------------	
# DEPENDENCIES
#---------------------------------------------------------------------------	

# IDL

"{SourceDir}"TextEditor.cpp  
	"{SourceDir}"TextEditor.idl 
	"{SourceDir}"TextEditorVers.h 
	"{ODIDLIntfDir}"Part.idl
	
"{SourceDir}"TextEditor.xih  
	"{SourceDir}"TextEditor.xh 
	"{SourceDir}"TextEditor.idl 
	"{SourceDir}"TextEditorVers.h 
	"{ODIDLIntfDir}"Part.idl
	
"{SourceDir}"TextEditor.xh  
	"{SourceDir}"TextEditor.idl 
	"{SourceDir}"TextEditorVers.h 
	"{ODIDLIntfDir}"Part.idl

"{SourceDir}"TextEditorSemIntf.cpp  
	"{SourceDir}"TextEditorSemIntf.idl 
	"{ODIDLIntfDir}"SemtIntB.idl
	
"{SourceDir}"TextEditorSemIntf.xih  
	"{SourceDir}"TextEditorSemIntf.xh 
	"{SourceDir}"TextEditorSemIntf.idl 
	"{ODIDLIntfDir}"SemtIntB.idl
	
"{SourceDir}"TextEditorSemIntf.xh  
	"{SourceDir}"TextEditorSemIntf.idl 
	"{ODIDLIntfDir}"SemtIntB.idl

"{SourceDir}"TextEditorSettingsExt.cpp  
	"{SourceDir}"TextEditorSettingsExt.idl 
	"{ODIDLIntfDir}"Settings.idl
	
"{SourceDir}"TextEditorSettingsExt.xih  
	"{SourceDir}"TextEditorSettingsExt.xh 
	"{SourceDir}"TextEditorSettingsExt.idl 
	"{ODIDLIntfDir}"Settings.idl
	
"{SourceDir}"TextEditorSettingsExt.xh  
	"{SourceDir}"TextEditorSettingsExt.idl 
	"{ODIDLIntfDir}"Settings.idl

"{SourceDir}"TextEditorTransferExt.cpp  
	"{SourceDir}"TextEditorTransferExt.idl 
	"{DataTransferIDLDir}"TextTransferExt.idl 
	"{DataTransferIDLDir}"DataTransferExt.idl
	
"{SourceDir}"TextEditorTransferExt.xih  
	"{SourceDir}"TextEditorTransferExt.xh 
	"{SourceDir}"TextEditorTransferExt.idl 
	"{DataTransferIDLDir}"TextTransferExt.idl
	
"{SourceDir}"TextEditorTransferExt.xh  
	"{SourceDir}"TextEditorTransferExt.idl 
	"{DataTransferIDLDir}"TextTransferExt.idl


# SOURCE/OBJECT CODE

"{ObjectsDir}TextEditorGlobals.cpp.o"				
	"{SourceDir}TextEditorGlobals.cpp" 				
	"{SourceDir}TextEditorGlobals.h"

"{ObjectsDir}TextEditorInit.cpp.o"					
	"{SourceDir}TextEditorInit.cpp"					
	"{SourceDir}TextEditor.xh"

"{ObjectsDir}TextEditorMain.cpp.o"					
	"{SourceDir}TextEditorMain.cpp" 				
	"{SourceDir}TextEditor.xih" 					
	"{SourceDir}TextEditorGlobals.h" 				
	"{SourceDir}TextEditorDef.h" 					
	"{SourceDir}TextEditorUtils.h"					
	"{SourceDir}TextEditorPrefs.h"					
	"{SourceDir}TextEditorSemIntf.xh"				
	"{SourceDir}CompDefs.h"			 				
	"{SourceDir}StdTextProps.h"

"{ObjectsDir}TextEditorEvents.cpp.o"				
	"{SourceDir}TextEditorEvents.cpp" 				
	"{SourceDir}TextEditor.xih" 					
	"{SourceDir}TextEditorGlobals.h" 				
	"{SourceDir}TextEditorDef.h" 					
	"{SourceDir}TextEditorUtils.h"					
	"{SourceDir}TextEditorPrefs.h"					
	"{SourceDir}ScriptRunnerSupport.h"				
	"{SourceDir}CompDefs.h"			 				
	"{SourceDir}StdTextProps.h"

"{ObjectsDir}TextEditorActivation.cpp.o"			
	"{SourceDir}TextEditorActivation.cpp" 			
	"{SourceDir}TextEditor.xih" 					
	"{SourceDir}TextEditorGlobals.h" 				
	"{SourceDir}TextEditorDef.h" 					
	"{SourceDir}TextEditorUtils.h"					
	"{SourceDir}ScriptRunnerSupport.h"				
	"{SourceDir}CompDefs.h"

"{ObjectsDir}TextEditorImaging.cpp.o"				
	"{SourceDir}TextEditorImaging.cpp" 				
	"{SourceDir}TextEditor.xih" 					
	"{SourceDir}TextEditorGlobals.h" 				
	"{SourceDir}TextEditorDef.h" 					
	"{SourceDir}TextEditorUtils.h"					
	"{SourceDir}CompDefs.h"							
	"{SourceDir}StdTextProps.h"

"{ObjectsDir}TextEditorLayout.cpp.o"				
	"{SourceDir}TextEditorLayout.cpp" 				
	"{SourceDir}TextEditor.xih" 					
	"{SourceDir}TextEditorGlobals.h" 				
	"{SourceDir}TextEditorDef.h" 					
	"{SourceDir}TextEditorUtils.h"					
	"{SourceDir}CompDefs.h"

"{ObjectsDir}TextEditorStorage.cpp.o"				
	"{SourceDir}TextEditorStorage.cpp" 				
	"{SourceDir}TextEditor.xih" 					
	"{SourceDir}TextEditorGlobals.h" 				
	"{SourceDir}TextEditorDef.h" 					
	"{SourceDir}TextEditorUtils.h"					
	"{SourceDir}TextEditorSemIntf.xh"				
	"{SourceDir}CompDefs.h"							
	"{SourceDir}ValueStream.h"
	
"{ObjectsDir}TextEditorLinking.cpp.o"				
	"{SourceDir}TextEditorLinking.cpp" 				
	"{SourceDir}TextEditor.xih" 					
	"{SourceDir}TextEditorGlobals.h" 				
	"{SourceDir}TextEditorDef.h" 					
	"{SourceDir}TextEditorUtils.h"					
	"{SourceDir}CompDefs.h"

"{ObjectsDir}SampleCollections.cpp.o"				
	"{SourceDir}SampleCollections.cpp"				
	"{SourceDir}SampleCollections.h"				
	"{ODUtilsIntfDir}LinkList.h"

"{ObjectsDir}TextEditorUtils.cpp.o"					
	"{SourceDir}TextEditorUtils.cpp"				
	"{SourceDir}TextEditorUtils.h"					
	"{SourceDir}TextEditor.xh"						
	"{SourceDir}TextEditorDef.h" 					
	"{SourceDir}StdTextProps.h"						
	"{SourceDir}CompDefs.h"

"{ObjectsDir}ScriptRunnerSupport.cpp.o"				
	"{SourceDir}ScriptRunnerSupport.h"

"{ObjectsDir}TextEditorPrefs.cpp.o"					
	"{SourceDir}TextEditorPrefs.cpp"				
	"{SourceDir}TextEditorPrefs.h"					
	"{SourceDir}TextEditorUtils.h"					
	"{SourceDir}TextEditorGlobals.h" 				
	"{SourceDir}TextEditorDef.h" 					
	"{SourceDir}StdTextProps.h"

"{ObjectsDir}TextEditorSettings.cpp.o"				
	"{SourceDir}TextEditorSettings.cpp"				
	"{SourceDir}TextEditorSettings.h"				
	"{SourceDir}TextEditorUtils.h"					
	"{SourceDir}TextEditorGlobals.h" 				
	"{SourceDir}TextEditorDef.h" 					
	"{SourceDir}StdTextProps.h"

"{ObjectsDir}TextEditorSemIntf.cpp.o"				
	"{SourceDir}TextEditorSemIntf.cpp"				
	"{SourceDir}TextEditorSemIntf.xih"				

"{ObjectsDir}ValueStream.cpp.o"						
	"{SourceDir}ValueStream.cpp"					
	"{SourceDir}ValueStream.h"						
	"{ODUtilsIntfDir}Except.h"						
	"{ODUtilsIntfDir}StorUtil.h"
	

#---------------------------------------------------------------------------	
# BUILD LIBRARIES
#---------------------------------------------------------------------------	

# --- 68k Link ---

"{TargetDir}{TargetNameILink}"  	{TextEditorOBJECTS}				
									{OpenDocUtilityOBJECTS}			
									"{SourceDir}TextEditor.exp"
	Echo ### TextEditor can only be built with the Metrowerks PowerPC
	Echo ### compiler.  MPW and 68K are not supported by the Textension 
	Echo ### shared library.

# --- PowerPC Link ---

"{TargetDir}{TargetNamePPCLink}" 		{TextEditorOBJECTS}				
										{OpenDocUtilityOBJECTS}			
										"{SourceDir}TextEditor.exp"
	Echo ### TextEditor can only be built with the Metrowerks PowerPC
	Echo ### compiler.  MPW and 68K are not supported by the Textension 
	Echo ### shared library.


#---------------------------------------------------------------------------	
# REZ STEPS
#---------------------------------------------------------------------------	

"{RsrcObjectsDir}{TargetName}.PPC.rsrc"								
									"{SourceDir}TextEditor.r"		
									"{SourceDir}TextEditorDef.h"	
									"{SourceDir}TextEditorVers.h"	
									"{SourceDir}TextEditorOther.rsrc"
	Echo Rezzing: {TargetName}.r (for PPC)
	Rez {RezOptions} {ODRezIntf} "{SourceDir}{TargetName}.r" -o {targ}
	Echo "delete 'ckid';"  | Rez -a -o {Targ}
	SetFile -a i -c "{ResEditCreator}" -t "{ResEditFileType}" {Targ}
	if ( `exists "{TargetDir}{TargetNamePPCLink}" != ""` )
		Echo Copying: {TargetNamePPCLink}'s resources
		Echo "include ""{Targ}"";" | Rez -a -o "{TargetDir}{TargetNamePPCLink}"
	end	

"{RsrcObjectsDir}{TargetName}.68k.rsrc"								
									"{SourceDir}TextEditor.r"		
									"{SourceDir}TextEditorDef.h"	
									"{SourceDir}TextEditorVers.h"	
									"{SourceDir}TextEditorOther.rsrc"
	Echo Rezzing: {TargetName}.r (for 68k)
	Rez -d _68KBUILD_ {RezOptions} {ODRezIntf} "{SourceDir}{TargetName}.r" -o {Targ} 
	Echo "delete 'ckid';"  | Rez -a -o {Targ}
	SetFile -a i -c "{ResEditCreator}" -t "{ResEditFileType}" {Targ}
	if ( `exists "{TargetDir}{TargetNameILink}" != ""` )
		Echo Copying: {TargetNameILink}'s resources
		Echo "include ""{Targ}"";" | Rez -a -o "{TargetDir}{TargetNameILink}"
	end

